/*
 * BuildDateAndSetProperty.java
 */

/*
 * This class builds a date property, which can be used as dir name.
 */

package antext;

import java.util.Calendar;

import org.apache.tools.ant.BuildException;
import org.apache.tools.ant.Task;

import antext.util.Constants;

/**
 *
 * @author  pknakal
 * @version 1.5
 */
public class BuildDateAndSetProperty extends Task {
    private String property = null; //a property name

    public void setProperty(String property) {
        this.property = property.trim();
    }

    public void execute() throws BuildException {
        if (this.property != null) {
            System.out.println("\t[BuildDateAndSetProperty] : " + this.property); //NOI18N

            Calendar calendar = Calendar.getInstance();
            this.getProject().setProperty(this.property, calendar.get(Calendar.YEAR) + "_" + returnString(calendar.get(Calendar.MONTH) + 1) + "_" + returnString(calendar.get(Calendar.DAY_OF_MONTH)) + "_" + returnString(calendar.get(Calendar.HOUR_OF_DAY)) + "_" + returnString(calendar.get(Calendar.MINUTE)) ); //NOI18N
        } else {
            throw new BuildException("[BuildDateAndSetProperty] " + Constants.missing_attr); //NOI18N
        }
    }

    private String returnString(int number) {
        return (number < 10)?(new String("0" + number)):(new String("" + number)); //NOI18N
    }

}
