/*
 * BuildOSNameAsDirNameAndSetProperty.java
 */

/*
 * This class builds a dir name from the OS name.
 */

package antext;

import org.apache.tools.ant.BuildException;
import org.apache.tools.ant.Task;

import antext.util.Constants;

/**
 *
 * @author  pknakal
 * @version 1.1
 */
public class BuildOSNameAsDirNameAndSetProperty extends Task {
    private String property = null; //a property name

    public void setProperty(String property) {
        this.property = property.trim();
    }

    public void execute() throws BuildException {
        if (this.property != null) {
            System.out.println("\t[BuildOSNameAsDirNameAndSetProperty] : " + this.property); //NOI18N

            this.getProject().setProperty(this.property, System.getProperty("os.name").replace(' ', '.') ); //NOI18N
        } else {
            throw new BuildException("[BuildOSNameAsDirNameAndSetProperty] " + Constants.missing_attr); //NOI18N
        }
    }

}
