/*
 * ChooseAndSetProperty.java
 */

/*
 * This class gets list of properties and list od OSes and set property dependent on the Operating System version.
 */

package antext;

import java.util.StringTokenizer;

import org.apache.tools.ant.BuildException;
import org.apache.tools.ant.Task;

import antext.util.Constants;

/**
 *
 * @author  pknakal
 * @version 1.4
 */
public class ChooseAndSetProperty extends Task {
    private String variants = null; //variants from which I can choose the right one
    private String systems  = null; //listed operating systems, on which depends the propoerty
    private String property = null; //a property name

    public void setVariants(String variants) {
        this.variants = variants.trim();
    }

    public void setSystems(String systems) {
        this.systems = systems.trim();
    }

    public void setProperty(String property) {
        this.property = property.trim();
    }

    public void execute() throws BuildException {
        if ((this.variants != null) && (this.systems != null) && (this.property != null)) {
            System.out.println("\t[ChooseAndSetProperty] : " + this.property); //NOI18N

            StringTokenizer tokenizer_variants = new StringTokenizer(this.variants, Constants.separator);
            StringTokenizer tokenizer_systems  = new StringTokenizer(this.systems, Constants.separator);
            boolean result = false;
            if ((tokenizer_variants.countTokens() == tokenizer_systems.countTokens()) && (tokenizer_systems.countTokens() > 0) ) {
                for ( ; tokenizer_systems.hasMoreTokens() ; ) {
                    String var = tokenizer_variants.nextToken().trim();
                    String sys = tokenizer_systems.nextToken().trim();
                    if (sys.equals(System.getProperty("os.name").trim()) ) { //NOI18N
                        this.getProject().setUserProperty(this.property, var);
                        result = true;
                    }
                }
                if (!result) {
                    throw new BuildException("[ChooseAndSetProperty] " + Constants.system_not_exist); //NOI18N
                }
            } else {
                throw new BuildException("[ChooseAndSetProperty] " + Constants.wrong_count); //NOI18N
            }
        } else {
            throw new BuildException("[ChooseAndSetProperty] " + Constants.missing_attr); //NOI18N
        }
    }

}
