/*
 * ChooseAndSetPropertyCyclically.java
 */

/*
 * This class cyclically choose from specified list and set given property ... actual choice save in a given file.
 */

package antext;

import java.util.StringTokenizer;

import org.apache.tools.ant.BuildException;
import org.apache.tools.ant.Task;

import antext.util.Constants;
import antext.util.FileWrapper;

/**
 *
 * @author  pknakal
 * @version 3.2
 */
public class ChooseAndSetPropertyCyclically extends Task {
    private String variants = null; //variants from which I can choose the right one
    private String iofiles  = null; //list of files for different operating systems
    private String systems  = null; //listed operating systems, on which depends the propoerty
    private String property = null; //a property name

    public void setVariants(String variants) {
        this.variants = variants.trim();
    }

    public void setIOfiles(String iofiles) {
        this.iofiles = iofiles.trim();
    }

    public void setSystems(String systems) {
        this.systems = systems.trim();
    }

    public void setProperty(String property) {
        this.property = property.trim();
    }

    public void execute() throws BuildException {
        if ((this.variants != null) && (this.iofiles != null) && (this.property != null)  && (this.systems != null)) {
            System.out.println("\t[ChooseAndSetPropertyCyclically] : " + this.property); //NOI18N

            StringTokenizer tokenizer_variants = new StringTokenizer(this.variants, Constants.separator_double);
            StringTokenizer tokenizer_systems  = new StringTokenizer(this.systems, Constants.separator);
            StringTokenizer tokenizer_iofiles  = new StringTokenizer(this.iofiles, Constants.separator);

            boolean result = false;
            if ((tokenizer_variants.countTokens() == tokenizer_systems.countTokens()) && (tokenizer_systems.countTokens() == tokenizer_iofiles.countTokens()) && (tokenizer_variants.countTokens() > 0) ) {

                String var = ""; //NOI18N
                String iof = ""; //NOI18N
                for ( ; tokenizer_systems.hasMoreTokens() && !result ; ) {
                    var = tokenizer_variants.nextToken().trim();
                    iof = tokenizer_iofiles.nextToken().trim();
                    if (tokenizer_systems.nextToken().trim().equals(System.getProperty("os.name").trim()) ) { //NOI18N
                        result = true;
                    }
                }

                if (!result) {
                    throw new BuildException("[ChooseAndSetPropertyCyclically] " + Constants.system_not_exist); //NOI18N
                }

                FileWrapper wrapper = FileWrapper.getWrapper(iof);
                String property_val = ""; //NOI18N
                StringTokenizer tokenizer = new StringTokenizer(var, Constants.separator);

                if (!wrapper.exists() ) {
                    property_val = tokenizer.nextToken();
                } else {
                    String last = wrapper.read().trim();
                    boolean setup_first = false; //it true, last used property was last one from the list
                    boolean cont = true;

                    for ( ; tokenizer.hasMoreTokens() && cont ; ) {
                        String token = tokenizer.nextToken();
                        if (token.trim().equals(last) ) {
                            if (tokenizer.hasMoreTokens() ) {
                                property_val = tokenizer.nextToken();
                                cont = false;
                            } else {
                                setup_first = true;
                            }
                        } else {
                            if (!tokenizer.hasMoreTokens() ) {
                                setup_first = true;
                            }
                        }
                    }
                    if (setup_first) {
                        property_val = (new StringTokenizer(var, Constants.separator) ).nextToken();
                    }
                }

                this.getProject().setUserProperty(this.property, property_val.trim() );
                wrapper.write(property_val.trim() );
                wrapper.close();

            } else {
                throw new BuildException("[ChooseAndSetPropertyCyclically] " + Constants.wrong_count_cyclic); //NOI18N
            }
        } else {
            throw new BuildException("[ChooseAndSetPropertyCyclically] " + Constants.missing_attr); //NOI18N
        }
    }

}
