/*
 * ConvertAndSetPathsProperties.java
 */

/*
 * This class search for specified properties (included/excluded) and convert them to path usable in the OS.
 */

package antext;

import java.util.Enumeration;
import java.util.StringTokenizer;

import org.apache.tools.ant.Task;
import org.apache.tools.ant.BuildException;

import antext.util.Constants;
import antext.util.ConvertPath;

/**
 *
 * @author  pknakal
 * @version 2.2
 */
public class ConvertAndSetPathsProperties extends Task {
    private String includes = null; //a list of properties, which have to be included to the conversion process

    public void setIncludes(String includes) {
        this.includes = includes.trim();
    }

    public void execute() throws BuildException {
        if (this.includes != null) {
            System.out.println("\t[ConvertAndSetPathsProperties] : "); //NOI18N

            for (StringTokenizer tokenizer = new StringTokenizer(this.includes, Constants.separator) ; tokenizer.hasMoreTokens() ; ) {
                String token = ((String)tokenizer.nextToken() ).trim();
                if (isProperty(token) ) {
                    this.getProject().setUserProperty(token, ConvertPath.convert(this.getProject().getProperty(token)) );
                } else {
                    System.out.println("\t[ConvertAndSetPathsProperties] " + Constants.not_attr + token); //NOI18N
                }
            }
        } else {
            throw new BuildException("[ConvertAndSetPathsProperties] " + Constants.missing_attr); //NOI18N
        }
    }

    private boolean isProperty(String property) {
        for (Enumeration enum = this.getProject().getProperties().keys() ; enum.hasMoreElements() ; ) {
            if (enum.nextElement().equals(property) ) {
                return true;
            }
        }

        return false;
    }

}
