/*
 * Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 *
 * CopyrightVersion 1.0
 */

/*
 * TestCases summary:
 * testCase1 ... BackAction(control).{mousePressed(e)/mouseReleased(e)} --> BackAction(control).{mousePressed(e)/mouseReleased(e)}
 */

package javasoft.sqe.tests.api.javax.help.BackAction;

import java.io.PrintWriter;

import java.net.URL;

import java.awt.Panel;
import java.awt.Component;
import java.awt.Container;
import java.awt.FlowLayout;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import java.applet.Applet;

import java.util.Date;

import javax.help.JHelp;
import javax.help.Map.ID;
import javax.help.HelpSet;
import javax.help.BackAction;

import javax.swing.JFrame;
import javax.swing.JButton;

import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.InteractiveTest;

/**
 * Tests for javax.help.BackAction ... mousePressed(...)/mouseReleased(...)
 *
 * @author Patrik Knakal
 *
 * @since JH2.0
 */
public class MousePressedReleasedTest extends InteractiveTest {
    public static String HSLOC = System.getProperty("HS_LOC");

    public MousePressedReleasedTest() {
        super("YesNo");
    }

    public static void main(String argv[]) {
        MousePressedReleasedTest test = new MousePressedReleasedTest();
        Status s = test.run(argv, new PrintWriter(System.out), new PrintWriter(System.err));
        s.exit();
    }

    protected Status init(String[] args) {
        testCases = new String[1];
        testCases[0] = "mousepressedreleasedtest";
        return Status.passed("");
    }


    /**
     * Method test: <code>void mousePressed(java.awt.event.MouseEvent e)/void mouseReleased(java.awt.event.MouseEvent e)</code>
     *
     * @author Patrik Knakal
     *
     * @since JH2.0
     */
    public void mousepressedreleasedtest() {
        addInfo("This test checks mousePressed(java.awt.event.MouseEvent e)/mouseReleased(java.awt.event.MouseEvent e) method.");
        addInfo("1) A 'MousePressedReleased Frame' frame with 'JHelp/April fools' days' should come up");
        addInfo("2) 'April Fools' node should be selected and the back button should be enabled");
        addInfo("3) Hold for a while back button (500ms)");
        addInfo("4) Now should be displayed a popup with one item (Home page)");
        addInfo("5) Click 'Yes', if the functionality is OK otherwise click 'No' button");
        MousePressedReleasedTestClass testPanel = new MousePressedReleasedTestClass();
        addTestPanel((java.awt.Panel)testPanel);

        setStatusMessages("OK", "Did not work");
        setFrameTitle("BackAction.mouseReleased(java.awt.event.MouseEvent e)");
        setTimeout(600);
    }



    /**
     * Help class with JFrame for mouseReleased button
     *
     * @author Patrik Knakal
     *
     * @since JH2.0
     */
    class MousePressedReleasedTestClass extends Applet implements ActionListener {

        public MousePressedReleasedTestClass() {
            try {
                //create a HelpSet object ... start
                HelpSet hs = new HelpSet(this.getClass().getClassLoader(), new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs") );
                //create a HelpSet object ... end

                //create a JHelp object ... start
                JHelp jhelp = new JHelp(hs);
                //create a JHelp object ... end

                //set an current ID to HelpSet object ... start
                ID currentID = ID.create("aprilfools", hs);
                jhelp.setCurrentID(currentID);
                //set an current ID to HelpSet object ... end

                //display the JHelp object ... start
                JFrame frame = new JFrame("MousePressedReleased Frame");
                frame.getContentPane().add(jhelp);
                frame.setResizable(true);
                frame.pack();
                frame.show();
                //display the JHelp object ... end

            } catch (Exception exc) {
                exc.printStackTrace();
                return;
            }
        }

        public void actionPerformed(ActionEvent event) {
        }
    }

}
