/*
 * @(#)KeyEventTest.java	1.1 99/03/05
 * 
 * Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 * CopyrightVersion 1.0
 */
package javasoft.sqe.tests.api.javax.help.DefaultHelpBroker;

import javax.help.HelpSet;
import javax.help.HelpBroker;
import javax.help.CSH;

import javasoft.sqe.javatest.lib.InteractiveTest;
import javasoft.sqe.javatest.Status;

import java.io.PrintWriter;
import javax.swing.JFrame;
import javax.swing.JTextArea;
import javax.swing.JButton;

import java.awt.event.*;
import java.net.URL;
import java.applet.*;
import java.awt.*;
import com.sun.help.jck.harness.TestDefaultHelpBroker;
import com.sun.help.jck.harness.StaticInfo;
/**
 * Tests for javax.help.DefaultHelpBroker
 *
 * @author meena.c
 */
public class KeyEventTest extends InteractiveTest {
    
    public static String HSLOC = System.getProperty("HS_LOC");
    protected ActionTest testPanel;
    private HelpSet masterHS;
        private URL masterURL;
        private ClassLoader myLoader;
        private HelpSet mainHS = null;
        private HelpBroker mainHB;
    class ActionTest extends Applet  {
        
        JTextArea tx;
        JFrame ff;
        JButton b ;
        public ActionTest() {
            
            ff = new JFrame("Testing DefaultHelpBroker's Key Events ...");
            tx = new JTextArea(); 
            tx.setEnabled(false);
            TestDefaultHelpBroker dhb = new TestDefaultHelpBroker(tx);
            ff.addKeyListener(dhb);
            ff.getContentPane().add("Center",tx);
            ff.setSize(100,150);
            ff.show();
        }
          
    }    
    
    public KeyEventTest() {
        super("YesNo");
    }
    /* Standalone interface */
    
    public static void main(String[] argv) {
        KeyEventTest test = new KeyEventTest();
        PrintWriter log = new PrintWriter(System.err, true);
        PrintWriter ref = new PrintWriter(System.out, true);
        Status status = test.run(argv, log, ref);
        status.exit();
    }
    /* Test interface */
    
    public Status init(String[] argv) {
        testCases = new String[1];
        testCases[0] = "testCase1";
        return Status.passed("");
    }
    
    public void testCase1() {
        String intro = "This test is to check the keyPressed(),keyReleased() "
        + "and keyTyped() method of DefaultHelpBroker class . ";
        String instruction1 = "1. A Frame with a textArea will be displayed.";
        String instruction2 = "2. Click on the Frame ";
        String instruction3 = "3. Now press key 'F1'.The message KeyPressed " 
	+ " F1 & KeyReleased F1 will be displayed in textArea.";
        String instruction4 = "4. If you Typed any character say 'A' it will be "
        + " displayed as KeyPressed A, KeyTyped A , KeyReleased A in the "
        + " TextArea ";
        String instruction5 = "5. Click the Button \"Yes\" if worked OK" ;
        
        String passMsg = "Got key events";
        String failMsg = "Did not get key events";
        // Add user information
        addInfo(intro);
        addInfo(instruction1);
        addInfo(instruction2);
        addInfo(instruction3);
        addInfo(instruction4);
        addInfo(instruction5);     
        // Add test panel to frame
        testPanel = new ActionTest();
        addTestPanel((java.awt.Panel)testPanel);
        // Set messages that get printed upon pass and fail
        setStatusMessages(passMsg, failMsg);
        // Set title of test frame
        setFrameTitle(" Instruction Frame ");
        setTimeout(600);        
    }
    
    public void doTestCleanup() {

        if (testPanel.ff != null)
            testPanel.ff.dispose();

    }
}
