/*
 * Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 *
 * CopyrightVersion 1.0
 */

/*
 * TestCases summary:
 * testCase1 ... AbstractHelpAction(control, name).isEnabled() --> FooAbstractHelpAction(control, name).isEnabled()
 * testCase2 ... AbstractHelpAction(control, name).setEnabled(enabled).isEnabled() --> FooAbstractHelpAction(control, name).setEnabled(true).isEnabled()
 * testCase3 ... AbstractHelpAction(control, name).setEnabled(enabled).isEnabled() --> FooAbstractHelpAction(control, name).setEnabled(false).isEnabled()
 *
 * All tests in this class are done through FooAbstractHelpAction class ... workaround for abstract class
 */

package javasoft.sqe.tests.api.javax.help.AbstractHelpAction;

import java.io.PrintWriter;

import java.net.URL;

import javax.help.AbstractHelpAction;
import javax.help.FooAbstractHelpAction;

import com.sun.javatest.Status;
import com.sun.javatest.lib.MultiTest;

/**
 * Tests for javax.help.AbstractHelpAction ... isEnabled()
 *
 * @author Patrik Knakal
 *
 * @since JH2.0
 */
public class IsEnabledTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");

    public IsEnabledTest() {
    }

    public static void main(String argv[]) {
        IsEnabledTest test = new IsEnabledTest();
        Status s = test.run(argv, new PrintWriter(System.out), new PrintWriter(System.err));
        s.exit();
    }


    /**
     * Method test: <code>boolean isEnabled()</code>
     *
     * @author Patrik Knakal
     *
     * @since JH2.0
     */
    public Status testCase1() {
        String apiTested = "boolean isEnabled(): "
            + "TestCase: '(new AbstractHelpAction(control, name)).isEnabled()' "
            + "ExpectedResult: 'true' "
            + "ObtainedResult: ";

        try {
            //set the necessary variables ... start
            Object control = new Object();
            String name = new String("FooAbstractHelpAction");
            //set the necessary variables ... end

            //create a FooAbstractHelpAction object ... start
            AbstractHelpAction object = new FooAbstractHelpAction(control, name);
            //create a FooAbstractHelpAction object ... end


            if(object.isEnabled() ) {
                return Status.passed(apiTested + "Got 'true'");
            } else {
                return Status.failed(apiTested + "Did not get 'true': " + object.isEnabled() );
            }

        } catch (Exception exc) {
            exc.printStackTrace();
            return Status.failed(apiTested + "Got Exception: " + exc);
        }
    }


    /**
     * Method test: <code>boolean isEnabled()</code>
     *
     * @author Patrik Knakal
     *
     * @since JH2.0
     */
    public Status testCase2() {
        String apiTested = "boolean isEnabled(): "
            + "TestCase: '(new AbstractHelpAction(control, name)).setEnabled(true).isEnabled()' "
            + "ExpectedResult: 'true' "
            + "ObtainedResult: ";

        try {
            //set the necessary variables ... start
            Object control = new Object();
            String name = new String("FooAbstractHelpAction");
            //set the necessary variables ... end

            //create a FooAbstractHelpAction object ... start
            AbstractHelpAction object = new FooAbstractHelpAction(control, name);
            //create a FooAbstractHelpAction object ... end

            //set enabled value ... start
            object.setEnabled(false); //only for changing the default value
            object.setEnabled(true);
            //set enabled value ... end


            if(object.isEnabled() ) {
                return Status.passed(apiTested + "Got 'true'");
            } else {
                return Status.failed(apiTested + "Did not get 'true': " + object.isEnabled() );
            }

        } catch (Exception exc) {
            exc.printStackTrace();
            return Status.failed(apiTested + "Got Exception: " + exc);
        }
    }


    /**
     * Method test: <code>boolean isEnabled()</code>
     *
     * @author Patrik Knakal
     *
     * @since JH2.0
     *
     * @param <code>enabled</code> <code>false</code>
     */
    public Status testCase3() {
        String apiTested = "boolean isEnabled(): "
            + "TestCase: '(new AbstractHelpAction(control, name)).setEnabled(false).isEnabled()' "
            + "ExpectedResult: 'false' "
            + "ObtainedResult: ";

        try {
            //set the necessary variables ... start
            Object control = new Object();
            String name = new String("FooAbstractHelpAction");
            //set the necessary variables ... end

            //create a FooAbstractHelpAction object ... start
            AbstractHelpAction object = new FooAbstractHelpAction(control, name);
            //create a FooAbstractHelpAction object ... end

            //set enabled value ... start
            object.setEnabled(false);
            //set enabled value ... end


            if(object.isEnabled() ) {
                return Status.failed(apiTested + "Did not get 'flase': " + object.isEnabled() );
            } else {
                return Status.passed(apiTested + "Got 'false'");
            }

        } catch (Exception exc) {
            exc.printStackTrace();
            return Status.failed(apiTested + "Got Exception: " + exc);
        }
    }

}
