
/*
* 
* 
* %W% %E% 
* Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.BadIDException;

import java.io.PrintWriter;
import javax.help.BadIDException;
import javax.help.HelpSet;
import javax.help.Map;
import javax.help.FlatMap;
import java.net.URL;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.BadIDException
 * Creating BadIDException object with valid parameters.
 * Retrieve HelpSet,Map and id values and Check with the constructed object
 
 * @author Ben John.
 */

public class BadIDExceptionTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public BadIDExceptionTest() { //constructor
        
    }
    
    public static void main(String argv[]) {
        BadIDExceptionTest test = new BadIDExceptionTest();
        Status s = test.run(argv, new PrintWriter(System.out), 
        new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        String apiTested = "Method \" BadIDException(String msg,Map map, " 
                           + " String id,HelpSet hs)\" ";
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            try {
                URL url = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
                HelpSet hs = new HelpSet(loader, url);
                Map tfm = new FlatMap(new URL("file", null, HSLOC + "/holidays/Map.jhm"), hs);
                throw new BadIDException("Message", tfm, "idString", hs);
            }
            catch(BadIDException ex) {
                if(ex instanceof BadIDException) {
                    return Status.passed(apiTested + "Okay");
                }
                else {
                    return Status.failed(apiTested 
                    + "Could not construct BadIDException object");
                }
            }
        }
        catch(Exception ee) {
            return Status.failed(apiTested + " raised" + ee);
        }
    } //testCase1 finished
    
    public Status testCase2() {
        String apiTested = "Method \" BadIDException(String msg,Map map,"
                           + " String id,HelpSet hs)\" ";
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            try {
                URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
                HelpSet hs = new HelpSet(loader, url);
                Map tfm = new FlatMap(new URL("file", null, HSLOC + "/holidays/Map.jhm"), hs);
                throw new BadIDException(null, null, null, null); 
            }
            catch(BadIDException ex) {
                if(ex instanceof BadIDException) /* checking */ {
                    return Status.passed(apiTested 
                    + "Okay; Even Passing null for all arguements");
                }
                else {
                    return Status.failed(apiTested 
                    + "Did not Construct BadIDException object");
                }
            }
        }
        catch(Exception ee) {
            return Status.failed(apiTested + " raised" + ee);
        }
    } //testCase2 finished
}
