
/*
* 
* 
* %W% %E%
* Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.BadIDException;

import java.io.PrintWriter;
import java.net.URL;
import javax.help.Map;
import javax.help.HelpSet;
import javax.help.FlatMap;
import javax.help.BadIDException;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.BadIDException
 *
 * @author Ben John.
 */

public class GetMapTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public GetMapTest() {
        
    }
    
    public static void main(String argv[]) {
        GetMapTest test = new GetMapTest();
        Status s = test.run(argv, new PrintWriter(System.out), 
                            new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        String apiTested = "Method \" getMap() \" ";
        try {
            Map tfm = null;
            ClassLoader loader = this.getClass().getClassLoader();
            try {
                URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
                HelpSet hs = new HelpSet(loader, url);
                tfm = new FlatMap(new URL("file", null, HSLOC + "/holidays/Map.jhm"), hs);
                throw new BadIDException("Message", tfm, "idString", hs);
            }
            catch(BadIDException ex) {
                if((ex.getMap() instanceof Map) && (ex.getMap() == tfm)) {
                    return Status.passed(apiTested + "Okay");
                }
                else {
                    return Status.failed(apiTested 
                    + "Did not return Map(FlatMap) object");
                }
            }
        }
        catch(Exception ee) {
            return Status.failed(apiTested + " raised " + ee);
        }
    } //testCase1 finished
    
    public Status testCase2() {
        String apiTested = "Method \" getMap() \" ";
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            try {
                URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
                HelpSet hs = new HelpSet(loader, url);
                throw new BadIDException("Message", null, "idString", hs); 
            }
            catch(BadIDException ex) {
                if(ex.getMap() == null) {
                    return Status.passed(apiTested + "Okay; returns null ");
                }
                else {
                    return Status.failed(apiTested + "Did not return null");
                }
            }
        }
        catch(Exception ee) {
            return Status.failed(apiTested+" raised"+ee+" in Creating HelpSet");
        }
    } //testCase2 finished
}
