/*
 * Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 *
 * CopyrightVersion 1.0
 */

/*
 * TestCases summary:
 * testCase1 ... CSH.addManager(...).addManager(...).removeAllManagers() --> CSH.addManager(...).addManager(...).removeAllManagers()
 */

package javasoft.sqe.tests.api.javax.help.CSH;

import java.io.PrintWriter;

import java.net.URL;

import javax.help.CSH;
import javax.help.CSH.Manager;

import com.sun.help.jck.harness.FooCSHManager;

import com.sun.javatest.Status;
import com.sun.javatest.lib.MultiTest;

/**
 * Tests for javax.help.CSH ... removeAllManagers()
 *
 * @author Patrik Knakal
 *
 * @since JH2.0
 */
public class RemoveAllManagersTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");

    public RemoveAllManagersTest() {
    }

    public static void main(String argv[]) {
        RemoveAllManagersTest test = new RemoveAllManagersTest();
        Status s = test.run(argv, new PrintWriter(System.out), new PrintWriter(System.err));
        s.exit();
    }


    /**
     * Method test: <code>void removeAllManagers()</code>
     *
     * @author Patrik Knakal
     *
     * @since JH2.0
     */
    public Status testCase1() {
        String apiTested = "void removeAllManagers(): "
            + "TestCase: 'CSH.addManager(...).addManager(...).removeAllManagers()' "
            + "ExpectedResult: Clean 'managers' "
            + "ObtainedResult: ";

        try {
            //add new managers ... start
            CSH.addManager(new FooCSHManager() );
            CSH.addManager(new FooCSHManager() );
            //add new managers ... end

            //clear the 'managers' ... start
            CSH.removeAllManagers();
            //clear the 'managers' ... end

            int expectedCount = 0;


            if(CSH.getManagerCount() == expectedCount) {
                return Status.passed(apiTested + "OK");
            } else {
                return Status.failed(apiTested + "Did not clear 'managers' ... : expected count == " + expectedCount + " current count == "+ CSH.getManagerCount() );
            }

        } catch (Exception exc) {
            exc.printStackTrace();
            return Status.failed(apiTested + "Got Exception: " + exc);
        }
    }

}
