
/*
* 
* 
* @(#)EnableHelpKeyTest.java	1.3 99/03/10 Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.DefaultHelpBroker;

import java.io.PrintWriter;
import javax.help.DefaultHelpBroker;
import javax.help.HelpSet;
import javax.help.Map;
import javax.help.FlatMap;
import java.net.URL;
import java.awt.Button;
import java.awt.MenuItem;
import java.awt.Label;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.DefaultHelpBroker
 *
 *
 
 * @author Ben John.
 */

public class EnableHelpKeyTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public EnableHelpKeyTest() { //constructor
        
    }
    
    public static void main(String argv[]) {
        EnableHelpKeyTest test = new EnableHelpKeyTest();
        Status s = test.run(argv, new PrintWriter(System.out), 
        new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        String apiTested = "Method \" enableHelpKey(java.awt.Component comp,"
                            + " java.lang.String id,HelpSet hs) \" ";
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(loader, url);
            DefaultHelpBroker dhbr = new DefaultHelpBroker(hs);
            Button myButton = new Button("Help");
            dhbr.enableHelpKey(myButton, "myid", hs);
            return Status.passed(apiTested + "Okay");
        }
        catch(Exception ee) {
            return Status.failed(apiTested + "Exception raised :" + ee);
        }
    } //testCase1 finished
    
    public Status testCase2() {
        String apiTested = "Method \" enableHelpKey(java.awt.Component comp, "
                            + " java.lang.String id,HelpSet hs) \" ";
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(loader, url);
            DefaultHelpBroker dhbr = new DefaultHelpBroker(hs);
            dhbr.enableHelpKey(null, "myid", hs);
            return Status.failed(apiTested + "No Exception for null Component");
        }
        catch(Exception ee) {
            if(ee instanceof IllegalArgumentException) {
                return Status.passed(apiTested + "raised " + ee 
                + " for null Component." );
            }
            else {
                return Status.failed(apiTested + "raised " + ee 
                + " for null Component." );
            }
        }
    } //testCase2 finished
    
    public Status testCase3() {
        String apiTested = "Method \" enableHelpKey(java.awt.Component comp,"
                            + " java.lang.String id,HelpSet hs) \" ";
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(loader, url);
            DefaultHelpBroker dhbr = new DefaultHelpBroker(hs);
            Button myButton = new Button("Help");
            dhbr.enableHelpKey(myButton, null, hs);
            return Status.failed(apiTested + "Exception not raised for null ID. ");
        }
        catch(Exception ee) {
			if(ee instanceof NullPointerException) {
			    return Status.passed(apiTested + "raised " + ee 
	                + " for null id." );
            }
            else {
                return Status.failed(apiTested + "raised " + ee 
               + " for null id." );
			   }
        }
    } //testCase3 finished
    
    public Status testCase4() {
        String apiTested = "Method \" enableHelpKey(java.awt.Component comp,"
                            + " java.lang.String id,HelpSet hs) \" ";
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(loader, url);
            DefaultHelpBroker dhbr = new DefaultHelpBroker(hs);
            Button myButton = new Button("Help");
            dhbr.enableHelpKey(myButton, "myid", null);
            return Status.passed(apiTested + "Okay");
        }
        catch(Exception ee) {
            return Status.failed(apiTested + "Exception raised :" + ee);
        }
    } //testCase4 finished
}
