
/*
* 
* 
* @(#)GetFontTest.java	1.2 99/03/01 Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.DefaultHelpBroker;

import java.io.PrintWriter;
import javax.help.DefaultHelpBroker;
import javax.help.HelpSet;
import javax.help.Map;
import javax.help.FlatMap;
import javax.help.BadIDException;
import java.net.URL;
import java.awt.MenuItem;
import java.awt.Button;
import java.awt.Font;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.DefaultHelpBroker
 *
 *
 
 * @author Ben John.
 */

public class GetFontTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public GetFontTest() { //constructor
        
    }
    
    public static void main(String argv[]) {
        GetFontTest test = new GetFontTest();
        Status s = test.run(argv, new PrintWriter(System.out), 
        new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        String apiTested = "Method \"getFont() \" ";
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            URL url2 = new URL("file", null, HSLOC + "/holidays/Map.jhm");
            HelpSet hs = new HelpSet(loader, url);
            DefaultHelpBroker dhbr = new DefaultHelpBroker(hs);
            Font ff = new Font("Serif", 1, 12);
            dhbr.setFont(ff);
            if((dhbr.getFont() instanceof Font) && (dhbr.getFont() == ff)) {
                return Status.passed(apiTested + "Okay");
            }
            else {
                return Status.failed(apiTested + "Didn't return valid value");
            }
        }
        catch(Exception ee) {
            return Status.failed(apiTested + "Exception raised" + ee);
        }
    } //testCase1 finished
    
    public Status testCase2() {
        String apiTested = "Method \"getFont() \" ";
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            URL url2 = new URL("file", null, HSLOC + "/holidays/Map.jhm");
            HelpSet hs = new HelpSet(loader, url);
            DefaultHelpBroker dhbr = new DefaultHelpBroker(hs);
            Font pFont = dhbr.getFont();
            dhbr.setFont(dhbr.getFont());
            Font sFont = dhbr.getFont();
            if(sFont.equals(pFont)) {
                return Status.passed(apiTested + "Okay;");
            }
            else {
                return Status.failed(apiTested + "Didn't return valid value" 
                + dhbr.getFont());
            }
        }
        catch(Exception ee) {
            ee.printStackTrace();
            return Status.failed(apiTested + "Exception raised" + ee );
        }
    } //testCase2 finished
}
