
/*
* 
* 
* @(#)SetLocationTest.java	1.2 99/03/01 Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.DefaultHelpBroker;

import java.io.PrintWriter;
import javax.help.DefaultHelpBroker;
import javax.help.HelpSet;
import javax.help.Map;
import javax.help.FlatMap;
import javax.help.BadIDException;
import javax.help.UnsupportedOperationException;
import java.awt.Point;
import java.net.URL;
import java.awt.MenuItem;
import java.awt.Button;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.DefaultHelpBroker
 *
 *
 
 * @author Ben John.
 */

public class SetLocationTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public SetLocationTest() { //constructor
        
    }
    
    public static void main(String argv[]) {
        SetLocationTest test = new SetLocationTest();
        Status s = test.run(argv, new PrintWriter(System.out), 
        new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        String apiTested = "Method \"setLocation(java.awt.Point p) \" ";
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(loader, url);
            DefaultHelpBroker dhbr = new DefaultHelpBroker(hs);
            java.awt.Point pp = new Point(10, 10);
            dhbr.setLocation(pp);
            if(dhbr.getLocation().equals(pp)) {
                return Status.passed(apiTested + "Okay");
            }
            else {
                return Status.failed(apiTested + "Didn't return valid value");
            }
        }
        catch(Exception ee) {
			if(ee instanceof UnsupportedOperationException) {
                return Status.passed(apiTested + "Exception raised" + ee);
            }
            else {
                return Status.failed(apiTested + "Exception raised" + ee);
            }
        }
    } //testCase1 finished
    
    public Status testCase2() {
        String apiTested = "Method \"setLocation(null) \" ";
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(loader, url);
            DefaultHelpBroker dhbr = new DefaultHelpBroker(hs);
            dhbr.initPresentation();
            dhbr.setLocation(null);
            return Status.failed(apiTested 
                + "Didn't raise NullPointerException for null parameter");           
        }
        catch(Exception ee) {
            if(ee instanceof NullPointerException) {
                return Status.passed(apiTested 
                + "Exception raised for null parameter " + ee);
            }
            else {
                return Status.failed(apiTested 
                + "Exception raised for null parameter " + ee);
            }
        }
    } //testCase2 finished

    public Status testCase3() {
        String apiTested = "Method \"setLocation(null) \" ";
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(loader, url);
            DefaultHelpBroker dhbr = new DefaultHelpBroker(hs);
	    // in this case the dhbr is not visible
            dhbr.setLocation(null);
            return Status.passed(apiTested + "Okay ");
        }
        catch(Exception ee) {
	    return Status.failed(apiTested + "Exception raised " + ee);
        }
    } //testCase3 finished

}
