/*
 * %W% %E%
 * 
 * Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 * CopyrightVersion 1.0
 */
package javasoft.sqe.tests.api.javax.help.DefaultHelpModel;
import java.io.PrintWriter;
import java.net.URL;
import java.util.Locale;
import javax.help.HelpSet;
import javax.help.Map.ID;
import javax.help.DefaultHelpModel;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.DefaultHelpModel
 *
 * @author Meena C
 */

public class DefaultHelpModelTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public DefaultHelpModelTest() {
        
    }
    
    public static void main(String argv[]) {
        DefaultHelpModelTest test = new DefaultHelpModelTest();
        Status s = test.run(argv, new PrintWriter(System.out) ,
                new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        
        String apiTested = "DefaultHelpModel(HelpSet hs) : " 
        + "\nTestCase : Construct DefaultHelpModel with a null hs " 
        + "\nExpected Result :Should Construct DefaultHelpModel with null " 
        + "HelpSet." 
        + "\nObtained Result : ";
        
        try {
            HelpSet hs = null;
            DefaultHelpModel defaultHelpModel = new DefaultHelpModel(hs);
            HelpSet gotHS = defaultHelpModel.getHelpSet();
            if(defaultHelpModel instanceof DefaultHelpModel) {
                if(hs == gotHS) {
                    return Status.passed(apiTested + "Constructed " 
                        + "DefaultHelpModel object with null HS.\n");
                } else {
                    return Status.failed(apiTested + "Did not Construct " 
                        + "DefaultHelpModel object with null HS.\n");
                }
            } else {
                return Status.failed(apiTested + "Did not Construct " 
                    + "DefaultHelpModel object.\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
    
    public Status testCase2() {
        
        String apiTested = "DefaultHelpModel(HelpSet hs) : " 
        + "\nTestCase : Construct DefaultHelpModel with a valid hs " 
        + "\nExpected Result : Should Construct DefaultHelpModel with the " 
        + "given HelpSet." 
        + "\nObtained Result : ";
        
        try {
            ClassLoader cl = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(cl, url);
            DefaultHelpModel defaultHelpModel = new DefaultHelpModel(hs);
            HelpSet gotHS = defaultHelpModel.getHelpSet();
            if(defaultHelpModel instanceof DefaultHelpModel) {
                if(hs.equals(gotHS)) {
                    return Status.passed(apiTested + "Constructed " 
                        + "DefaultHelpModel object with given HS." 
                        + "\nGiven HelpSet : " + hs + "\nGot HelpSet : " 
                        + gotHS + "\n");
                } else {
                    return Status.failed(apiTested + "Did not Construct " 
                        + "DefaultHelpModel object with given HS." 
                        + "\nGiven HelpSet : " + hs + "\nGot HelpSet : " 
                        + gotHS + "\n");
                }
            } else {
                return Status.failed(apiTested + "Did not Construct " 
                    + "DefaultHelpModel object.\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
        
}
