/*
 * %W% %E%
 * 
 * Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 * CopyrightVersion 1.0
 */
package javasoft.sqe.tests.api.javax.help.DefaultHelpModel;
import java.io.PrintWriter;
import java.net.URL;
import com.sun.help.jck.harness.FooTextHelpModelListener;
import com.sun.help.jck.harness.StaticInfo;
import javax.help.HelpSet;
import javax.help.DefaultHelpModel;
import javax.help.event.TextHelpModelListener;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.DefaultHelpModel
 *
 * @author Meena C
 */

public class RemoveTextHelpModelListenerTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public RemoveTextHelpModelListenerTest() {
        
    }
        
    public static void main(String argv[]) {
        RemoveTextHelpModelListenerTest test =
                new RemoveTextHelpModelListenerTest();
        Status s = test.run(argv, new PrintWriter(System.out),
                new PrintWriter(System.err));
        s.exit();
    }
       
    public Status testCase1() {
        
        String apiTested="removeTextHelpModelListener(TextHelpModelListener l):" 
        + "\nTestCase : Call removeTextHelpModelListener after adding a " 
        + "listener.Call addHighlight(int pos0 , int pos1) and check if " 
        + "listener is not notified" 
        + "\nExpected Result : Shd removeTextHelpModelListener." 
        + "highlightsChanged() of TextHelpModelListener shd not be called." 
        + "\nObtained Result : ";
               
        /* Initialize the bool value to false */
        StaticInfo.bool = false;
        try {
            ClassLoader cl = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(cl, url);
            DefaultHelpModel defaultHelpModel = new DefaultHelpModel(hs);
            FooTextHelpModelListener l = new FooTextHelpModelListener();
            defaultHelpModel.addTextHelpModelListener(l);
            defaultHelpModel.removeTextHelpModelListener(l);
            defaultHelpModel.addHighlight(10, 20);
            
            /* StaticInfo.bool is set to true within highlightsChanged() 
             * of FooTextHelpModelListener 
             */
            if(StaticInfo.bool == false) {
                return Status.passed(apiTested + "highlightsChanged() of " 
                    + "TextHelpModelListener is not called.\n");
            } else {
                return Status.failed(apiTested + "highlightsChanged() of " 
                    + "TextHelpModelListener is called.\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Did not remove " 
                + "TextHelpModelListener , Got Exception : " + e);
        }
    }
        
    public Status testCase2() {
        
        String apiTested="removeTextHelpModelListener(TextHelpModelListener l):" 
        + "\nTestCase : Call removeTextHelpModelListener without adding a " 
        + "listener." 
        + "\nExpected Result : No Exception shd be thrown." 
        + "\nObtained Result : ";
        
        try {
            ClassLoader cl = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(cl, url);
            DefaultHelpModel defaultHelpModel = new DefaultHelpModel(hs);
            FooTextHelpModelListener l = new FooTextHelpModelListener();
            defaultHelpModel.removeTextHelpModelListener(l);
            return Status.passed(apiTested + "Okay.No Exception thrown\n");
        } catch(Exception e) {
            return Status.failed(apiTested + " Got Exception : " + e);
        }
    }
    
    public Status testCase3() {
        
        String apiTested="removeTextHelpModelListener(TextHelpModelListener l):" 
        + "\nTestCase : pass null to removeTextHelpModelListener " 
        + "\nExpected Result :IllegalArgumentException shd be thrown." 
        + "\nObtained Result : ";
        
        try {
            ClassLoader cl = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(cl, url);
            DefaultHelpModel defaultHelpModel = new DefaultHelpModel(hs);
            FooTextHelpModelListener l = null;
            defaultHelpModel.removeTextHelpModelListener(l);
            return Status.failed(apiTested + "Did not get IllegalArgument" 
                + "Exception\n");
        } catch(IllegalArgumentException iae) {
            return Status.passed(apiTested + "Got IllegalArgumentException " 
                + iae + "\n");
        } catch(Exception e) {
            return Status.failed(apiTested + "Did not get IllegalArgument" 
                + "Exception , Got Exception : " + e + "\n");
        }
    }

}
