/*
 * %W% %E%
 * 
 * Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 * CopyrightVersion 1.0
 */
package javasoft.sqe.tests.api.javax.help.DefaultHelpModel;
import java.io.PrintWriter;
import java.net.URL;
import java.util.Locale;
import javax.help.HelpSet;
import javax.help.Map.ID;
import javax.help.DefaultHelpModel;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.DefaultHelpModel
 *
 * @author Meena C
 */

public class SetDocumentTitleTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public SetDocumentTitleTest() {
        
    }
    
    public static void main(String argv[]) {
        SetDocumentTitleTest test = new SetDocumentTitleTest();
        Status s = test.run(argv, new PrintWriter(System.out) ,
                new PrintWriter(System.err));
        s.exit();
    }    
      
    public Status testCase1() {
        
        String apiTested = "setDocumentTitle(String title) : " 
        + "\nTestCase : Construct DefaultHelpModel and call setDocumentTitle " 
        + "with a valid title." 
        + "\nExpected Result : Shd set the given title." 
        + "\nObtained Result : ";
        
        try {
            ClassLoader cl = this.getClass().getClassLoader();
            URL hsurl =new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(cl, hsurl);
            DefaultHelpModel defaultHelpModel = new DefaultHelpModel(hs);
            String title = "Testing  the Title";
            defaultHelpModel.setDocumentTitle(title);
            String gotTitle = defaultHelpModel.getDocumentTitle();
            if(gotTitle.equals(title)) {
                return Status.passed(apiTested + "Set the given title." 
                    + "\nGiven Title = " + title + " \nGot Title = " 
                    + gotTitle + "\n");
            } else {
                return Status.failed(apiTested + "Did not set given Title." 
                    + "\nGiven Title = " + title + " \nGot Title = " 
                    + gotTitle + "\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
    
    public Status testCase2() {
        
        String apiTested = "setDocumentTitle(String title) : " 
        + "\nTestCase : Construct DefaultHelpModel and call setDocumentTitle" 
        + " with a null title." 
        + "\nExpected Result : Shd set the null title." 
        + "\nObtained Result : ";
        
        try {
            ClassLoader cl = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(cl, url);
            DefaultHelpModel defaultHelpModel = new DefaultHelpModel(hs);
            String title = null;
            defaultHelpModel.setDocumentTitle(title);
            String gotTitle = defaultHelpModel.getDocumentTitle();
            if(gotTitle == title) {
                return Status.passed(apiTested + "Set the null title.\n");
            } else {
                return Status.failed(apiTested + "Did not set null Title.\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }

}
