/*
 * @(#)ProcessMapRefTest.java	1.1 99/03/02
 * 
 * Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 * CopyrightVersion 1.0
 */
package javasoft.sqe.tests.api.javax.help.DefaultHelpSetFactory;
import java.io.PrintWriter;
import java.util.Enumeration;
import java.util.Hashtable;
import java.net.URL;
import javax.help.HelpSet;
import javax.help.Map;
import javax.help.FlatMap;
import javax.help.HelpSet.DefaultHelpSetFactory;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.HelpSet.DefaultHelpSetFactory
 *
 * @author Meena C
 */

public class ProcessMapRefTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public ProcessMapRefTest() {
        
    }
    
    public static void main(String argv[]) {
        ProcessMapRefTest test = new ProcessMapRefTest();
        Status s = test.run(argv, new PrintWriter(System.out) ,
        	new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
    	
        String apiTested = "processMapRef(HelpSet hs, Hashtable attr) : " 
        + "\nTestCase : Construct DefaultHelpSetFactory and call " 
        + "processMapRef with a valid values." 
        + "\nExpected Result :listMessages shd return  empty enumeration. " 
        + "\nObtained Result : ";
        
        try {
            boolean check = false;
            DefaultHelpSetFactory defaultFactory =new DefaultHelpSetFactory();
            ClassLoader cl = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(cl, url);
            Hashtable attr = new Hashtable();
            attr.put("location", "Map.jhm");
            hs.setLocalMap(null);
            defaultFactory.processMapRef(hs, attr);
            Enumeration e = defaultFactory.listMessages();
            for(;e.hasMoreElements();) {
                check = true;
		e.nextElement();
            }
            if(!check) {
                return Status.passed(apiTested + "Got Empty Enumeration.\n");
            } else {
                return Status.failed(apiTested + "Did not get Empty " 
                	+ " enumeration\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
    
    public Status testCase2() {
    	
        String apiTested = "processMapRef(HelpSet hs, Hashtable attr) : " 
        + "\nTestCase : Construct DefaultHelpSetFactory and call " 
        + "processMapRef with hs that already has a map." 
        + "\nExpected Result :listMessages shd return an enumeration" 
        + "\nObtained Result : ";
        
        try {
            boolean check = false;
            DefaultHelpSetFactory defaultFactory =new DefaultHelpSetFactory();
            ClassLoader cl = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(cl, url);
            Hashtable attr = new Hashtable();
            attr.put("location", "Map.jhm");
            defaultFactory.processMapRef(hs, attr);
            Enumeration e = defaultFactory.listMessages();
            for(;e.hasMoreElements();) {
                check = true;
		e.nextElement();
            }
            if(check) {
                return Status.failed(apiTested+"Got Non Empty Enumeration\n");
            } else {
                return Status.passed(apiTested + "Got Empty enumeration\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
    
    public Status testCase3() {
    	
        String apiTested = "processMapRef(HelpSet hs, Hashtable attr) : " 
        + "\nTestCase : Construct DefaultHelpSetFactory and call " 
        + "processMapRef with null hs." 
        + "\nExpected Result : NullPointerException shd be thrown." 
        + "\nObtained Result : ";
        
        try {
            boolean check = false;
            DefaultHelpSetFactory defaultFactory =new DefaultHelpSetFactory();
            ClassLoader cl = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            HelpSet hs = null;
            Hashtable attr = new Hashtable();
            attr.put("location", "Map.jhm");
            hs.setLocalMap(null);
            defaultFactory.processMapRef(hs, attr);
            return Status.failed(apiTested + "Did not get " 
            	+ "NullPointerException\n");
        } catch(NullPointerException npe) {
            return Status.passed(apiTested + "Got NullPointerException : " 
            	+ npe + "\n");
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
    
    public Status testCase4() {
    	
        String apiTested = "processMapRef(HelpSet hs, Hashtable attr) : " 
        + "\nTestCase : Construct DefaultHelpSetFactory and call " 
        + "processMapRef with null attr." 
        + "\nExpected Result : NullPointerException shd be thrown." 
        + "\nObtained Result : ";
        
        try {
            boolean check = false;
            DefaultHelpSetFactory defaultFactory =new DefaultHelpSetFactory();
            ClassLoader cl = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(cl, url);
            Hashtable attr = null;
            hs.setLocalMap(null);
            defaultFactory.processMapRef(hs, attr);
            return Status.failed(apiTested + "Did not get " 
            	+ " NullPointerException \n");
        } catch(NullPointerException npe) {
            return Status.passed(apiTested + "Got NullPointerException : " 
            	+ npe + "\n");
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
}
