/*
 * @(#)ReportMessageTest.java	1.1 99/03/02
 * 
 * Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 * CopyrightVersion 1.0
 */
package javasoft.sqe.tests.api.javax.help.DefaultHelpSetFactory;
import java.io.PrintWriter;
import java.util.Enumeration;
import java.net.URL;
import javax.help.HelpSet;
import javax.help.HelpSet.DefaultHelpSetFactory;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.HelpSet.DefaultHelpSetFactory
 *
 * @author Meena C
 */

public class ReportMessageTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public ReportMessageTest() {
        
    }
    
    public static void main(String argv[]) {
        ReportMessageTest test = new ReportMessageTest();
        Status s = test.run(argv, new PrintWriter(System.out) ,
        	new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
    	
        String apiTested = "reportMessage(String msg,boolean validParse ) : " 
        + "\nTestCase : Construct DefaultHelpSetFactory and call " 
        + "reportMessage with valid values , then call listMessages." 
        + "\nExpected Result :listMessages shd return an enumeration with " 
        + "given strings. " 
        + "\nObtained Result : ";
        
        try {
            String msg[] =  {
                "TestMessage1", "TestMessage2"
            };
            DefaultHelpSetFactory defaultFactory =new DefaultHelpSetFactory();
            defaultFactory.reportMessage(msg[0], true);
            defaultFactory.reportMessage(msg[1], false);
            int i = 0;
            int len = msg.length;
            Enumeration e = defaultFactory.listMessages();
            for(;e.hasMoreElements();) {
                String str = (String)e.nextElement();
                if(!str.equals(msg[i])) {
                    break;
                }
                i++;
            }
            if(i == len) {
                return Status.passed(apiTested + "Got Enumeration with the " 
                	+ "given strings. \n");
            } else {
                return Status.failed(apiTested + "Did not get enumeration " 
                	+ "with the given strings\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
    
    public Status testCase2() {
    	
        String apiTested = "reportMessage(String msg , boolean validParse):" 
        + "\nTestCase : Construct DefaultHelpSetFactory and call " 
        + "reportMessage with null msg , then call listMessages." 
        + "\nExpected Result :listMessages shd return an enumeration " 
        + "with null string. " 
        + "\nObtained Result : ";
        
        String str = null;
        try {
            DefaultHelpSetFactory defaultFactory =new DefaultHelpSetFactory();
            String msg = null;
            defaultFactory.reportMessage(msg, false);
            Enumeration e = defaultFactory.listMessages();
            for(;e.hasMoreElements();) {
                str = (String)e.nextElement();
            }
            if(msg == str) {
                return Status.passed(apiTested + "Got Enumeration with the " 
                	+ "null string. \n");
            } else {
                return Status.failed(apiTested + "Did not get enumeration " 
                	+ "with the null string\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
}
