/*
* @(#)DefaultHighlightTest.java	1.1 99/03/02
* 
* Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.DefaultHighlight;
import java.io.PrintWriter;
import javax.help.HelpSet;
import java.lang.ClassLoader;
import java.lang.Class;
import java.net.URL;
import java.awt.Button;
import javax.help.DefaultHelpModel.DefaultHighlight;
import javax.help.event.HelpSetEvent;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;
/**
* Tests for javax.help.DefaultHelpModel.DefaultHighlightTest 
* Constructor Test
* Create a DefaultHelpModel.DefaultHighlightTest
*
* @author Sudhakar.Adini
*/
public class DefaultHighlightTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public DefaultHighlightTest() {
        
    }
    
    public static void main(String argv[]) {
        DefaultHighlightTest test = new DefaultHighlightTest();
        Status s = test.run(argv, new PrintWriter(System.out), 
        	new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        String apiTested = " Constructor: DefaultHighlight(int start, int end)" 
        	+ "\nTestCase : Call DefaultHighlight (int start , int end)" 
        	+ "\nExpected Result :It should construct the object properly" 
        	+ "\nObtained Result : ";
        try {
            int start = 10;
            int end = 20;
            DefaultHighlight dd = new DefaultHighlight(start, end);
            int start1 = dd.getStartOffset();
            int end1 = dd.getEndOffset();
            if((dd instanceof DefaultHighlight) && (start1 == start) && 
               (end1 == end)) {
                return Status.passed(apiTested + "Okay");
            }
            else {
                return Status.failed(apiTested +"Not Construct proper object");
            }
        }
        catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e.toString());
        }
    } //testCase1 finished	
    
    public Status testCase2() {
        String apiTested = " Constructor: DefaultHighlight(int start, int end)" 
        	+ "\nTestCase : Call DefaultHighlight(int Integer.MIN_VALUE ,"        
        	+ "int Integer.MAX_VALUE" 
        	+ "\nExpected Result :It should throw IllegalArgumentException" 
        	+ "\nObtained Result : ";
        try {
            int start = Integer.MIN_VALUE;
            int end = Integer.MAX_VALUE;
            DefaultHighlight dd = new DefaultHighlight(start, end);
            return Status.failed(apiTested + "No Exception raised");
            }        
        catch(Exception e) {
		if(e instanceof IllegalArgumentException)
            return Status.passed(apiTested + "Got : " + e.toString());
		else
			return Status.failed(apiTested + "Got : " + e.toString());
        }
    } //testCase2 finished	
}
