/*
* @(#)ParsingEndedTest.java	1.1 99/03/02
* 
* Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.DefaultIndexFactory;
import java.io.PrintWriter;
import javax.help.HelpSet;
import java.lang.ClassLoader;
import java.util.Locale;
import java.util.Hashtable;
import java.lang.Class;
import java.net.URL;
import java.awt.Button;
import javax.swing.tree.DefaultMutableTreeNode;
import javax.help.DefaultHelpModel.DefaultHighlight;
import javax.help.IndexView.DefaultIndexFactory;
import javax.help.IndexView;
import javax.help.event.HelpSetEvent;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;
import java.util.Enumeration;
/**
* Tests for javax.help.IndexView.DefaultIndexFactoryTest
* 
* Method:parsingStarted(java.net.URL source)
*
* @author Sudhakar.Adini
*/
public class ParsingEndedTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public ParsingEndedTest() {
        
    }
    
    public static void main(String argv[]) {
        ParsingEndedTest test = new ParsingEndedTest();
        Status s = test.run(argv, new PrintWriter(System.out), 
        	new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        String apiTested = " Method:parsingEnded(DefaultMutableTreeNode node)" 
        + "\nTestCase :call parsingEnded() by passing valid node " 
        + "\nExpected Result :It should return DefaultMutableTreeNode object" 
        + "\nObtained Result : ";
        try {
            ClassLoader l = this.getClass().getClassLoader();
            URL url1 = new URL("file", null, HSLOC + "/merge/MasterIndex.xml");
            URL url2 = new URL("file", null, HSLOC + "/merge/Master.hs");
            HelpSet hs1 = new HelpSet(l, url2);
            Locale locale = Locale.getDefault();
            String name = "Index";
            String label = "Index";
            Hashtable params = new Hashtable();
            params.put("data", "MasterIndex.xml");
            IndexView iv = new IndexView(hs1, name, label, params);
            DefaultIndexFactory factory = new DefaultIndexFactory();
            DefaultMutableTreeNode node = IndexView.parse(url1, hs1, 
            					locale, factory);
            for(Enumeration en = factory.listMessages();en.hasMoreElements();) {
                String message = (String)en.nextElement();                
            }
            DefaultMutableTreeNode node1 = factory.parsingEnded(node);            
            if(node1 == node) {
                return Status.passed(apiTested + "Okay");
            }
            else {
                return Status.failed(apiTested + "Failed");
            }
        }
        catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e.toString());
        }
    } //testCase1 finished	
    
    public Status testCase2() {
        String apiTested = " Method:parsingEnded(DefaultMutableTreeNode node)" 
        + "\nTestCase :call parsingEnded() by passing null for node " 
        + "\nExpected Result :It should return null" 
        + "\nObtained Result : ";
        try {
            DefaultIndexFactory factory = new DefaultIndexFactory();
            DefaultMutableTreeNode node = factory.parsingEnded(null);
            if(node == null) {
                return Status.passed(apiTested + "Okay");
            }
            else {
                return Status.failed(apiTested + "Failed");
            }
        }
        catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e.toString());
        }
    } //testCase2 finished
	
    public Status testCase3() {
        String apiTested = " Method:parsingEnded(DefaultMutableTreeNode node)" 
        + "\nTestCase :Call parsingEnded() by passing invalid Index to parser"		 
        + "\nExpected Result :It should return null" 
        + "\nObtained Result : ";
        try {
            ClassLoader l = this.getClass().getClassLoader();
            URL url1 = new URL("file", null, HSLOC + "/merge/Master.xml");
            URL url2 = new URL("file", null, HSLOC + "/merge/Master.hs");
            HelpSet hs1 = new HelpSet(l, url2);
            Locale locale = Locale.getDefault();
            String name = "Index";
            String label = "Index";
            Hashtable params = new Hashtable();
            params.put("data", "Master.xml");
            IndexView iv = new IndexView(hs1, name, label, params);
            DefaultIndexFactory factory = new DefaultIndexFactory();
            DefaultMutableTreeNode node = IndexView.parse(url1, hs1, 
            					locale, factory);
            for(Enumeration en = factory.listMessages();en.hasMoreElements();) {
                String message = (String)en.nextElement();                
            }
            DefaultMutableTreeNode node1 = factory.parsingEnded(node);            
            if(node1 == null) {
                return Status.passed(apiTested + "Okay");
            }
            else {
                return Status.failed(apiTested + "Failed");
            }
        }
        catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e.toString());
        }
    } //testCase3 finished	
    	
}
