
/*
* 
* 
* @(#)IsValidIDTest.java	1.4 01/08/06 Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.FlatMap;

import java.io.PrintWriter;
import javax.help.HelpSet;
import javax.help.Map;
import javax.help.FlatMap;
import java.net.URL;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.FlatMap
 *
 
 * @author Ben John.
 */

public class IsValidIDTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public IsValidIDTest() {
        
    }
    
    public static void main(String argv[]) {
        IsValidIDTest test = new IsValidIDTest();
        Status s = test.run(argv, new PrintWriter(System.out), 
                   new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        String apiTested = "Method \" isValidID(java.lang.String id,HelpSet hs)) \" ";
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            URL uu = new URL("file", null, HSLOC + "/holidays/Map.jhm");
            HelpSet hs = new HelpSet(loader, url);
            FlatMap tfm = new FlatMap(new URL("file", null, HSLOC + "/holidays/Map.jhm"), hs);
            if(tfm.isValidID("hol_intro", hs) == true) {
                return Status.passed(apiTested + "Okay");
            }
            else {
                return Status.failed(apiTested + "Did not return valid value");
            }
        }
        catch(Exception ee) {
            return Status.failed(apiTested + "Exception Raised:" + ee);
        }
    } //testCase1 finished
    
    public Status testCase2() {
        String apiTested = "Method \" isValidID(java.lang.String id,HelpSet hs)) \" ";
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            URL uu = new URL("file", null, HSLOC + "/holidays/Map.jhm");
            HelpSet hs = new HelpSet(loader, url);
            FlatMap tfm = new FlatMap(new URL("file", null, HSLOC + "/holidays/Map.jhm"), hs);
            if(tfm.isValidID("Error", hs) == false) {
                return Status.passed(apiTested + 
                "Okay Returns False for Invalid ID valid HelpSet.");
            }
            else {
                return Status.failed(apiTested + 
                "Did not return false for Invalid ID valid HelpSet");
            }
        }
        catch(Exception ee) {
            return Status.failed(apiTested + "Exception Raised:" + ee);
        }
    } //testCase2 finished
    
    public Status testCase3() {
        String apiTested = "Method \" isValidID(java.lang.String id,HelpSet hs)) \" ";
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            URL uu = new URL("file", null, HSLOC + "/holidays/Map.jhm");
            HelpSet hs = new HelpSet(loader, url);
            FlatMap tfm = new FlatMap(new URL("file", null, HSLOC + "/holidays/Map.jhm"), hs);
            if(tfm.isValidID("hol_intro", null) == true) {
                return Status.passed(apiTested 
                + "Okay; returns false for null Helpset valid ID");
            }
            else {
                return Status.failed(apiTested 
                + "Did not return false for null HelpSet valid ID");
            }
        }
        catch(Exception ee) {
            return Status.failed(apiTested + "Exception Raised:" + ee);
        }
    } //testCase3 finished
    
    public Status testCase4() {
        String apiTested = "Method \" isValidID(java.lang.String id,HelpSet hs)) \" ";
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            URL uu = new URL("file", null, HSLOC + "/holidays/Map.jhm");
            HelpSet hs = new HelpSet(loader, url);
            FlatMap tfm = new FlatMap(new URL("file", null, HSLOC + "/holidays/Map.jhm"), hs);
            if(tfm.isValidID(null, hs) == false) {
                return Status.passed(apiTested 
                + "Okay; returns false for null Id. with Valid HelpSet");
            }
            else {
                return Status.failed(apiTested 
                + "Did not return false for null ID. with Valid HelpSet");
            }
        }
        catch(Exception ee) {
            if(ee instanceof NullPointerException) {
                return Status.passed(apiTested 
                + "Exception Raised for null id and valid HelpSet" + ee);
            }
            else {
                return Status.failed(apiTested 
                + "Exception Raised for null id and valid HelpSet" + ee);
            }
        }
    } //testCase4 finished
}
