
/*
* @(#)AddHelpSetListenerTest.java	1.1 99/03/02
* 
* Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.HelpSet;
import java.io.PrintWriter;
import java.net.URL;
import com.sun.help.jck.harness.FooHelpSetListener;
import com.sun.help.jck.harness.FooHelpModelListener;
import com.sun.help.jck.harness.StaticInfo;
import javax.help.HelpSet;
import javax.help.event.HelpSetListener;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.HelpSet
 * Method:addHelpSetListener(HelpSetListener l)
 
 * @author Sudhakar.Adini
 */

public class AddHelpSetListenerTest extends MultiTest {
    
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public AddHelpSetListenerTest() {
        
    }
    
    public static void main(String argv[]) {
        AddHelpSetListenerTest test = new AddHelpSetListenerTest();
        Status s = test.run(argv, new PrintWriter(System.out), 
        	new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        String apiTested = "Method:addHelpSetListener(HelpSetListener l) : " 
        + "\nTestCase : Call addHelpSetListener(HelpSetListener l) " 
        + "\nExpected Result:Should add HelpSetListener.No Exception shd thrown" 
        + "\nObtained Result : ";
        try {
            ClassLoader cl = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/merge/Master.hs");
            HelpSet hs = new HelpSet(cl, url);
            FooHelpSetListener l = new FooHelpSetListener();
            hs.addHelpSetListener(l);
            return Status.passed(apiTested +"Added HelpSetListener properly\n");
        }
        catch(Exception e) {
            return Status.failed(apiTested +"Got Exception"+ e.toString() +"\n");
        }
    }
    
    public Status testCase2() {
        String apiTested = "addHelpSetListener(HelpSetListener l) : " 
        + "\nTestCase : addHelpSetListener , Call add(HelpSet h) and "
        + " check if listener for HelpSetEvent is notified" 
        + "\nExpected Result :helpSetAdded() of HelpSetListener shd be called."
        + " No Exception shd be thrown." 
        + "\nObtained Result : ";
        
        /* Initialize the bool value to false */
        StaticInfo.bool = false;
        try {
            ClassLoader cl = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/merge/Master.hs");
            HelpSet hs = new HelpSet(cl, url);            
            FooHelpSetListener l = new FooHelpSetListener();
            hs.addHelpSetListener(l);
            URL url2 = new URL("file", null, HSLOC +"/holidays/HolidayHistory.hs");
            HelpSet hs2 = new HelpSet(cl, url2);
            hs.add(hs2);
            
            /*
             StaticInfo.bool is set to true within helpSetAdded() of 
             FooHelpSetListener
            */
            if(StaticInfo.bool == true) {
                return Status.passed(apiTested + "helpSetAdded() of "
                	+ "HelpSetListener is called.\n");
            }
            else {
                return Status.failed(apiTested + "helpSetAdded() of "
                	+ "HelpSetListener is not called.\n");
            }
        }
        catch(Exception e) {
            return Status.failed(apiTested + "Did not add HelpSetListener ,"
            	+ " Got Exception : " + e.toString()+ "\n");
        }
    }
    
    public Status testCase3() {
        String apiTested = "addHelpSetListener(HelpSetListener l) : " 
        + "\nTestCase : Pass null to addHelpSetListener" 
        + "\nExpected Result :IllegalArgumentException shd be thrown." 
        + "\nObtained Result : ";
        try {
            ClassLoader cl = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/merge/Master.hs");
            HelpSet hs = new HelpSet(cl, url);
            FooHelpSetListener l = null;
            hs.addHelpSetListener(l);
            return Status.failed(apiTested +"Not get IllegalArgumentException");
        }
        catch(IllegalArgumentException iae) {
            return Status.passed(apiTested + "Got IllegalArgumentException :");
        }
        catch(Exception e) {
            return Status.failed(apiTested +"Got otherException:"+e.toString());
        }
    }

}
