
/*
* %W% %E%
* 
* Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.HelpSet;
import java.io.PrintWriter;
import javax.help.HelpSet;
import javax.help.NavigatorView;
import javax.help.IndexView;
import java.lang.ClassLoader;
import java.lang.Class;
import java.net.URL;
import java.util.Hashtable;
import java.awt.Button;
import javax.help.HelpSetException;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;
import com.sun.help.jck.harness.FireHelperTest;
/**
 * Tests for javax.help.HelpSet
 * addView(NavigatorView view) Test
 * 
 * @author Sudhakar.Adini
 */

public class AddViewTest extends MultiTest {
    
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public AddViewTest() {
        
    }
    
    public static void main(String argv[]) {
        AddViewTest test = new AddViewTest();
        Status s = test.run(argv, new PrintWriter(System.out), 
        	new PrintWriter(System.err));
        s.exit();
    }  
 
    public Status testCase1() {
    	String apiTested = " Method : addView(NavigatorView view)"         
        + "\nTestCase : add navigator with this method and get it back with "
        + " getNavigatorView(String name)" 
        + "\nExpected Result :It should return the same navigator"
        + " No Exception shd be thrown." 
        + "\nObtained Result : ";       
        
        try {
            ClassLoader l = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC +"/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(l, url);
            String name = "IndexView";
            String label = "IndexViewTest";
            Hashtable params = new Hashtable();
            params.put("data", "HolidayIndex.xml");
            IndexView iv = new IndexView(hs, name, label, params);            
            FireHelperTest fire=new FireHelperTest();
            fire.viewAdd((NavigatorView)iv);
            NavigatorView view =fire.getNavigatorView(name);
            if(view instanceof NavigatorView && view.equals(iv))
            	return Status.passed(apiTested+"Okay");
            else
            	return Status.failed(apiTested+"Failed");  
        
        }
        catch(Exception e) {
            return Status.failed(apiTested +" GotException : " + e.toString());
        }
    } 

   }  