
/*
* @(#)GetNavigatorViewTest.java	1.1 99/03/02
* 
* Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.HelpSet;
import java.io.PrintWriter;
import javax.help.HelpSet;
import javax.help.Map;
import javax.help.FlatMap;
import javax.help.NavigatorView;
import java.lang.ClassLoader;
import java.lang.Class;
import java.net.URL;
import java.util.Locale;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.HelpSet
 *	Method :getNavigatorView(java.lang.String name)
 
 * @author Sudhakar.Adini
 */

public class GetNavigatorViewTest extends MultiTest {
    
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public GetNavigatorViewTest() {
        
    }
    
    public static void main(String argv[]) {
        GetNavigatorViewTest test = new GetNavigatorViewTest();
        Status s = test.run(argv, new PrintWriter(System.out), 
        	new PrintWriter(System.err));
        s.exit();
    }   
    
    public Status testCase1() {
        String apiTested = " Method :getNavigatorView(java.lang.String name)" 
        + "\nTestCase : Call getNavigatorView() " 
        + "\nExpected Result :It should return NavigatorView  " 
        + "\nObtained Result : ";
        try {
            ClassLoader l = this.getClass().getClassLoader();
            URL url1 = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs1 = new HelpSet(l, url1);
            NavigatorView nv[] = hs1.getNavigatorViews();            
            for(int i = 0;i < nv.length;i++) {                
            }
            String s = nv[0].getName();            
            NavigatorView nv1 = hs1.getNavigatorView(s);            
            if(nv1 == nv[0]) {
                return Status.passed(apiTested + "Okay");
            }
            else {
                return Status.failed(apiTested+"It did not return the NavView");
            }       
        }
        catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e.toString());
        }
    } //testcase1 finished
    
    public Status testCase2() {
        String apiTested = " Method :getNavigatorView(java.lang.String name)" 
        + "\nTestCase : Call getNavigatorView(null) " 
        + "\nExpected Result :It should return null  " 
        + "\nObtained Result : ";
        try {
            ClassLoader l = this.getClass().getClassLoader();
            URL url1 = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs1 = new HelpSet(l, url1);
            String s = null;
            NavigatorView nv1 = hs1.getNavigatorView(s);
            if(nv1 == null) {
                return Status.passed(apiTested + "Okay");
            }
            else {
                return Status.failed(apiTested +"It  did not return the NView");
            }        
        }
        catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e.toString());
        }
    } //testcase2 finished
}
