
/*
*  @(#)SetHomeIDTest.java	1.1 99/03/02
* 
* Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.HelpSet;
import java.io.PrintWriter;
import javax.help.HelpSet;
import javax.help.Map;
import javax.help.FlatMap;
import javax.help.NavigatorView;
import javax.help.Map.ID;
import java.lang.ClassLoader;
import java.lang.Class;
import java.net.URL;
import java.util.Locale;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.HelpSet
 * Method :setHomeID(String homeID)
 *
 * @author Sudhakar.Adini
 */

public class SetHomeIDTest extends MultiTest {
    
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public SetHomeIDTest() {
        
    }
    
    public static void main(String argv[]) {
        SetHomeIDTest test = new SetHomeIDTest();
        Status s = test.run(argv, new PrintWriter(System.out), 
        	new PrintWriter(System.err));
        s.exit();
    }    
   
    
    public Status testCase1() {
    String apiTested = " Method :setHomeID(String homeID)"
    + "\nTestCase : Call setHomeID(String homeID)and  " 
	+ " check it with getHomeID()"
    + "\nExpected Result :It should return the same Home ID  " 
    + "\nObtained Result : ";
        try {
            ClassLoader l = this.getClass().getClassLoader();
            URL url1 = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs1 = new HelpSet(l, url1);
            String id1 = "season";
            hs1.setHomeID(id1);
            Map.ID mid = hs1.getHomeID();
            if((mid.id == id1) && (mid.hs == hs1)) {
                return Status.passed(apiTested + "Okay");
            }
            else {
                return Status.failed(apiTested + "It did not sets the Home ID");
            }
        }
        catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e.toString());
        }
    } //testcase1 finished    
   
    
    public Status testCase2() {
    String apiTested = " Method :setHomeID(String homeID)"
    + "\nTestCase : Call setHomeID() with incorrect Home ID " 
	+ " and check it with getHomeID()"
    + "\nExpected Result :It should return null " 
    + "\nObtained Result : ";
        try {
            ClassLoader l = this.getClass().getClassLoader();
            URL url1 = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs1 = new HelpSet(l, url1);
            String id1 = "sea";
            hs1.setHomeID(id1);
			Map.ID mid = hs1.getHomeID();
           	if(mid==null) {                
				return Status.passed(apiTested + "Okay");
			}
			else {
			    return Status.failed(apiTested + "It did not sets the Home ID");
			}
        }
        catch(Exception e) {
                return Status.failed(apiTested+"GotException:" + e.toString());
        }
    } //testcase2 finished


    public Status testCase3() {
    String apiTested = " Method :setHomeID(String homeID)"
    + "\nTestCase : Call setHomeID(null)  "
	+ " and check it with getHomeID()"
    + "\nExpected Result :It should return null " 
    + "\nObtained Result : ";
        try {
            ClassLoader l = this.getClass().getClassLoader();
            URL url1 = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs1 = new HelpSet(l, url1);
            String id1 = null;
            hs1.setHomeID(id1);
			Map.ID mid = hs1.getHomeID();
           	if(mid==null) {
				return Status.passed(apiTested + "Okay");
			}
			else {
			    return Status.failed(apiTested + "It did not sets the Home ID");
			}
        }
        catch(Exception e) {
                return Status.failed(apiTested+"GotException:" + e.toString());
        }
    } //testcase3 finished
}
