
/*
* @(#)SetTitleTest.java	1.2 01/08/07
* 
* Copyright (c) 1997-1998 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.HelpSet;
import java.io.PrintWriter;
import javax.help.HelpSet;
import java.lang.ClassLoader;
import java.lang.Class;
import java.net.URL;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.HelpSet
 *	 setTitle(String title)
 
 * @author Sudhakar.Adini
 */

public class SetTitleTest extends MultiTest {
    
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public SetTitleTest() {
        
    }
    
    public static void main(String argv[]) {
        SetTitleTest test = new SetTitleTest();
        Status s = test.run(argv, new PrintWriter(System.out), 
        	new PrintWriter(System.err));
        s.exit();
    }   
    
    public Status testCase1() {
        String apiTested = " Method : setTitle(String title) "
        + "\nTestCase : Call setTitle(String title)"
        + "\nExpected Result :It should sets the title  "  
        + "\nObtained Result : ";
        try {
            ClassLoader l = this.getClass().getClassLoader();
            URL url1 = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs1 = new HelpSet(l, url1);
            String s1 = "HolidayHistory";
            hs1.setTitle(s1);
            String s2 = hs1.getTitle();
            if(s2.equals(s1)) {
                return Status.passed(apiTested +  "Okay");
            }
            else {
                return Status.failed(apiTested+"It did not set properly");
            }
        }
        catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e.toString());
        }
    } //testcase1 finished    
   
    
    public Status testCase2() {
        String apiTested = " Method : setTitle(String title) "
        + "\nTestCase : Call setTitle(null)"
        + "\nExpected Result :It should sets the title  "  
        + "\nObtained Result : ";
        try {
            ClassLoader l = this.getClass().getClassLoader();
            URL url1 = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs1 = new HelpSet(l, url1);
            String s1 = "HolidayHistory";
            hs1.setTitle(null);
            String s2 = hs1.getTitle();
            
            if(s2 instanceof String) {
                return Status.passed(apiTested +  "Okay");
            }
            else {
                return Status.failed(apiTested + "It did not set properly");
            }
        }
        catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e.toString());
        }
    } //testcase2 finished
}
