
/*
* 
* 
* @(#)HelpSetExceptionTest.java	1.2 99/03/01 Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.HelpSetException;

import java.io.PrintWriter;
import javax.help.HelpSetException;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.HelpSetException
 *
 
 * @author Ben John.
 */

public class HelpSetExceptionTest extends MultiTest {
    
    public HelpSetExceptionTest() {
        
    }
    
    public static void main(String argv[]) {
        HelpSetExceptionTest test = new HelpSetExceptionTest();
        Status s = test.run(argv, new PrintWriter(System.out), 
        new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        String apiTested = "Method  \"HelpSetException() \" ";
        try {
            throw new HelpSetException("MessageString");
        }
        catch(HelpSetException uoe) {
            if(uoe instanceof HelpSetException) {
                return Status.passed(apiTested + "Okay");
            }
            else {
                return Status.failed(apiTested 
                + "Did not Construct default  HelpSetException object");
            }
        }
    } //testCase1 finished
    
    public Status testCase2() {
        String apiTested = "Method  \"HelpSetException() \" ";
        try {
            throw new HelpSetException(null); 
        }
        catch(HelpSetException uoe) {
            if(uoe instanceof HelpSetException) {
                return Status.passed(apiTested + "Okay; Even arguement is null");
            }
            else {
                return Status.failed(apiTested + "Did not Construct default "
                + " HelpSetException object with null arguement");
            }
        }
    } //testCase2 finished
}
