/*
 * Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 *
 * CopyrightVersion 1.0
 */

/*
 * TestCases summary:
 * testCase1 ... HelpUtilities.getDefaultQueryEngine() --> HelpUtilities.getDefaultQueryEngine()
 */

package javasoft.sqe.tests.api.javax.help.HelpUtilities;

import java.io.PrintWriter;

import java.net.URL;

import javax.help.HelpUtilities;

import com.sun.javatest.Status;
import com.sun.javatest.lib.MultiTest;

/**
 * Tests for javax.help.HelpUtilities ... getDefaultQueryEngine()
 *
 * @author Patrik Knakal
 *
 * @since JH2.0
 */
public class GetDefaultQueryEngineTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");

    public GetDefaultQueryEngineTest() {
    }

    public static void main(String argv[]) {
        GetDefaultQueryEngineTest test = new GetDefaultQueryEngineTest();
        Status s = test.run(argv, new PrintWriter(System.out), new PrintWriter(System.err));
        s.exit();
    }


    /**
     * Method test: <code>java.lang.String getDefaultQueryEngine()</code>
     *
     * @author Patrik Knakal
     *
     * @since JH2.0
     */
    public Status testCase1() {
        String apiTested = "java.lang.String getDefaultQueryEngine(): "
            + "TestCase: 'HelpUtilities.getDefaultQueryEngine()' "
            + "ExpectedResult: 'com.sun.java.help.search.DefaultSearchEngine' "
            + "ObtainedResult: ";

        try {
            if(HelpUtilities.getDefaultQueryEngine().equals("com.sun.java.help.search.DefaultSearchEngine") ) {
                return Status.passed(apiTested + "Got 'null'");
            } else {
                return Status.failed(apiTested + "Did not get 'null': " + HelpUtilities.getDefaultQueryEngine() );
            }

        } catch (Exception exc) {
            exc.printStackTrace();
            return Status.failed(apiTested + "Got Exception: " + exc);
        }
    }

}

