/*
* @(#)GetDataAsTreeTest.java	1.1 99/03/02
* 
* Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.IndexView;
import java.io.PrintWriter;
import javax.help.HelpSet;
import java.lang.ClassLoader;
import java.lang.Class;
import java.util.Hashtable;
import java.util.Enumeration;
import java.util.Locale;
import java.net.URL;
import java.awt.Component;
import javax.help.IndexView;
import javax.help.IndexItem;
import javax.swing.tree.TreeNode ;
import javax.swing.tree.DefaultMutableTreeNode;
import javax.help.DefaultHelpModel;
import javax.help.HelpSetException;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;
import javax.swing.tree.MutableTreeNode;
import javax.help.JHelpIndexNavigator;
/**
* Tests for javax.help.IndexView
* Method:getDataAsTree()
* 
* @author Sudhakar.Adini
*/
public class GetDataAsTreeTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public GetDataAsTreeTest() {
        
    }
    
    public static void main(String argv[]) {
        GetDataAsTreeTest test = new GetDataAsTreeTest();
        Status s = test.run(argv, new PrintWriter(System.out), 
        	new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        String apiTested = " Method: getDataAsTree()" 
        + "\nTestCase : Call getDataAsTree() with data " 
        + "\nExpected Result:It should return the DefaultMutableTreeNode "
		+ " with children data"
        + "\nObtained Result : ";
        try {
            ClassLoader l = this.getClass().getClassLoader();            
            URL url2 = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs1 = new HelpSet(l, url2);
            Locale locale = Locale.getDefault();
            String name = "Index";
            String label = "Index";
            Hashtable params = new Hashtable();
            params.put("data", "HolidayIndex.xml");
            IndexView iv = new IndexView(hs1, name, label, params);
            DefaultMutableTreeNode node = iv.getDataAsTree();            
            javax.swing.tree.MutableTreeNode tn = iv.getDataAsTree();
			String names[]={"Historical Events","Historical Figures",
			"Holidays","Music"};
            boolean check=false;
            for (int i=0; i < node.getChildCount(); i++) {
                DefaultMutableTreeNode cnode = (DefaultMutableTreeNode) node.getChildAt(i);
                IndexItem item = (IndexItem) cnode.getUserObject();
                if (item.getName().equals(names[i])) {
                check = true;                   
                }
            }
            if(check) {
                return Status.passed(apiTested + "Okay");
            }
            else {
                return Status.failed(apiTested + "Did not return Valid object");
            }
        }
        catch(Exception ee) {
            return Status.failed(apiTested + "Exception raised: " + ee);
        }
    }
	
    public Status testCase2() {
        String apiTested = " Method: getDataAsTree()" 
        + "\nTestCase : Call getDataAsTree() without data " 
        + "\nExpected Result:It should return the DefaultMutableTreeNode " 
		+ " without children data"
        + "\nObtained Result : ";
        try {
            ClassLoader l = this.getClass().getClassLoader();            
            URL url2 = new URL("file", null, HSLOC+ "/holidays/HolidayHistory.hs");
            HelpSet hs1 = new HelpSet(l, url2);
            Locale locale = Locale.getDefault();
            String name = "Index";
            String label = "Index";
            Hashtable params = new Hashtable();            
            IndexView iv = new IndexView(hs1, name, label, params);
            DefaultMutableTreeNode node = iv.getDataAsTree();             
            if(node.getChildCount() == 0) {
                return Status.passed(apiTested + "Okay");
            }
            else {
                return Status.failed(apiTested + "Did not return Valid object");
            }
        }
        catch(Exception ee) {
            return Status.failed(apiTested + "Exception raised: " + ee);
        }
    }  
}
