
/*
* 
* 
* @(#)GetHelpSetTest.java	1.3 01/08/06 Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.InvalidHelpSetContextException;
import java.io.PrintWriter;
import java.net.URL;
import javax.help.HelpSet;
import javax.help.InvalidHelpSetContextException;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.InvalidHelpSetContextException
 *
 
 * @author Ben John
 */

public class GetHelpSetTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public GetHelpSetTest() {
        
    }
    
    public static void main(String argv[]) {
        GetHelpSetTest test = new GetHelpSetTest();
        Status s = test.run(argv, new PrintWriter(System.out), new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        String apiTested = "Method \"getHelpSet() \" ";
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            HelpSet hs = null;
            URL url;
            try {
                url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
                hs = new HelpSet(loader, url);
                throw new InvalidHelpSetContextException("Message", hs, hs);
            }
            catch(InvalidHelpSetContextException ex) {
                if((ex.getHelpSet() instanceof HelpSet) && (ex.getHelpSet() == hs)) {
                    return Status.passed(apiTested + "Okay");
                }
                else {
                    return Status.failed(apiTested + "Did not return valid HelpSet object");
                }
            }
        }
        catch(Exception ee) {
            return Status.failed(apiTested + "Trouble in Create HelpSet Got Exception :" + ee);
        }
    } //testCase1 finished
    
    public Status testCase2() {
        String apiTested = "Method \"getHelpSet() \" ";
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            HelpSet hs = null;
            URL url;
            try {
                url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
                hs = new HelpSet(loader, url);
                throw new InvalidHelpSetContextException("Message", null, null);
            }
            catch(InvalidHelpSetContextException ex) {
                if(ex.getHelpSet() == null) {
                    return Status.passed(apiTested + "Okay ; returns null");
                }
                else {
                    return Status.failed(apiTested + "Did not return valid HelpSet object");
                }
            }
        }
        catch(Exception ee) {
            return Status.failed(apiTested + "Trouble in Create HelpSet Got Exception :" + ee);
        }
    } //testCase2 finished
}
