/*
* @(#)GetModelTest.java	1.4 01/08/07
* 
* Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.JHelp;
import javax.help.HelpSet;
import javax.help.JHelp;
import javax.swing.JComponent;
import javax.help.DefaultHelpModel;
import javax.help.TextHelpModel;
import java.util.Locale;
import java.net.URL;
import java.io.PrintWriter;
import java.util.Hashtable;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;
/**
* Tests for javax.help.JHelp
* Method: getModel()
*
* @author Sudhakar.Adini
*/
public class GetModelTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public GetModelTest() {
        
    }
    
    public static void main(String argv[]) {
        GetModelTest test = new GetModelTest();
        Status s = test.run(argv, new PrintWriter(System.out), 
        	new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        String apiTested = " Method: getModel()" 
        + "\nTestCase : Call getModel() after setting the model with setModel()" 
        + "\nExpected Result :It should return the model   " 
        + "\nObtained Result : ";
        try {
            ClassLoader l = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(l, url);
            JHelp jhelp = new JHelp(hs);
            DefaultHelpModel model = new DefaultHelpModel(hs);
            jhelp.setModel((TextHelpModel)model);
            DefaultHelpModel model1 = (DefaultHelpModel)jhelp.getModel();
            if(model1.equals(model)) {
                return Status.passed(apiTested + "It returns model Okay Okay");
            }
            else {
                return Status.failed(apiTested + "Did not return the model");
            }
        }
        catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e.toString());
        }
    } //testCase1 finished
    
    public Status testCase2() {
        String apiTested = " Method: getModel()" 
        + "\nTestCase : Call getModel() without externally setting the model" 
        + "\nExpected Result :It should return the model   " 
        + "\nObtained Result : ";
        try {
            ClassLoader l = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC+ "/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(l, url);
            DefaultHelpModel model = new DefaultHelpModel(hs);
            JHelp jhelp = new JHelp(model);
            DefaultHelpModel model1 = (DefaultHelpModel)jhelp.getModel();
            if(model1.equals(model)) {
                return Status.passed(apiTested + "It returns model Okay");
            }
            else {
                return Status.failed(apiTested + "Did not return the model");
            }
        }
        catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e.toString());
        }
    } //testCase2 finished		
}
