
/*
* @(#)SetCurrentIDTest.java	1.1 99/03/02
* 
* Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/

package javasoft.sqe.tests.api.javax.help.JHelp;
import javax.help.HelpSet;
import javax.help.JHelp;
import javax.swing.JComponent;
import javax.help.DefaultHelpModel;
import javax.help.TextHelpModel;
import javax.help.JHelpNavigator;
import javax.help.IndexView;
import javax.help.NavigatorView;
import java.util.Locale;
import java.net.URL;
import javax.help.Map.ID;
import javax.help.InvalidHelpSetContextException;
import javax.help.BadIDException;
import java.io.PrintWriter;
import java.util.Hashtable;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.JHelp
 *  Method: setCurrentID(Map.ID id)
 *
 * @author Sudhakar.Adini
 */

public class SetCurrentIDTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public SetCurrentIDTest() {
        
    }
    
    public static void main(String argv[]) {
        SetCurrentIDTest test = new SetCurrentIDTest();
        Status s = test.run(argv, new PrintWriter(System.out),
                   new PrintWriter(System.err));
        s.exit();
    }
    
   
    
    public Status testCase1() {
        String apiTested = " Method: setCurrentID(Map.ID id)" 
        + "\nTestCase : Set the currentid with this method and retrieve "
        + "the same with getCurrentID()"
        + "\nExpected Result :It should return the same id   " 
        + "\nObtained Result : ";
        try {
            ClassLoader l = this.getClass().getClassLoader();
            URL url1 = new URL("file", null, HSLOC + "/holidays/hol/hol.html");
            URL url = new URL("file", null, HSLOC +"/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(l, url);
            JHelp jhelp = new JHelp(hs);
            ID id = ID.create("season", hs);
            jhelp.setCurrentID(id);
            DefaultHelpModel model = (DefaultHelpModel)jhelp.getModel();
            ID id1 = model.getCurrentID();
            if(id1.equals(id)) {
                return Status.passed(apiTested + "It sets the id Okay");
            }
            else {
                return Status.failed(apiTested + "Did not sets the id");
            }
        }
        catch(Exception e) {
            return Status.failed(apiTested + "Got Exception: " + e.toString());
        }
    } 
    
    public Status testCase2() {
        String apiTested = " Method: setCurrentID(Map.ID id)" 
        + "\nTestCase : Call setCurrentID by passing null for id " 
		+ "and retrive the same with getCurrentID()"
        + "\nExpected Result :It should return the id " 
        + "\nObtained Result : ";
        try {
            ClassLoader l = this.getClass().getClassLoader();
            URL url1 = new URL("file", null, HSLOC + "/holidays/hol/hol.html");
            URL url = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(l, url);
            JHelp jhelp = new JHelp(hs);
            ID id = null; 
            jhelp.setCurrentID(id);
            DefaultHelpModel model = (DefaultHelpModel)jhelp.getModel();			
            if(model.getCurrentID() instanceof ID) {
                return Status.passed(apiTested + "It sets the id Okay");
            }
            else {
                return Status.failed(apiTested + "Did not sets the id");
            }
        }
        catch(Exception e) {
            return Status.failed(apiTested + "Got Exception: " + e.toString());
        }
    } 
    
    public Status testCase3() {
        String apiTested = " Method: setCurrentID(Map.ID id)" 
        + "\nTestCase : Set the wrong currentid with this method " 
        + "\nExpected Result:It should throw the InvalidHelpSetContextException" 
        + "\nObtained Result : ";
        try {
            ClassLoader l = this.getClass().getClassLoader();
            URL url1 = new URL("file", null, HSLOC + "/merge/Master.hs");
            URL url = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(l, url);
            HelpSet hs1 = new HelpSet(l, url1);
            JHelp jhelp = new JHelp(hs);
            ID id = ID.create("main", hs1);
            jhelp.setCurrentID(id);
            return Status.failed(apiTested + "No exception raised");
        }
        catch(Exception e) {
            if(e instanceof InvalidHelpSetContextException) {
                return Status.passed(apiTested+"Got Exception:"+e.toString());
            }
            else {
                return Status.failed(apiTested 
                + "Got Other Exception : " + e.toString());
            }
        }
    } 		
    
    public Status testCase4() {
        String apiTested = " Method: setCurrentID(String  id)" 
        + "\nTestCase : Set the  currentid with this method and retrieve "
        + "the same with getCurrentID()" 
        + "\nExpected Result :It should return the same id   " 
        + "\nObtained Result : ";
        try {
            ClassLoader l = this.getClass().getClassLoader();
            URL url1 = new URL("file", null, HSLOC + "/holidays/hol/hol.html");
            URL url = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(l, url);
            JHelp jhelp = new JHelp(hs);
            ID id = ID.create("season", hs);
            jhelp.setCurrentID("season");
            DefaultHelpModel model = (DefaultHelpModel)jhelp.getModel();
            ID id1 = model.getCurrentID();
            if(id1.equals(id)) {
                return Status.passed(apiTested + "It sets the id Okay");
            }
            else {
                return Status.failed(apiTested + "Did not sets the id");
            }
        }
        catch(Exception e) {
            return Status.failed(apiTested + "Got Exception: " + e.toString());
        }
    } 		
    
    public Status testCase5() {
        String apiTested = " Method: setCurrentID(String id)" 
        + "\nTestCase : Call setCurrentID by passing null for id "
		+ "and retrive the same with getCurrentID()"
        + "\nExpected Result :It should return the id  " 
        + "\nObtained Result : ";
        try {
            ClassLoader l = this.getClass().getClassLoader();
            URL url1 = new URL("file", null, HSLOC + "/holidays/hol/hol.html");
            URL url = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(l, url);
            JHelp jhelp = new JHelp(hs);
            ID id = ID.create("season", hs);
            String ss = null;
            jhelp.setCurrentID(ss);            
            DefaultHelpModel model = (DefaultHelpModel)jhelp.getModel();            
            if(model.getCurrentID() instanceof ID) {
                return Status.passed(apiTested + "It sets the id Okay");
            }
            else {
                return Status.failed(apiTested + "Did not sets the id");
            }
        }
        catch(Exception e) {
            return Status.failed(apiTested + "Got Exception: " + e.toString());
        }
    }							
    
    public Status testCase6() {
        String apiTested = " Method: setCurrentID(String  id)" 
        + "\nTestCase : Set the wrong currentid with this method " 
        + "\nExpected Result :It should throw the BadIDException  " 
        + "\nObtained Result : ";
        try {
            ClassLoader l = this.getClass().getClassLoader();
            URL url1 = new URL("file", null, HSLOC + "/merge/Master.hs");
            URL url = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(l, url);            							
            JHelp jhelp = new JHelp(hs);
            ID id = ID.create("season", hs);
            jhelp.setCurrentID("sae");
            return Status.failed(apiTested + "No exception raised");
        }
        catch(Exception e) {
            if(e instanceof BadIDException) {
                return Status.passed(apiTested+"Got Exception:"+e.toString());
            }
            else {
                return Status.failed(apiTested 
                + "Got Other Exception : " + e.toString());
            }
        }
    } 
}
