
/*
* @(#)SetCurrentNavigatorTest.java	1.1 99/03/02
* 
* Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.JHelp;
import javax.help.HelpSet;
import javax.help.JHelp;
import javax.swing.JComponent;
import javax.help.DefaultHelpModel;
import javax.help.TextHelpModel;
import javax.help.JHelpNavigator;
import javax.help.IndexView;
import javax.help.NavigatorView;
import javax.swing.UIDefaults;
import javax.swing.UIManager;
import java.util.Locale;
import java.net.URL;
import java.io.PrintWriter;
import java.util.Hashtable;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.JHelp
 * Method setCurrentNavigator(JHelpNavigator navigator) Test
 * 
 * @author Sudhakar.Adini
 */

public class SetCurrentNavigatorTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public SetCurrentNavigatorTest() {
        
    }
    
    public static void main(String argv[]) {
        SetCurrentNavigatorTest test = new SetCurrentNavigatorTest();
        Status s = test.run(argv, new PrintWriter(System.out), 
                   new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        String apiTested = "Method : "
        + "setCurrentNavigator(JHelpNavigator navigator)" 
        + "\nTestCase : Set the navigator with this method and retrieve "
        + "the same with getCurrentNavigator()" 
        + "\nExpected Result :It should throw  IllegalArgumentException  " 
        + "\nObtained Result : ";
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(loader, url);
            JHelp jhelp = new JHelp(hs);
            Hashtable htab = new Hashtable();
            htab.put("data", "HolidayTOC.xml");
            NavigatorView nav = NavigatorView.create(hs, "myview", "mylabel", 
                Locale.getDefault(), "javax.help.TOCView", htab);
            UIDefaults table = UIManager.getLookAndFeelDefaults();
            Object[] uiDefaults =  {
                "HelpNavigatorUI", "com.sun.help.jck.harness.TestNavigatorUI"
            };
            table.putDefaults(uiDefaults);
            JHelpNavigator jhn = new JHelpNavigator(nav, 
                new DefaultHelpModel(nav.getHelpSet()));                
                 try {
                jhelp.setCurrentNavigator(jhn);
            } catch (IllegalArgumentException e2) {
                return Status.passed(apiTested + "Passed");
            }            
            JHelpNavigator jhn1 = jhelp.getCurrentNavigator();
            if(jhn1.equals(jhn)) {
                return Status.passed(apiTested + "It sets the navigator Okay");
            }
            else {
                return Status.failed(apiTested + "Did not sets the navigator");
            }
        }
        catch(Exception e) {
            return Status.failed(apiTested + "Got Exception: " + e.toString());
        }
    } 		
    
    public Status testCase2() {
        String apiTested = " Method: "
        + "setCurrentNavigator(JHelpNavigator navigator)" 
        + "\nTestCase : Call setCurrentNavigator() by passing null for "
        + "navigator and retrieve the same with getCurrentNavigator()" 
        + "\nExpected Result :It should throw  IllegalArgumentException  " 
        + "\nObtained Result : ";
        try {
            ClassLoader l = this.getClass().getClassLoader();
            URL url1 = new URL("file", null, HSLOC + "/holidays/hol/hol.html");
            URL url = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(l, url);
            JHelp jhelp = new JHelp(hs);
            JHelpNavigator nav = null; 		
             try {
                jhelp.setCurrentNavigator(nav);
            } catch (IllegalArgumentException e2) {
                return Status.passed(apiTested + "Passed");
            }         
            JHelpNavigator nav1 = jhelp.getCurrentNavigator();            
            if(nav1 instanceof JHelpNavigator) {
                return Status.passed(apiTested + "It sets the navigator Okay");
            }
            else {
                return Status.failed(apiTested + "Did not sets the navigator");
            }
        }
        catch(Exception e) {
            return Status.failed(apiTested + "Got Exception: " + e.toString());
        }
    } 		
}
