
/*
* @(#)SetHelpSetSpecTest.java	1.1 99/03/02
* 
* Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.JHelp;
import javax.help.HelpSet;
import javax.help.JHelp;
import javax.swing.JComponent;
import javax.help.DefaultHelpModel;
import javax.help.TextHelpModel;
import javax.help.DefaultHelpModel;
import java.util.Locale;
import java.net.URL;
import java.io.PrintWriter;
import java.util.Hashtable;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.JHelp
 * Method setHelpSetSpec(java.lang.String spec) Test
 *
 * @author Sudhakar.Adini
 */

public class SetHelpSetSpecTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");

    public SetHelpSetSpecTest() {

    }

    public static void main(String argv[]) {
        SetHelpSetSpecTest test = new SetHelpSetSpecTest();
        Status s = test.run(argv, new PrintWriter(System.out),
                   new PrintWriter(System.err));
        s.exit();
    }

    public Status testCase1() {
        String apiTested = " Method: setHelpSetSpec(java.lang.String spec)"
        + "\nTestCase : Set the url  with this method and retrieve with "
        + "getHelpSetURL()  "
        + "\nExpected Result :It should return the same url   "
        + "\nObtained Result : ";
        try {
            ClassLoader l = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            URL url1 = new URL("file", null, HSLOC + "/merge/Master.hs");
	    String ss = url1.toExternalForm();
	    // This seems strange but is done on purpose because the
	    // jdk can't recognize similar type of URLs
	    url1 = new URL(ss);

            HelpSet hs = new HelpSet(l, url);
            JHelp jhelp = new JHelp(hs);
            jhelp.setHelpSetSpec(ss);
            URL url2 = jhelp.getHelpSetURL();
	    System.out.println("url2-" + url2 + " url1=" + url1);
            if(url2.sameFile(url1)) {
                return Status.passed(apiTested + "Set url Okay");
            }
            else {
                return Status.failed(apiTested + "Did not set the url");
            }
        }
        catch(Exception e) {
            return Status.failed(apiTested + "Got Exception: " + e.toString());
        }
    }

    public Status testCase2() {
        String apiTested = " Method: setHelpSetSpec(java.lang.String spec)"
        + "\nTestCase : Set the url as null with method and retrieve with "
        + "getHelpSetURL()  "
        + "\nExpected Result :It should return the null "
        + "\nObtained Result : ";
        try {
            ClassLoader l = this.getClass().getClassLoader();
            URL url1 = new URL("file", null, HSLOC + "/merge/Master.hs");
            URL url = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(l, url);
            HelpSet hs1 = new HelpSet(l, url1);
            JHelp jhelp = new JHelp(hs);
            String ss = null;
            jhelp.setHelpSetSpec(ss);
            URL url2 = jhelp.getHelpSetURL();
            if(url2 == null) {
                return Status.passed(apiTested + "It sets url Okay");
            }
            else {
                return Status.failed(apiTested + "Did not sets the url");
            }
        }
        catch(Exception e) {
	    e.printStackTrace();
	    return Status.failed(apiTested + 
				 "Got otherthan  NullPointerException : " + 
				 e.toString());
        }
    }
}
