
/*
* @(#)SetupNavigatorsTest.java	1.2 01/08/07
* 
* Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/

package javasoft.sqe.tests.api.javax.help.JHelp;
import javax.help.HelpSet;
import javax.help.JHelp;
import javax.swing.JComponent;
import javax.help.DefaultHelpModel;
import javax.help.JHelpNavigator;
import java.util.Locale;
import java.net.URL;
import java.io.PrintWriter;
import java.util.Hashtable;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;
import com.sun.help.jck.harness.SetupHelperTest;
/**
 * Tests for javax.help.JHelp
 * Method: setupNavigators() 
 *
 * @author Sudhakar.Adini
 */

public class SetupNavigatorsTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public SetupNavigatorsTest() {
        
    }
    
    public static void main(String argv[]) {
        SetupNavigatorsTest test = new SetupNavigatorsTest();
        Status s = test.run(argv, new PrintWriter(System.out), 
                   new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        String apiTested = " Method: setupNavigators()" 
        + "\nTestCase : Call setupNavigators() and get the current navigator "
        + "using getCurrentNavigator()" 
        + "\nExpected Result :It should return JHelpNavigator " 
        + "\nObtained Result : ";
        try {
            URL url = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            ClassLoader l = this.getClass().getClassLoader();
            HelpSet hs = new HelpSet(l, url);            
            SetupHelperTest set=new SetupHelperTest(hs);
            set.setup();
            JHelpNavigator nav=set.getCurrentNavigator();
            
            if(nav instanceof JHelpNavigator) {
                return Status.passed(apiTested + "Okay");
            }
            else {
                return Status.failed(apiTested+"Not setup the navigators");
            }
        }
        catch(Exception e) {
            return Status.failed(apiTested + "Got Exception: " + e.toString());
        }
    }     
  
}
