/*
 * @(#)AddTextHelpModelListenerTest.java	1.2 01/08/07
 * 
 * Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 * CopyrightVersion 1.0
 */
package javasoft.sqe.tests.api.javax.help.JHelpContentViewer;
import java.io.PrintWriter;
import java.net.URL;
import com.sun.help.jck.harness.FooTextHelpModelListener;
import com.sun.help.jck.harness.StaticInfo;
import javax.help.JHelpContentViewer;
import javax.help.DefaultHelpModel;
import javax.help.HelpSet;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.JHelpContentViewer
 *
 * @author Meena C
 */

public class AddTextHelpModelListenerTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public AddTextHelpModelListenerTest() {
        
    }
    
    public static void main(String argv[]) {
        AddTextHelpModelListenerTest test =
            new AddTextHelpModelListenerTest();
        Status s = test.run(argv, new PrintWriter(System.out),
                                 new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        
        String apiTested = "addTextHelpModelListener(TextHelpModelListener l): " 
        + "\nTestCase : Create TextHelpModelListener object and pass it to " 
        + "addTextHelpModelListener" 
        + "\nExpected Result :Shd add TextHelpModelListener." 
        + "\nObtained Result : ";
        
        try {
            ClassLoader cl = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(cl, url);
            JHelpContentViewer jhelpContentViewer = new JHelpContentViewer(hs);
            FooTextHelpModelListener l = new FooTextHelpModelListener();
            jhelpContentViewer.addTextHelpModelListener(l);
            return Status.passed(apiTested + "Added TextHelpModelListener.\n");
        } catch(Exception e) {
            return Status.failed(apiTested + "Did not add TextHelpModelListener" 
                + " , Got Exception : " + e + "\n");
        }
    }
    
    public Status testCase2() {
        
        String apiTested = "addTextHelpModelListener(TextHelpModelListener l) :" 
        + "\nTestCase : addTextHelpModelListener, Call addHighlight(int p0 ,"
        + "int p1) and check if listener for TextHelpModelEvent is notified" 
        + "\nExpected Result :highlightsChanged() of TextHelpModelListener shd " 
        + "be called." 
        + "\nObtained Result : ";
        
        try { 
            ClassLoader cl = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(cl, url);
            JHelpContentViewer jhelpContentViewer = new JHelpContentViewer(hs);
            FooTextHelpModelListener l = new FooTextHelpModelListener();
            jhelpContentViewer.addTextHelpModelListener(l);
            URL url2 = new URL("file", null, HSLOC + "/hol/guy.html");
            jhelpContentViewer.addHighlight(20, 30);
            
            /* StaticInfo.bool is set to true within highlightsChanged()
             * of FooTextHelpModelListener
             */
            if(StaticInfo.bool == true) {
                return Status.passed(apiTested + "highlightsChanged() of " 
                    + "TextHelpModelListener is called.\n");
            } else {
                return Status.failed(apiTested + "highlightsChanged() of " 
                    + "TextHelpModelListener is not called.\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Did not add TextHelpModelListener" 
                + " , Got Exception : " + e + "\n");
        }
    }
    
    public Status testCase3() {
        
        String apiTested = "addTextHelpModelListener(TextHelpModelListener l) :" 
        + "\nTestCase : pass null to addTextHelpModelListener " 
        + "\nExpected Result :IllegalArgumentException shd be thrown." 
        + "\nObtained Result : ";
        
        try {
            ClassLoader cl = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC+ "/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(cl, url);
            JHelpContentViewer jhelpContentViewer = new JHelpContentViewer(hs);
            FooTextHelpModelListener l = null;
            jhelpContentViewer.addTextHelpModelListener(l);
            return Status.failed(apiTested + "Did not get " 
                + "IllegalArgumentException\n");
        } catch(IllegalArgumentException iae) {
            return Status.passed(apiTested + "Got IllegalArgumentException " 
                                        + iae + "\n");
        } catch(Exception e) {
            return Status.failed(apiTested + "Did not get IllegalArgument" 
                + "Exception , Got Exception : " + e + "\n");
        }
    }
}
