/*
 * @(#)GetModelTest.java	1.1 99/03/02
 * 
 * Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 * CopyrightVersion 1.0
 */
package javasoft.sqe.tests.api.javax.help.JHelpContentViewer;
import java.io.PrintWriter;
import java.net.URL;
import java.util.Locale;
import javax.help.JHelpContentViewer;
import javax.help.DefaultHelpModel;
import javax.help.TextHelpModel;
import javax.help.HelpSet;
import com.sun.help.jck.harness.TestTextHelpModel;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.JHelpContentViewer
 *
 * @author Meena C
 */

public class GetModelTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public GetModelTest() {
        
    }
    
    public static void main(String argv[]) {
        GetModelTest test = new GetModelTest();
        Status s = test.run(argv, new PrintWriter(System.out),
                     new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        
        String apiTested = "getModel() : " 
        + "\nTestCase : Construct JHelpContentViewer and call getModel " 
        + "without setting it.Check if got model's hs is same as given to " 
        + "constructor" 
        + "\nExpected Result : Shd return DefaultHelpModel and it's hs shd" 
        + " be same as given to Constructor"
        + "\nObtained Result : ";
        
        try {
            ClassLoader cl = this.getClass().getClassLoader();
            URL hsurl = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(cl, hsurl);
            JHelpContentViewer jhelpContentViewer = new JHelpContentViewer(hs);
            TextHelpModel gotModel = jhelpContentViewer.getModel();
            HelpSet gotHelpSet = gotModel.getHelpSet();
            if(gotHelpSet.equals(hs)) {
                return Status.passed(apiTested + "Hs given to Constructor = " 
                    + hs + "Got Model's hs = " + gotHelpSet + "\n");
            } else {
                return Status.failed(apiTested + "Did not get hs given to " 
                    + "constructor.Hs given to Constructor = " + hs 
                    + "Got Model's hs = " + gotHelpSet + "\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
    
    public Status testCase2() {
        
        String apiTested = "getModel() : " 
        + "\nTestCase : Construct JHelpContentViewer and call getModel " 
        + "after setting it" 
        + "\nExpected Result : Shd return given TextHelpModel. " 
        + "\nObtained Result : ";
        
        try {
            ClassLoader cl = this.getClass().getClassLoader();
            URL hsurl = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(cl, hsurl);
            JHelpContentViewer jhelpContentViewer = new JHelpContentViewer(hs);
            TextHelpModel newModel = new TestTextHelpModel();
            jhelpContentViewer.setModel(newModel);
            TextHelpModel gotModel = jhelpContentViewer.getModel();
            if(gotModel.equals(newModel)) {
                return Status.passed(apiTested + "Got the given Model." 
                    + "\nGiven Model = " + newModel + " \nGot Model = " 
                    + gotModel + "\n");
            } else {
                return Status.failed(apiTested + "Did not get given Model." 
                    + "\nGiven Model = " + newModel + " \nGot Model = " 
                    + gotModel + "\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
}
