/*
 * @(#)GetUITest.java	1.2 01/08/07
 * 
 * Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 * CopyrightVersion 1.0
 */
package javasoft.sqe.tests.api.javax.help.JHelpContentViewer;
import java.io.PrintWriter;
import java.net.URL;
import java.util.Locale;
import javax.help.JHelpContentViewer;
import javax.help.DefaultHelpModel;
import javax.help.TextHelpModel;
import javax.help.HelpSet;
import javax.help.plaf.HelpContentViewerUI;
import javax.help.plaf.basic.BasicContentViewerUI;
import com.sun.help.jck.harness.TestTextHelpModel;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.JHelpContentViewer
 *
 * @author Meena C
 */

public class GetUITest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public GetUITest() {
        
    }
    
    public static void main(String argv[]) {
        GetUITest test = new GetUITest();
        Status s = test.run(argv, new PrintWriter(System.out),
             new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        
        String apiTested = "getUI() : " 
        + "\nTestCase : Construct JHelpContentViewer and call getUI without " 
        + "setting it" 
        + "\nExpected Result : Shd return HelpContentViewerUI." 
        + "\nObtained Result : ";
        
        try {
            ClassLoader cl = this.getClass().getClassLoader();
            URL hsurl = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(cl, hsurl);
            JHelpContentViewer jhelpContentViewer = new JHelpContentViewer(hs);
            HelpContentViewerUI gotUI = jhelpContentViewer.getUI();
            if(gotUI instanceof HelpContentViewerUI) {
                return Status.passed(apiTested + "Got HelpContentViewerUI." 
                    + "\nGot UI = " + gotUI + "\n");
            } else {
                return Status.failed(apiTested+"Did not get HelpContentViewerUI" 
                    + "\nGot UI = " + gotUI + "\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
    
    public Status testCase2() {
        
        String apiTested = "getUI() : " 
        + "\nTestCase : Construct JHelpContentViewer and call getUI " 
        + "after setting it" 
        + "\nExpected Result : Shd return given UI." 
        + "\nObtained Result : ";
        
        try {
            ClassLoader cl = this.getClass().getClassLoader();
            URL hsurl = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(cl, hsurl);
            JHelpContentViewer jhelpContentViewer = new JHelpContentViewer(hs);
            BasicContentViewerUI givenUI =
                 new BasicContentViewerUI(jhelpContentViewer);
            jhelpContentViewer.setUI(givenUI);
            HelpContentViewerUI gotUI = jhelpContentViewer.getUI();
            if(gotUI.equals(givenUI)) {
                return Status.passed(apiTested+"Got the given UI.\nGiven UI = " 
                    + givenUI + " , Got UI = " + gotUI + "\n");
            } else {
                return Status.failed(apiTested + "Did not get given UI." 
                    + "\nGiven UI = " +givenUI+ " , Got UI = " + gotUI + "\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
}
