/*
 * @(#)RemoveAllHighlightsTest.java	1.2 01/08/07
 * 
 * Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 * CopyrightVersion 1.0
 */
package javasoft.sqe.tests.api.javax.help.JHelpContentViewer;
import java.io.PrintWriter;
import java.net.URL;
import java.util.Locale;
import javax.help.HelpSet;
import javax.help.TextHelpModel.Highlight;
import javax.help.DefaultHelpModel;
import javax.help.JHelpContentViewer;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.JHelpContentViewer
 *
 * @author Meena C
 */

public class RemoveAllHighlightsTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public RemoveAllHighlightsTest() {
        
    }
    
    public static void main(String argv[]) {
        RemoveAllHighlightsTest test = new RemoveAllHighlightsTest();
        Status s = test.run(argv, new PrintWriter(System.out),
                new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        
        String apiTested = "removeAllHighlights() : " 
        + "\nTestCase : Construct JHelpContentViewer and call " 
        +  "removeAllHighlights after adding highlights " 
        + "\nExpected Result : All Highlights shd be removed." 
        + "\nObtained Result : ";
        
        try {
            ClassLoader cl = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(cl, url);
            JHelpContentViewer jhelpContentViewer = new JHelpContentViewer(hs);
            jhelpContentViewer.addHighlight(30, 40);
            jhelpContentViewer.addHighlight(50, 30);
            jhelpContentViewer.removeAllHighlights();
            DefaultHelpModel defaultHelpModel =
                    (DefaultHelpModel)jhelpContentViewer.getModel();
            Highlight highlights[] = defaultHelpModel.getHighlights();
            if(highlights.length == 0) {
                return Status.passed(apiTested + "Removed all Highlights." 
                    + "Got Highlight array of zero length \n");
            } else {
                return Status.failed(apiTested +"Did not Remove all Highlights." 
                    + "Did not get Highlight array of zero length\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
    
    public Status testCase2() {
        
        String apiTested = "removeAllHighlights() : " 
        + "\nTestCase : Construct JHelpContentViewer and call " 
        + "removeAllHighlights without adding highlights " 
        + "\nExpected Result : No Exception shd be thrown." 
        + "\nObtained Result : ";
        
        try {
            ClassLoader cl = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(cl, url);
            JHelpContentViewer jhelpContentViewer = new JHelpContentViewer(hs);
            jhelpContentViewer.removeAllHighlights();
            DefaultHelpModel defaultHelpModel =
                    (DefaultHelpModel)jhelpContentViewer.getModel();
            Highlight highlights[] = defaultHelpModel.getHighlights();
            if(highlights.length == 0) {
                return Status.passed(apiTested + "Got Highlight array of zero " 
                    + " length.No Exception thrown \n");
            } else {
                return Status.failed(apiTested + "Did not get Highlight array " 
                    + "of zero length\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
}
