/*
 * @(#)SetCurrentURLTest.java	1.2 01/08/07
 * 
 * Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 * CopyrightVersion 1.0
 */
package javasoft.sqe.tests.api.javax.help.JHelpContentViewer;
import java.io.PrintWriter;
import java.net.URL;
import java.util.Locale;
import javax.help.JHelpContentViewer;
import javax.help.DefaultHelpModel;
import javax.help.HelpSet;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.JHelpContentViewer
 *
 * @author Meena C
 */

public class SetCurrentURLTest extends MultiTest {
    
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public SetCurrentURLTest() {
        
    }
    
    public static void main(String argv[]) {
        SetCurrentURLTest test = new SetCurrentURLTest();
        Status s = test.run(argv, new PrintWriter(System.out),
            new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        
        String apiTested = "setCurrentURL(URL url) : " 
        + "\nTestCase : Construct JHelpContentViewer and call setCurrentURL " 
        + "with valid URL" 
        + "\nExpected Result : Shd set the given URL." 
        + "\nObtained Result : ";
        
        try {
            ClassLoader cl = this.getClass().getClassLoader();
            URL hsurl = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(cl, hsurl);
            JHelpContentViewer jhelpContentViewer = new JHelpContentViewer(hs);
            URL url = new URL("file", null, HSLOC+"/holidays/hol/thanks.html");
            jhelpContentViewer.setCurrentURL(url);
            URL gotURL = jhelpContentViewer.getCurrentURL();
            if(gotURL.equals(url)) {
                return Status.passed(apiTested+"Set the given URL\nGiven URL = " 
                    + url + " \nGot URL = " + gotURL + "\n");
            } else {
                return Status.failed(apiTested + "Did not set given URL." 
                    + "\nGiven URL = " + url + " \nGot URL = " + gotURL + "\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
    
    public Status testCase2() {
        
        String apiTested = "setCurrentURL(URL url) : " 
        + "\nTestCase : Construct JHelpContentViewer and call setCurrentURL " 
        + "with null URL" 
        + "\nExpected Result : Shd set the null URL." 
        + "\nObtained Result : ";
        
        try {
            ClassLoader cl = this.getClass().getClassLoader();
            URL hsurl = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(cl, hsurl);
            JHelpContentViewer jhelpContentViewer = new JHelpContentViewer(hs);
            URL url = null;
            jhelpContentViewer.setCurrentURL(url);
            URL gotURL = jhelpContentViewer.getCurrentURL();
            if(gotURL == url) {
                return Status.passed(apiTested + "Set null URL.\n");
            } else {
                return Status.failed(apiTested + "Did not set null URL.\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
}
