/*
 * @(#)SetModelTest.java	1.2 01/08/07
 * 
 * Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 * CopyrightVersion 1.0
 */
package javasoft.sqe.tests.api.javax.help.JHelpContentViewer;
import java.io.PrintWriter;
import java.net.URL;
import java.util.Locale;
import javax.help.JHelpContentViewer;
import javax.help.DefaultHelpModel;
import javax.help.TextHelpModel;
import javax.help.HelpSet;
import com.sun.help.jck.harness.TestTextHelpModel;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.JHelpContentViewer
 *
 * @author Meena C
 */

public class SetModelTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public SetModelTest() {
        
    }
    
    public static void main(String argv[]) {
        SetModelTest test = new SetModelTest();
        Status s = test.run(argv, new PrintWriter(System.out),
                 new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        
        String apiTested = "setModel(TextHelpModel newModel) : " 
        + "\nTestCase : Construct JHelpContentViewer and call setModel with " 
        + "DefaultHelpModel" 
        + "\nExpected Result : Shd set the given Model." 
        + "\nObtained Result : ";
        
        try {
            ClassLoader cl = this.getClass().getClassLoader();
            URL hsurl = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(cl, hsurl);
            JHelpContentViewer jhelpContentViewer = new JHelpContentViewer(hs);
            TextHelpModel newModel = (TextHelpModel)new DefaultHelpModel(hs);
            jhelpContentViewer.setModel(newModel);
            TextHelpModel gotModel = jhelpContentViewer.getModel();
            if(gotModel.equals(newModel)) {
                return Status.passed(apiTested + "Set the given Model." 
                    + "\nGiven Model = " + newModel + " \nGot Model = " 
                    + gotModel + "\n");
            } else {
                return Status.failed(apiTested + "Did not set given Model." 
                    + "\nGiven Model = " + newModel + " \nGot Model = " 
                    + gotModel + "\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
    
    public Status testCase2() {
        
        String apiTested = "setModel(TextHelpModel newModel) : " 
        + "\nTestCase : Construct JHelpContentViewer and call setModel with " 
        + "valid TextHelpModel" 
        + "\nExpected Result : Shd set the given Model." 
        + "\nObtained Result : ";
        
        try {
            ClassLoader cl = this.getClass().getClassLoader();
            URL hsurl = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(cl, hsurl);
            JHelpContentViewer jhelpContentViewer = new JHelpContentViewer(hs);
            TextHelpModel newModel = new TestTextHelpModel();
            jhelpContentViewer.setModel(newModel);
            TextHelpModel gotModel = jhelpContentViewer.getModel();
            if(gotModel.equals(newModel)) {
                return Status.passed(apiTested + "Set the given Model." 
                    + "\nGiven Model = " + newModel + " \nGot Model = " 
                    + gotModel + "\n");
            } else {
                return Status.failed(apiTested + "Did not set given Model." 
                    + "\nGiven Model = " + newModel + " \nGot Model = " 
                    + gotModel + "\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
    
    public Status testCase3() {
        
        String apiTested = "setModel(TextHelpModel newModel) : " 
        + "\nTestCase : Construct JHelpContentViewer and call setModel with " 
        + "null TextHelpModel" 
        + "\nExpected Result : Shd set Model to null." 
        + "\nObtained Result : ";
        
        try {
            ClassLoader cl = this.getClass().getClassLoader();
            URL hsurl = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(cl, hsurl);
            JHelpContentViewer jhelpContentViewer = new JHelpContentViewer(hs);
            TextHelpModel newModel = null;
            jhelpContentViewer.setModel(newModel);
            TextHelpModel gotModel = jhelpContentViewer.getModel();
            if(gotModel == newModel) {
                return Status.passed(apiTested + "Set the given Model to null." 
                    + "\nGiven Model = " + newModel + " \nGot Model = " 
                    + gotModel + "\n");
            } else {
                return Status.failed(apiTested + "Did not set given Model to " 
                    + "null.\nGiven Model = " + newModel + " \nGot Model = " 
                    + gotModel + "\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
}
