
/*
* 
* 
* @(#)JHelpIndexNavigatorTest2.java	1.3 03/07/15 Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.JHelpIndexNavigator;

import javax.help.JHelpIndexNavigator;
import javax.help.HelpSet;
import javax.help.DefaultHelpModel;
import javax.help.NavigatorView;
import javax.swing.UIDefaults;
import javax.swing.UIManager;
import java.util.Hashtable;
import java.util.Locale;
import java.net.URL;
import java.io.PrintWriter;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.JHelpIndexNavigator
 
 * @author Ben John.
 */

public class JHelpIndexNavigatorTest2 extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public JHelpIndexNavigatorTest2() { //constructor
        
    }
    
    public static void main(String argv[]) {
        JHelpIndexNavigatorTest2 test = new JHelpIndexNavigatorTest2();
        Status s = test.run(argv, new PrintWriter(System.out), 
        new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        String apiTested = "Constructor: " 
        + "JHelpIndexNavigator(NavigatorView view) \n"
        + "Expected Result: To create an instance of JHelpIndexNavigator\n";
                 
        HelpSet hs = null;
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC 
                    + "/holidays/HolidayHistory.hs");
            hs = new HelpSet(loader, url);
            Hashtable htab = new Hashtable();
            htab.put("data", "HolidayIndex.xml");
            NavigatorView nav = NavigatorView.create(hs, "myview", "mylabel", 
                Locale.getDefault(), "javax.help.IndexView", htab);
            JHelpIndexNavigator jhn = new JHelpIndexNavigator(nav); 
            
            if(jhn instanceof JHelpIndexNavigator)  {
                return Status.passed(apiTested 
                + "-Ok: Creating an instance of JHelpIndexNavigator");
            } else {
                return Status.failed(apiTested 
                + "-Not creating an instance of JHelpIndexNavigator");
            }
        } catch(Exception ee) {
            return Status.failed(apiTested + "Exception raised: " + ee);
        }
    }
       
    public Status testCase2() {
        String apiTested = "Constructor: JHelpIndexNavigator(null) \n"
        + "Expected Result: To create an instance of JHelpIndexNavigator\n";
                 
        try {
            JHelpIndexNavigator jhn = new JHelpIndexNavigator(null); 
            
            if(jhn instanceof JHelpIndexNavigator)  {
                return Status.passed(apiTested 
                + "-Ok: Creating an instance of JHelpIndexNavigator");
            } else {
                return Status.failed(apiTested 
                + "-Not creating an instance of JHelpIndexNavigator");
            }
        } catch(Exception ee) {
            return Status.failed(apiTested + "Exception raised: " + ee);
        }
    }
}
