
/*
* 
* 
* @(#)JHelpIndexNavigatorTest3.java	1.2 01/08/07 Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.JHelpIndexNavigator;

import javax.help.JHelpIndexNavigator;
import javax.help.HelpSet;
import javax.help.DefaultHelpModel;
import javax.help.NavigatorView;
import javax.swing.UIDefaults;
import javax.swing.UIManager;
import java.util.Hashtable;
import java.util.Locale;
import java.net.URL;
import java.io.PrintWriter;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.JHelpIndexNavigator
 *
 * @author Ben John.
 */

public class JHelpIndexNavigatorTest3 extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public JHelpIndexNavigatorTest3() { //constructor
        
    }
    
    public static void main(String argv[]) {
        JHelpIndexNavigatorTest3 test = new JHelpIndexNavigatorTest3();
        Status s = test.run(argv, new PrintWriter(System.out), 
        new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        String apiTested = "Constructor: "
        + "JHelpIndexNavigator(NavigatorView view, HelpModel model) \n"
        + "Expected Result: To create an instance of JHelpIndexNavigator\n";
  
        HelpSet hs = null;
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC 
                    + "/holidays/HolidayHistory.hs");
            hs = new HelpSet(loader, url);
            Hashtable htab = new Hashtable();
            htab.put("data", "HolidayIndex.xml");
            NavigatorView nav = NavigatorView.create(hs, "myview", "mylabel", 
                Locale.getDefault(), "javax.help.IndexView", htab);
            UIDefaults table = UIManager.getLookAndFeelDefaults();
            Object[] uiDefaults =  {
                "HelpNavigatorUI", "com.sun.help.jck.harness.TestNavigatorUI"
            };
            table.putDefaults(uiDefaults);
            JHelpIndexNavigator jhn = new JHelpIndexNavigator(nav, 
            new DefaultHelpModel(nav.getHelpSet()));
            if((jhn instanceof JHelpIndexNavigator) 
                && (jhn.getNavigatorView() == nav) 
                && (jhn.getNavigatorName() == "myview")) {
                return Status.passed(apiTested 
                + "-Ok: Creating an instance of JHelpIndexNavigator");
            } else {
                return Status.failed(apiTested 
                + "-Not creating an instance of JHelpIndexNavigator");
            }
        } catch(Exception ee) {
            return Status.failed(apiTested + "Exception raised: " + ee);
        }
    }
       
    public Status testCase2() {
        String apiTested = "Constructor: "
        + "JHelpIndexNavigator(null, HelpModel model) \n"
        + "Expected Result: To create an instance of JHelpIndexNavigator\n";
  
        HelpSet hs = null;
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC 
                    + "/holidays/HolidayHistory.hs");
            hs = new HelpSet(loader, url);
            Hashtable htab = new Hashtable();
            htab.put("data", "HolidayIndex.xml");
            NavigatorView nav = NavigatorView.create(hs, "myview", "mylabel", 
                Locale.getDefault(), "javax.help.IndexView", htab);
            UIDefaults table = UIManager.getLookAndFeelDefaults();
            Object[] uiDefaults =  {
                "HelpNavigatorUI", "com.sun.help.jck.harness.TestNavigatorUI"
            };
            table.putDefaults(uiDefaults);
            JHelpIndexNavigator jhn = new JHelpIndexNavigator(null, 
                new DefaultHelpModel(nav.getHelpSet()));
                
            if(jhn instanceof JHelpIndexNavigator) {
                return Status.passed(apiTested 
                + "-Ok: Creating an instance of JHelpIndexNavigator");
            } else {
                return Status.failed(apiTested 
                + "-Not creating an instance of JHelpIndexNavigator");
            }
        } catch(Exception ee) {
            return Status.failed(apiTested + "Exception raised: " + ee);
        }
    }
     
    public Status testCase3() {
        String apiTested = "Constructor: "
        + "JHelpIndexNavigator(NavigatorView view, null) \n"
        + "Expected Result: To create an instance of JHelpIndexNavigator\n";
  
        HelpSet hs = null;
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC 
                    + "/holidays/HolidayHistory.hs");
            hs = new HelpSet(loader, url);
            Hashtable htab = new Hashtable();
            htab.put("data", "HolidayIndex.xml");
            NavigatorView nav = NavigatorView.create(hs, "myview", "mylabel", 
                Locale.getDefault(), "javax.help.IndexView", htab);
            UIDefaults table = UIManager.getLookAndFeelDefaults();
            Object[] uiDefaults =  {
                "HelpNavigatorUI", "com.sun.help.jck.harness.TestNavigatorUI"
            };
            table.putDefaults(uiDefaults);
            JHelpIndexNavigator jhn = new JHelpIndexNavigator(nav, null);
            
            if((jhn instanceof JHelpIndexNavigator) 
                && (jhn.getNavigatorView() == nav) 
                && (jhn.getNavigatorName() == "myview")) {
                return Status.passed(apiTested 
                + "-Ok: Creating an instance of JHelpIndexNavigator");
            } else {
                return Status.failed(apiTested 
                + "-Not creating an instance of JHelpIndexNavigator");
            }
        } catch(Exception ee) {
            return Status.failed(apiTested + "Exception raised: " + ee);
        }
    }         
     
    public Status testCase4() {
        String apiTested = "Constructor: JHelpIndexNavigator(null, null) \n"
        + "Expected Result: To create an instance of JHelpIndexNavigator\n";
  
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            
            JHelpIndexNavigator jhn = new JHelpIndexNavigator(null, null); 
           
            if(jhn instanceof JHelpIndexNavigator) {
                return Status.passed(apiTested 
                + "-Ok: Creating an instance of JHelpIndexNavigator");
            } else {
                return Status.failed(apiTested 
                + "-Not creating an instance of JHelpIndexNavigator");
            }
        } catch(Exception ee) {
            return Status.failed(apiTested + "Exception raised: " + ee);
        }
    }    
}
