
/*
* 
* 
* 
* @(#)CreateParamsTest.java	1.2 01/08/06 Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.JHelpNavigator;

import javax.help.JHelpNavigator;
import javax.help.HelpSet;
import javax.help.DefaultHelpModel;
import javax.help.NavigatorView;
import javax.swing.UIDefaults;
import javax.swing.UIManager;
import java.util.Hashtable;
import java.util.Locale;
import java.net.URL;
import java.io.PrintWriter;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;
import com.sun.help.jck.harness.JHNaviCreateParamsTest;

/**
 * Tests for javax.help.JHelpNavigator
 
 * @author Ben John.
 */

public class CreateParamsTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public CreateParamsTest() { //constructor
        
    }
    
    public static void main(String argv[]) {
        CreateParamsTest test = new CreateParamsTest();
        Status s = test.run(argv, new PrintWriter(System.out), 
        new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        String apiTested = "Method \"createParams(URL uu) \" ";
        HelpSet hs = null;
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
			URL urll = new URL("file", null, HSLOC + "/holidays/HolidayTOC.xml");
            hs = new HelpSet(loader, url);
            Hashtable htab = new Hashtable();
            htab.put("data", "HolidayTOC.xml");
			NavigatorView naViewObj = NavigatorView.create(hs, "myView", 
			                                      "myLabel", Locale.getDefault(), 
			                                      "javax.help.TOCView", htab);
			UIDefaults table = UIManager.getLookAndFeelDefaults();
			Object[] uiDefaults =  {
			"HelpNavigatorUI", "com.sun.help.jck.harness.TestNavigatorUI"
			};
			table.putDefaults(uiDefaults);
			JHNaviCreateParamsTest jhCreateTest = new JHNaviCreateParamsTest(naViewObj);
			
			boolean bc = jhCreateTest.testResult(urll);
			
            if(bc) {
                return Status.passed(apiTested + "Okay");
            }
            else {
                return Status.failed(apiTested 
                + "Did not return valid object of Hashtable");
            }
			
        }
        catch(Exception ee) {
			ee.printStackTrace();
            return Status.failed(apiTested + "Exception raised: " + ee);
        }
    }
    
	
	 public Status testCase2() {
	        String apiTested = "Method \"createParams(URL uu) \" ";
	        HelpSet hs = null;
	        try {
	            ClassLoader loader = this.getClass().getClassLoader();
	            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
				hs = new HelpSet(loader, url);
	            Hashtable htab = new Hashtable();
	            htab.put("data", "HolidayTOC.xml");
				NavigatorView naViewObj = NavigatorView.create(hs, "myView", 
				                                      "myLabel", Locale.getDefault(), 
				                                      "javax.help.TOCView", htab);
				UIDefaults table = UIManager.getLookAndFeelDefaults();
				Object[] uiDefaults =  {
				"HelpNavigatorUI", "com.sun.help.jck.harness.TestNavigatorUI"
				};
				table.putDefaults(uiDefaults);
				JHNaviCreateParamsTest jhCreateTest = new JHNaviCreateParamsTest(naViewObj);
				URL uu = null;
				boolean bc = jhCreateTest.testResult(uu);
				
	            if(bc) {
	                return Status.passed(apiTested + "Okay for null parameter");
	            }
	            else {
	                return Status.failed(apiTested 
	                + "Did not return valid object of Hashtable");
	            }
				
	        }
	        catch(Exception ee) {
				if(ee instanceof NullPointerException){
	            	return Status.passed(apiTested + "Exception raised for null Parameter " + ee);
				}
				else {
					return Status.failed(apiTested + "Exception raised for null parameter " + ee);
				}
				
					
	        }
	    }
}
