/*
* 
* 
* @(#)GetDQueryEngineTest.java	1.3 03/07/15 Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.JHelpSearchNavigator;
import java.io.PrintWriter;
import java.net.URL;
import java.util.Locale;
import java.util.*;
import java.net.*;
import javax.help.JHelpSearchNavigator;
import javax.help.HelpSet;
import javax.help.search.SearchEngine;
import javax.help.*;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;
import com.sun.java.help.search.DefaultSearchEngine;
/**
 * Tests for javax.help.JHelpIndexNavigator.remove(NavigatorView nview)
 */
class JHSNavigatorTest extends JHelpSearchNavigator {
    
    public JHSNavigatorTest(NavigatorView view) {
        super(view);
    }
    
    String getQueryEngine() {
        return getDefaultQueryEngine();
    }
}

public class GetDQueryEngineTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public GetDQueryEngineTest() {
        
    }
    
    public static void main(String argv[]) {
        GetDQueryEngineTest test = new GetDQueryEngineTest();
        Status s = test.run(argv, new PrintWriter(System.out), 
                   new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        String apiTested = "Method: getDefaultQueryEngine()";
        String sengine = null;
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(loader, url);
            Hashtable htab = new Hashtable();
            NavigatorView view = NavigatorView.create(hs, "myView", "myLabel", 
                            Locale.getDefault(), "javax.help.SearchView", htab);
            JHSNavigatorTest jhsn = new JHSNavigatorTest(view);
            sengine = jhsn.getQueryEngine();
        }
        catch(Exception e) {
            e.printStackTrace();
        }
        if(sengine instanceof String) {
            return Status.passed(apiTested + "Okay");
        }
        else {
            return Status.failed(apiTested + " Can't get the SearchEngine Object");
        }
    }
}
