
/*
* 
* 
* @(#)GetSearchEngineTest.java	1.2 99/03/01 Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.JHelpSearchNavigator;

import java.io.PrintWriter;
import java.net.URL;
import java.util.Locale;
import java.util.*;
import java.net.*;
import javax.help.JHelpSearchNavigator;
import javax.help.HelpSet;
import javax.help.search.SearchEngine;
import javax.help.*;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.JHelpIndexNavigator.remove(NavigatorView nview)
 */

public class GetSearchEngineTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public GetSearchEngineTest() {
        
    }
    
    public static void main(String argv[]) {
        GetSearchEngineTest test = new GetSearchEngineTest();
        Status s = test.run(argv, new PrintWriter(System.out), 
        new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        String apiTested = "Method: getSearchEngine()";
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(loader, url);
            Hashtable htab = new Hashtable();
            htab.put("one", "ValueOne");
            htab.put("Two", "ValueTwo");
            htab.put("Three", "ValueThree");
            NavigatorView view = NavigatorView.create(hs, "myView", "myLabel", 
            Locale.getDefault(), "javax.help.SearchView", htab);
            JHelpSearchNavigator search = new JHelpSearchNavigator(view);
            SearchEngine sengine = search.getSearchEngine();
            
                if(sengine instanceof SearchEngine && sengine != null) {
                    return Status.passed(apiTested + "Okay");
                }
                else {
                    return Status.failed(apiTested 
                    + " Can't get the SearchEngine Object");
                }
            }
          
        catch(Exception ee) {
            ee.printStackTrace();
            return Status.failed(apiTested 
            + "Can't get the SearchEngine Object");
        }
    } 
}
