
/*
* 
* 
* @(#)GetUIClassIDTest.java	1.2 99/03/01 Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.JHelpSearchNavigator;

import java.util.*;
import java.io.PrintWriter;
import java.net.URL;
import java.util.Locale;
import java.util.Hashtable;
import javax.help.JHelpSearchNavigator;
import javax.help.HelpSet;
import javax.help.TOCView;
import javax.help.NavigatorView;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for method javax.help.JHelpSearchNavigator.getUIClassID()
 */

public class GetUIClassIDTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public GetUIClassIDTest() {
        
    }
    
    public static void main(String argv[]) {
        GetUIClassIDTest test = new GetUIClassIDTest();
        Status s = test.run(argv, new PrintWriter(System.out), 
        new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        String apiTested = "Method:  getUIClassID()";
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(loader, url);
                       
            Hashtable htab1 = new Hashtable();
            htab1.put("data", "JavaHelp");
            NavigatorView nview = 
		NavigatorView.create(hs, "myView", "MySearchViewLabel", 
				     Locale.getDefault(),"javax.help.SearchView",
				     htab1);
            
            JHelpSearchNavigator search = new JHelpSearchNavigator(nview);
            String s = search.getUIClassID();
            if(s == "HelpSearchNavigatorUI") {
                return Status.passed(apiTested + "Okay");
            }
            else {
                return Status.failed(apiTested 
                + " could'nt get the UIClassID for this Object");
            }
        } //testCase1 finished
        catch(Exception ee) {
            ee.printStackTrace();
            return Status.failed(apiTested + "Exception raised: " + ee);
        }
    }
} 
