
/*
* 
* 
* @(#)JHelpSearchNavigatorTest3.java	1.4 01/08/06 Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.JHelpSearchNavigator;

import java.util.*;
import java.io.PrintWriter;
import java.net.URL;
import java.util.Locale;
import java.util.Hashtable;
import javax.help.JHelpSearchNavigator;
import javax.help.DefaultHelpModel;
import javax.help.HelpSet;
import javax.help.SearchView;
import javax.help.NavigatorView;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 *  javax.help.JHelpSearchNavigator.JHelpSearchNavigator(NavigatorView nView)
 */

public class JHelpSearchNavigatorTest3 extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public JHelpSearchNavigatorTest3() {
        
    }
    
    public static void main(String argv[]) {
        JHelpSearchNavigatorTest3 test = new JHelpSearchNavigatorTest3();
        Status s = test.run(argv, new PrintWriter(System.out), 
        new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        String apiTested = "Method:  JHelpSearchNavigator(NavigatorView nView)";
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(loader, url);
            Hashtable htab = new Hashtable();
            htab.put("one", "ValueOne");
            htab.put("Two", "ValueTwo");
            htab.put("Three", "ValueThree");
            DefaultHelpModel dhm = new DefaultHelpModel(hs);
            NavigatorView nview = NavigatorView.create(new HelpSet(), "myView", 
                                  "MySearchViewLabel", Locale.getDefault(), 
                                  "javax.help.SearchView", htab);
            
            JHelpSearchNavigator search = new JHelpSearchNavigator(nview,dhm);
            if(search instanceof JHelpSearchNavigator) {
                return Status.passed(apiTested + "Okay!");
            }
            else {
                return Status.failed(apiTested +" Instance could'nt be created" );
            }
        } //testCase1 finished
        catch(Exception ee) {
            ee.printStackTrace();
            return Status.failed(apiTested + "Exception raised: " + ee);
        }
    }
    
    public Status testCase2() {
        String apiTested = "Method:  JHelpSearchNavigator(NavigatorView nView)";
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(loader, url);
            Hashtable htab = new Hashtable();
            htab.put("one", "ValueOne");
            htab.put("Two", "ValueTwo");
            htab.put("Three", "ValueThree");
            DefaultHelpModel dhm = new DefaultHelpModel(hs);
            NavigatorView nview = null;
            
            JHelpSearchNavigator search = new JHelpSearchNavigator(nview,dhm);
            if(search instanceof JHelpSearchNavigator) {
                return Status.passed(apiTested + "Okay!");
            }
            else {
                return Status.failed(apiTested +" Instance could'nt be created" );
            }
        } //testCase2 finished
        catch(Exception ee) {
            ee.printStackTrace();
            return Status.failed(apiTested + "Exception raised: " + ee);
        }
    }
    
    public Status testCase3() {
        String apiTested = "Method:  JHelpSearchNavigator(NavigatorView nView)";
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(loader, url);
            Hashtable htab = new Hashtable();
            htab.put("one", "ValueOne");
            htab.put("Two", "ValueTwo");
            htab.put("Three", "ValueThree");
            DefaultHelpModel dhm = null;
            NavigatorView nview = NavigatorView.create(new HelpSet(), "myView", 
                                  "MySearchViewLabel", Locale.getDefault(), 
                                  "javax.help.SearchView", htab);
            
            JHelpSearchNavigator search = new JHelpSearchNavigator(nview,dhm);
            if(search instanceof JHelpSearchNavigator) {
                return Status.passed(apiTested + "Okay!");
            }
            else {
                return Status.failed(apiTested +" Instance could'nt be created" );
            }
        } //testCase3 finished
        catch(Exception ee) {
            ee.printStackTrace();
            return Status.failed(apiTested + "Exception raised: " + ee);
        }
    }
}
