
/*
* 
* 
* @(#)CreateTest.java	1.2 99/03/01 Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.MapID;

import java.io.PrintWriter;
import java.net.URL;
import javax.help.Map;
import javax.help.HelpSet;
import javax.help.BadIDException;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.MapID
 *
 
 * @author Ben John.
 */

public class CreateTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public CreateTest() {
        
    }
    
    public static void main(String argv[]) {
        CreateTest test = new CreateTest();
        Status s = test.run(argv, new PrintWriter(System.out), 
                   new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        String apiTested = "Method: create(java.lang.String id,HelpSet hs)";
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(loader, url);
            Map.ID mid = Map.ID.create("hol_intro", hs);
            if((mid.hs == hs) && (mid.id == "hol_intro")) {
                return Status.passed(apiTested + "Okay");
            }
            else {
                return Status.failed(apiTested + "Did not Valid paramters");
            }
        }
        catch(Exception ee) {
            return Status.failed(apiTested + "Exception Raised:" + ee);
        }
    } //testCase1 finished
    
    public Status testCase2() {
        String apiTested = "Method: create(java.lang.String id,HelpSet hs)";
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(loader, url);
            Map.ID mid = Map.ID.create(null, null);
            if(mid == null) {
                return Status.passed(apiTested + "Okay ; returns null if null passed");
            }
            else {
                return Status.failed(apiTested + "Did not Valid paramters");
            }
        }
        catch(Exception ee) {
            return Status.failed(apiTested + "Exception Raised:" + ee);
        }
    } //testCase2 finished
    
    public Status testCase3() {
        String apiTested = "Method: create(java.lang.String id,HelpSet hs)";
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(loader, url);
            Map.ID mid = Map.ID.create(null, hs);
            if(mid == null) {
                return Status.passed(apiTested + "Okay ; returns null if null passed");
            }
            else {
                return Status.failed(apiTested + "Did not Valid paramters");
            }
        }
        catch(Exception ee) {
            return Status.failed(apiTested + "Exception Raised:" + ee);
        }
    } //testCase3 finished
    
    public Status testCase4() {
        String apiTested = "Method:  create(java.lang.String id,HelpSet hs)";
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(loader, url);
            Map.ID mid = Map.ID.create("hol_intro", null);
            if(mid == null) {
                return Status.passed(apiTested + "Okay ; returns null if null passed");
            }
            else {
                return Status.failed(apiTested + "Did not return null ");
            }
        }
        catch(Exception ee) {
            return Status.failed(apiTested + "Exception Raised:" + ee);
        }
    } //testCase4 finished
    
    public Status testCase5() {
        String apiTested = "Method: create(java.lang.String id, HelpSet hs)";
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(loader, url);
            Map.ID mid = Map.ID.create("Error", hs);
            return Status.failed(apiTested + "Did not Valid paramters");
        }
        catch(BadIDException ee) {
            if(ee instanceof BadIDException) {
                return Status.passed(apiTested 
                + "Okay; Throws BadIDException for Invalid id.");
            }
            else {
                return Status.failed(apiTested + "Did not Valid paramters");
            }
        }
        catch(Exception ee) {
            return Status.failed(apiTested + "Exception Raised:" + ee);
        }
    } //testCase5 finished
}
