
/*
* 
* 
* @(#)EqualsTest.java	1.3 01/08/06 Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.MapID;

import java.io.PrintWriter;
import javax.help.HelpSet;
import javax.help.Map;
import java.net.URL;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.MapID
 *
 
 * @author Ben John.
 */

public class EqualsTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public EqualsTest() {
        
    }
    
    public static void main(String argv[]) {
        EqualsTest test = new EqualsTest();
        Status s = test.run(argv, new PrintWriter(System.out), 
                   new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        String apiTested = "Method \" equals(java.lang.Object o) \" ";
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(loader, url);
            Map.ID mid1 = Map.ID.create("hol_intro", hs);
            Map.ID mid2 = Map.ID.create("hol_intro", hs);
            Map.ID mid3 = Map.ID.create("halloween", hs);
            if((mid1.equals(mid2)) && (!(mid2.equals(mid3)))) {
                return Status.passed(apiTested + "Okay");
            }
            else {
                return Status.failed(apiTested + "Did not Valid paramters");
            }
        }
        catch(Exception ee) {
            return Status.failed(apiTested + "Exception Raised:" + ee);
        }
    }
    
    public Status testCase2() {
        String apiTested = "Method \" equals(java.lang.Object o) \" ";
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(loader, url);
            Map.ID mid1 = Map.ID.create("hol_intro", hs);
            if(!(mid1.equals(hs))) {
                return Status.passed(apiTested + "Okay ; returns false if " 
                + "the Object is not the instance of ID");
            }
            else {
                return Status.failed(apiTested + "Did not Valid paramters");
            }
        }
        catch(Exception ee) {
            return Status.failed(apiTested + "Exception Raised:" + ee);
        }
    }
}
