
/*
* 
* 
* @(#)GetLabel1Test.java	1.3 01/08/06 Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.NavigatorView;

import java.io.PrintWriter;
import javax.help.BadIDException;
import javax.help.HelpSet;
import javax.help.Map;
import javax.help.FlatMap;
import javax.help.NavigatorView;
import javax.help.InvalidNavigatorViewException;
import java.util.Hashtable;
import java.util.Locale;
import java.net.URL;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.NavigatorView
 
 * @author Ben John.
 */

public class GetLabel1Test extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public GetLabel1Test() { //constructor
        
    }
    
    public static void main(String argv[]) {
        GetLabel1Test test = new GetLabel1Test();
        Status s = test.run(argv, new PrintWriter(System.out), 
                   new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        String apiTested = "Method \" getLabel(Locale) \" ";
        HelpSet hs = null;
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            hs = new HelpSet(loader, url);
            Hashtable htab = new Hashtable();
            htab.put("one", "ValueOne");
            htab.put("Two", "ValueTwo");
            htab.put("Three", "ValueThree");
            NavigatorView naViewObj = NavigatorView.create(hs, "myView", 
                                      "myLabel", Locale.getDefault(), 
                                      "javax.help.TOCView", htab);
            if((naViewObj instanceof NavigatorView) 
            && (naViewObj.getLabel(Locale.getDefault()) instanceof String) 
            && (naViewObj.getLabel(Locale.getDefault()) == "myLabel")) {
                return Status.passed(apiTested + "Okay Returns Proper Label");
            }
            else {
                return Status.failed(apiTested + "Did not Return Valid Label");
            }
        }
        catch(Exception ee) {
            return Status.failed(apiTested + "Exception raised: " + ee);
        }
    }
    
    public Status testCase2() {
        String apiTested = "Method \" getLabel(Locale) \" ";
        HelpSet hs = null;
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            hs = new HelpSet(loader, url);
            Hashtable htab = new Hashtable();
            htab.put("one", "ValueOne");
            htab.put("Two", "ValueTwo");
            htab.put("Three", "ValueThree");
            NavigatorView naViewObj = NavigatorView.create(hs, "myView", 
                                      "myLabel", Locale.getDefault(), 
                                      "javax.help.TOCView", htab);
            if((naViewObj instanceof NavigatorView) 
            && (naViewObj.getLabel(Locale.getDefault()) instanceof String) 
            && (naViewObj.getLabel(null) == "myLabel")) {
                return Status.passed(apiTested + "Okay Returns Proper Label " 
                + "for null parameter");
            }
            else {
                return Status.failed(apiTested + "Did not Return Valid Label");
            }
        }
        catch(Exception ee) {
            return Status.failed(apiTested + "Exception raised for null " 
            + "parameter. " + ee);
        }
    }
}
