
/*
* 
* 
* @(#)AddSearchHitTest.java	1.5 01/08/06 Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* @(#)AddSearchHitTest.java	1.5 01/08/06 CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.SearchTOCItem;
import javax.help.search.SearchItem;
import javax.help.SearchTOCItem;
import javax.help.HelpSet;
import javax.help.Map;
import javax.help.SearchHit;
import java.util.Hashtable;
import java.util.Locale;
import java.util.Vector;
import java.net.URL;
import java.io.PrintWriter;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.search.SearchTOCItem;
 
 * @author Ben John.
 */

public class AddSearchHitTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public AddSearchHitTest() { //constructor
        
    }
    
    public static void main(String argv[]) {
        AddSearchHitTest test = new AddSearchHitTest();
        Status s = test.run(argv, new PrintWriter(System.out), 
                   new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        String apiTested = "Method \" addSearchHit(SearchHit si) \" ";
        try {
            URL url = new URL("file", null, HSLOC + "/holidays/hol/hol.html");
            Vector myv = new Vector();
            myv.addElement("One");
            myv.addElement("Two");
            SearchItem si = new SearchItem(url, "TITLE", 
                Locale.getDefault().toString(), "hol.html", 3, 1, 10, myv);
            SearchTOCItem sTOCItem = new SearchTOCItem(si);
            SearchHit sHit = new SearchHit(3, 0, 10);
            boolean check = false;
            if(sTOCItem.hitCount() == 1) {
                check = true;
            }
            sTOCItem.addSearchHit(sHit);
            if(sTOCItem.hitCount() == 2) {
                check = true;
            }
            else {
                check = false;
            }
            sTOCItem.addSearchHit(sHit);
            if(sTOCItem.hitCount() == 3) {
                check = true;
            }
            else {
                check = false;
            }
            if(check == true) {
                return Status.passed(apiTested + "Okay");
            }
            else {
                return Status.failed(apiTested + 
                  "Did not Construct valid object");
            }
        }
        catch(Exception ee) {
            return Status.failed(apiTested + "Exception raised: " + ee);
        }
    }
    
    public Status testCase2() {
        String apiTested = "Method \" addSearchHit(SearchHit si) \" ";
        try {
            URL url = new URL("file", null, HSLOC + "/holidays/hol/hol.html");
            Vector myv = new Vector();
            myv.addElement("One");
            myv.addElement("Two");
            SearchItem si = new SearchItem(url, "TITLE", 
                Locale.getDefault().toString(), "hol.html", 3, 1, 10, myv);
            SearchTOCItem sTOCItem = new SearchTOCItem(si);
            SearchHit sHit = null;
            sTOCItem.addSearchHit(sHit);
            return Status.failed(apiTested + "Exception not thrown " +
                "for null parameter");
        }
        catch(Exception ee) {
            if(ee instanceof NullPointerException) {
                return Status.passed(apiTested + ee
				     + " raised for  null parameter" );
            }
            else {
		return Status.failed(apiTested + "Exception raised for " +
				     "null parameter " + ee);           
	    }
        }
    }
}
