
/*
* 
* 
* @(#)ParseTest.java	1.2 99/03/01 Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.TOCView;

import java.io.PrintWriter;
import javax.help.BadIDException;
import javax.help.HelpSet;
import javax.help.Map;
import javax.help.TOCView;
import javax.help.TreeItemFactory;
import javax.help.TOCView.DefaultTOCFactory;
import java.util.Hashtable;
import java.util.Locale;
import java.net.URL;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.TOCView
 
 * @author Ben John.
 */

public class ParseTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public ParseTest() { //constructor
        
    }
    
    public static void main(String argv[]) {
        ParseTest test = new ParseTest();
        Status s = test.run(argv, new PrintWriter(System.out), 
                   new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        String apiTested = "Method: parse(java.net.URL url,HelpSet hs, " 
                           + "java.util.Locale locale,TreeItemFactory factory)";
        HelpSet hs = null;
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            URL url2 = new URL("file", null, HSLOC + "/holidays/HolidayTOC.xml");
            hs = new HelpSet(loader, url);
            TOCView.DefaultTOCFactory tdeview = new TOCView.DefaultTOCFactory();
            TreeItemFactory tree = (TreeItemFactory)tdeview;
            javax.swing.tree.MutableTreeNode ccx = TOCView.parse(url2, hs, 
                                                   Locale.getDefault(), tree);
            if(ccx instanceof javax.swing.tree.MutableTreeNode) {
                return Status.passed(apiTested + "Okay");
            }
            else {
                return Status.failed(apiTested + "Did not return Valid object");
            }
        }
        catch(Exception ee) {
            return Status.failed(apiTested + "Exception raised: " + ee);
        }
    }
    
    public Status testCase2() {
        String apiTested = "Method: parse(java.net.URL url,HelpSet hs, " 
                           + "java.util.Locale locale,TreeItemFactory factory)";
        HelpSet hs = null;
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            URL url2 = new URL("file", null, HSLOC + "/holidays/HolidayTOC.xml");
            hs = new HelpSet(loader, url);
            TOCView.DefaultTOCFactory tdeview = new TOCView.DefaultTOCFactory();
            TreeItemFactory tree = (TreeItemFactory)tdeview;
            javax.swing.tree.MutableTreeNode ccx = TOCView.parse(null, hs, 
                                                   Locale.getDefault(), tree);
            if(ccx == null) {
                return Status.passed(apiTested 
                + "Okay; Returns null for null URL");
            }
            else {
                return Status.failed(apiTested 
                + "Did not return null for null url");
            }
        }
        catch(Exception ee) {
            return Status.failed(apiTested + "Exception raised for null URL : " 
            + ee);
        }
    }
    
    public Status testCase3() {
        String apiTested = "Method: parse(java.net.URL url,HelpSet hs, " 
                           + "java.util.Locale locale,TreeItemFactory factory)";
        HelpSet hs = null;
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url2 = new URL("file", null, HSLOC + "/holidays/HolidayTOC.xml");
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            hs = new HelpSet(loader, url);
            TOCView.DefaultTOCFactory tdeview = new TOCView.DefaultTOCFactory();
            TreeItemFactory tree = (TreeItemFactory)tdeview;
            javax.swing.tree.MutableTreeNode ccx = TOCView.parse(url2, null, 
                                                   Locale.getDefault(), tree);
            if(ccx instanceof javax.swing.tree.MutableTreeNode) {
                return Status.passed(apiTested + "Okay for null HelpSet");
            }
            else {
                return Status.failed(apiTested + "Did not return Valid " 
                + "object for null HelpSet");
            }
        }
        catch(Exception ee) {
            return Status.failed(apiTested + "Exception raised for Null " 
            + "HelpSet " + ee);
        }
    }
    
    public Status testCase4() {
        String apiTested = "Method:  parse(java.net.URL url,HelpSet hs, " 
                           + "java.util.Locale locale,TreeItemFactory factory)";
        HelpSet hs = null;
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            URL url2 = new URL("file", null, HSLOC + "/holidays/HolidayTOC.xml");
            hs = new HelpSet(loader, url);
            TOCView.DefaultTOCFactory tdeview = new TOCView.DefaultTOCFactory();
            TreeItemFactory tree = (TreeItemFactory)tdeview;
            javax.swing.tree.MutableTreeNode ccx = TOCView.parse(url2, hs, 
                                                   null, tree);
            if(ccx instanceof javax.swing.tree.MutableTreeNode) {
                return Status.passed(apiTested + "Okay for null Locale");
            }
            else {
                return Status.failed(apiTested + "Did not return Valid " 
                + "object for null Locale");
            }
        }
        catch(Exception ee) {
            return Status.failed(apiTested + "Exception raised for null " 
            + "Locale: " + ee);
        }
    }
    
    public Status testCase5() {
        String apiTested = "Method: parse(java.net.URL url,HelpSet hs, " 
                           + "java.util.Locale locale,TreeItemFactory factory)";
        HelpSet hs = null;
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            URL url2 = new URL("file", null, HSLOC + "/holidays/HolidayTOC.xml");
            hs = new HelpSet(loader, url);
            TOCView.DefaultTOCFactory tdeview = new TOCView.DefaultTOCFactory();
            TreeItemFactory tree = (TreeItemFactory)tdeview;
            javax.swing.tree.MutableTreeNode ccx = TOCView.parse(url2, hs, 
                                                   Locale.getDefault(), null);
            return Status.failed(apiTested + "Did not Exception thrown " 
                + "null TreeItemFactory");

        }
        catch(Exception ee) {
            if(ee instanceof NullPointerException) {
                return Status.passed(apiTested + "NullPointerException " 
                + "raised for null TreeItemFactory: " + ee);
            }
            else {
                return Status.failed(apiTested + "Exception raised for " 
                + "null TreeItemFactory: " + ee);
            }
        }
    }
}
