
/*
* 
* 
* @(#)GetIDFromURLTest.java	1.2 99/03/01 Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.TryMap;

import java.io.PrintWriter;
import java.net.URL;
import javax.help.HelpSet;
import javax.help.TryMap;
import javax.help.Map;
import javax.help.FlatMap;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.TryMap
 *
 
 * @author Ben John.
 */

public class GetIDFromURLTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public GetIDFromURLTest() {
        
    }
    
    public static void main(String argv[]) {
        GetIDFromURLTest test = new GetIDFromURLTest();
        Status s = test.run(argv, new PrintWriter(System.out), 
                   new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        String apiTested = "Method \" getIDFromURL(java.net.URL url)\" ";
        ClassLoader loader = this.getClass().getClassLoader();
        try {
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            URL uu = new URL("file", null, HSLOC + "/holidays/hol/yom.html");
            HelpSet hs = new HelpSet(loader, url);
            FlatMap tfm1 = new FlatMap(new URL("file", null, HSLOC 
                           + "/holidays/Map.jhm"), hs);
            FlatMap tfm2 = new FlatMap(new URL("file", null, HSLOC 
                           + "/holidays/Map.jhm"), hs);
            TryMap try1 = new TryMap();
            try1.add(tfm1);
            try1.add(tfm2);
            if((try1.getIDFromURL(uu) instanceof Map.ID) 
				&& (try1.getIDFromURL(uu).id.equals("yom"))){
				return Status.passed(apiTested + "Okay");
            }
            else {
                return Status.failed(apiTested + "Did not return " 
                + "Valid Map.ID object");
            }
        }
        catch(Exception ee) {
            return Status.failed(apiTested + "Exception Raised:" + ee);
        }
    } // testcase finished.
    
    public Status testCase2() {
        String apiTested = "Method \" getIDFromURL(java.net.URL url)\" ";
        ClassLoader loader = this.getClass().getClassLoader();
        try {
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(loader, url);
            FlatMap tfm1 = new FlatMap(new URL("file", null, HSLOC 
                           + "/holidays/Map.jhm"), hs);
            FlatMap tfm2 = new FlatMap(new URL("file", null, HSLOC 
                           + "/holidays/Map.jhm"), hs);
            TryMap try1 = new TryMap();
            try1.add(tfm1);
            try1.add(tfm2);
            if(try1.getIDFromURL(url) instanceof Map.ID) {
                return Status.failed(apiTested + "Returns valid ID " 
                + "for Invalid URL");
            }
            else {
                return Status.passed(apiTested + "Did not return Valid " 
                + "Map.ID object for Invalid URL");
            }
        }
        catch(Exception ee) {
            return Status.failed(apiTested + "Exception Raised:" + ee);
        }
    } // testcase finished.
    
    public Status testCase3() {
        String apiTested = "Method \" getIDFromURL(java.net.URL url)\" ";
        ClassLoader loader = this.getClass().getClassLoader();
        try {
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(loader, url);
            FlatMap tfm1 = new FlatMap(new URL("file", null, HSLOC 
                           + "/holidays/Map.jhm"), hs);
            FlatMap tfm2 = new FlatMap(new URL("file", null, HSLOC 
                           + "/holidays/Map.jhm"), hs);
            TryMap try1 = new TryMap();
            try1.add(tfm1);
            try1.add(tfm2);
            if(try1.getIDFromURL(null) == null) {
                return Status.passed(apiTested + "Returns null object " 
                + "for null URl");
            }
            else {
                return Status.failed(apiTested + "Did not return Valid " 
                + "Map.ID object for null URL");
            }
        }
        catch(Exception ee) {
            return Status.failed(apiTested + "Exception Raised:" + ee);
        }
    } // testcase finished.
}
