
/*
* 
* 
* @(#)GetIDsTest.java	1.2 99/03/01 Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.TryMap;

import java.util.Enumeration;
import java.io.PrintWriter;
import java.net.URL;
import javax.help.HelpSet;
import javax.help.TryMap;
import javax.help.Map;
import javax.help.FlatMap;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.TryMap
 *
 *
 * @author Ben John
 */

public class GetIDsTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public GetIDsTest() {
        
    }
    
    public static void main(String argv[]) {
        GetIDsTest test = new GetIDsTest();
        Status s = test.run(argv, new PrintWriter(System.out), 
                   new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        String apiTested = "Method \" getIDs(java.net.URL url)\" ";
        ClassLoader loader = this.getClass().getClassLoader();
        try {
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
	    URL mapURL = new URL("file", null, HSLOC + "/holidays/Map.jhm");
            HelpSet hs = new HelpSet(loader, url);
            FlatMap tfm1 = new FlatMap(mapURL, hs);
            URL uu = new URL(mapURL, "hol/hol.html");
            TryMap try1 = new TryMap();
            try1.add(tfm1);
                   
            boolean check = false;
	    String sss = "hol_intro";
            for(Enumeration ee = try1.getIDs(uu);ee.hasMoreElements();) {
		Map.ID mid = (Map.ID) ee.nextElement();
		String ss = (String) mid.id;
		
		if((mid instanceof Map.ID) && 
		   (ss.equals(sss))) {
		    check = true;
                } else {
                    check = false;
                    break;
                }
            }
            if(check) {
                return Status.passed(apiTested + "Okay");
            }
            else {
                return Status.failed(apiTested + "Did not Valid");
            }
        }
        catch(Exception ee) {
	    ee.printStackTrace();
            return Status.failed(apiTested + "Exception Raised:" + ee);
        }
    }
}
