
/*
* 
* 
* @(#)IsValidIDTest.java	1.4 01/08/06 Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.TryMap;

import java.io.PrintWriter;
import java.net.URL;
import javax.help.TryMap;
import javax.help.FlatMap;
import javax.help.HelpSet;
import javax.help.Map;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.TryMap
 *
 
 * @author Ben John.
 */

public class IsValidIDTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public IsValidIDTest() {
        
    }
    
    public static void main(String argv[]) {
        IsValidIDTest test = new IsValidIDTest();
        Status s = test.run(argv, new PrintWriter(System.out), 
                   new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        String apiTested = "Method \" IsValidID()\" ";
        ClassLoader loader = this.getClass().getClassLoader();
        try {
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            URL uu = new URL("file", null, HSLOC + "/holidays/welcome.html");
            HelpSet hs = new HelpSet(loader, url);
            Map.ID mid = Map.ID.create("hol_intro", hs);
            FlatMap tfm1 = new FlatMap(new URL("file", null, HSLOC 
                           + "/holidays/Map.jhm"), hs);
            TryMap try1 = new TryMap();
            try1.add(tfm1);
            if(try1.isValidID("hol_intro", hs) == true) {
                return Status.passed(apiTested + "Okay");
            }
            else {
                return Status.failed(apiTested + "Did not return valid value");
            }
        }
        catch(Exception ee) {
            return Status.failed(apiTested + "Exception Raised:" + ee);
        }
    } // testcase finished.
    
    public Status testCase2() {
        String apiTested = "Method \" IsValidID()\" ";
        ClassLoader loader = this.getClass().getClassLoader();
        try {
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            URL uu = new URL("file", null, HSLOC + "/holidays/welcome.html");
            HelpSet hs = new HelpSet(loader, url);
            Map.ID mid = Map.ID.create("hol_intro", hs);
            FlatMap tfm1 = new FlatMap(new URL("file", null, HSLOC 
                           + "/holidays/Map.jhm"), hs);
            TryMap try1 = new TryMap();
            try1.add(tfm1);
            if(try1.isValidID("Error", hs) == false) {
                return Status.passed(apiTested + "Okay ; returns false " 
                + "for Invalid ID");
            }
            else {
                return Status.failed(apiTested + "Did not return valid " 
                + "value for Invalid ID");
            }
        }
        catch(Exception ee) {
            return Status.failed(apiTested + "Exception Raised for " 
            + "Invalid ID" + ee);
        }
    } // testcase finished.
    
    public Status testCase3() {
        String apiTested = "Method \" IsValidID()\" ";
        ClassLoader loader = this.getClass().getClassLoader();
        try {
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            URL uu = new URL("file", null, HSLOC + "/holidays/welcome.html");
            HelpSet hs = new HelpSet(loader, url);
            Map.ID mid = Map.ID.create("hol_intro", hs);
            FlatMap tfm1 = new FlatMap(new URL("file", null, HSLOC 
                           + "/holidays/Map.jhm"), hs);
            TryMap try1 = new TryMap();
            try1.add(tfm1);
            if(try1.isValidID("hol_intro", null) == true ) {
                return Status.passed(apiTested + "Returns False for " 
                + "null HelpSet");
            }
            else {
                return Status.failed(apiTested + "Did not return false " 
                + "for null HelpSet");
            }
        }
        catch(Exception ee) {
            return Status.failed(apiTested + "Exception Raised:" + ee);
        }
    } // testcase finished.
    
    public Status testCase4() {
        String apiTested = "Method \" IsValidID()\" ";
        ClassLoader loader = this.getClass().getClassLoader();
        try {
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            URL uu = new URL("file", null, HSLOC + "/holidays/welcome.html");
            HelpSet hs = new HelpSet(loader, url);
            Map.ID mid = Map.ID.create(null, hs);
            FlatMap tfm1 = new FlatMap(new URL("file", null, HSLOC 
                           + "/holidays/Map.jhm"), hs);
            TryMap try1 = new TryMap();
            try1.add(tfm1);
            if(try1.isValidID("Error", hs) == false) {
                return Status.passed(apiTested + "Returns false for Null " 
                + "id with valid HelpSet");
            }
            else {
                return Status.failed(apiTested + "Did not return false for " 
                + "Null id with Valid HelpSet");
            }
        }
        catch(Exception ee) {
            return Status.failed(apiTested + "Exception Raised:" + ee);
        }
    }
}
