/*
 * @(#)AddTest.java	1.1 99/03/02
 * 
 * Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 * CopyrightVersion 1.0
 */
package javasoft.sqe.tests.api.javax.help.event.EventListenerList;
import java.io.PrintWriter;
import com.sun.help.jck.harness.FooListener;
import com.sun.help.jck.harness.XyzListener;
import javax.help.event.EventListenerList;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.EventListenerList
 *
 * @author Meena C
 */

public class AddTest extends MultiTest {
    
    public AddTest() {
        
    }
    
    public static void main(String argv[]) {
        AddTest test = new AddTest();
        Status s = test.run(argv, new PrintWriter(System.out) ,
        	new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
    	
        String apiTested = "add(java.lang.Class t,java.util.EventListener l):" 
        + "\nTestCase :Construct EventListenerList object and call add with " 
        + "valid values for Class and EventListener.Check the listener count." 
        + "\nExpected Result : Listener count shd be one." 
        + "\nObtained Result : ";
        
        try {
            EventListenerList eventListenerList = new EventListenerList();
            FooListener l = new FooListener();
            int cntBefore = eventListenerList.getListenerCount();
            eventListenerList.add(FooListener.class, l);
            int cntAfter = eventListenerList.getListenerCount();
            if(cntBefore == 0 && cntAfter == 1) {
                return Status.passed(apiTested + "Added to EventListenerList." 
                	+ "Got correct listener count\nCount Before = " 
                	+ cntBefore + " , Count After = " + cntAfter + "\n");
            } else {
                return Status.failed(apiTested + "Did not get correct listener " 
                	+ "count.\nCount Before = " + cntBefore 
                	+ " , Count After = " + cntAfter + "\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
    
    public Status testCase2() {
    	
        String apiTested = "add(java.lang.Class t,java.util.EventListener l) :" 
        + "\nTestCase :Construct EventListenerList object and call add with " 
        + "valid values for Class and EventListener.Check the listener count " 
        + "for the Class t added." 
        + "\nExpected Result : Listener count shd be one." 
        + "\nObtained Result : ";
        
        try {
            EventListenerList eventListenerList = new EventListenerList();
            FooListener l = new FooListener();
            int cntBefore=eventListenerList.getListenerCount(FooListener.class);
            eventListenerList.add(FooListener.class, l);
            int cntAfter =eventListenerList.getListenerCount(FooListener.class);
            if(cntBefore == 0 && cntAfter == 1) {
                return Status.passed(apiTested + "Got correct listener count." 
                	+ "\nCount Before = " + cntBefore + " , Count After = " 
                	+ cntAfter + "\n");
            } else {
                return Status.failed(apiTested + "Did not get correct listener " 
                	+ "count.\nCount Before = "+ cntBefore 
                	+ " , Count After = " + cntAfter + "\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
    
    public Status testCase3() {
    	
        String apiTested = "add(java.lang.Class t,java.util.EventListener l) : " 
        + "\nTestCase :Construct EventListenerList object and call add with " 
        + "valid value for Class and null for EventListener. " 
        + "\nExpected Result : IllegalArgumentException shd be thrown." 
        + "\nObtained Result : ";
        
        try {
            EventListenerList eventListenerList = new EventListenerList();
            FooListener l = null;
            int cntBefore = eventListenerList.getListenerCount();
            eventListenerList.add(FooListener.class, l);
            return Status.failed(apiTested + "Did not Get " 
            	+ "IllegalArgumentException\n");
        } catch(IllegalArgumentException iae) {
            return Status.passed(apiTested + "Got IllegalArgumentException\n");
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
    
    public Status testCase4() {
    	
        String apiTested = "add(java.lang.Class t,java.util.EventListener l) : " 
        + "\nTestCase :Construct EventListenerList object and call add with " 
        + "null for Class and valid value for EventListener. " 
        + "\nExpected Result : IllegalArgumentException shd be thrown." 
        + "\nObtained Result : ";
        
        try {
            EventListenerList eventListenerList = new EventListenerList();
            FooListener l = new FooListener();
            int cntBefore = eventListenerList.getListenerCount();
            eventListenerList.add(null, l);
            return Status.failed(apiTested + "Did not Get " 
            	+ "IllegalArgumentException\n");
        } catch(IllegalArgumentException npe) {
            return Status.passed(apiTested +"Got IllegalArgumentException \n ");
        } catch(Exception e) {
            return Status.failed(apiTested +"Got Exception : " + e + "\n");
        }
    }
    
    public Status testCase5() {
    	
        String apiTested = "add(java.lang.Class t,java.util.EventListener l) :" 
        + "\nTestCase :Construct EventListenerList object and call add with " 
        + "different type of Class than that of the EventListener." 
        + "\nExpected Result : IllegalArgumentException shd be thrown." 
        + "\nObtained Result : ";
        
        try {
            EventListenerList eventListenerList = new EventListenerList();
            XyzListener l = new XyzListener();
            int cntBefore=eventListenerList.getListenerCount(FooListener.class);
            eventListenerList.add(FooListener.class, l);
            return Status.failed(apiTested + "Did not Get " 
            	+ "IllegalArgumentException \n");
        } catch(IllegalArgumentException iae) {
            return Status.passed(apiTested + "Got IllegalArgumentException\n");
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
}
