/*
 * 03/02/99 @(#)GetListenerCountTest.java	1.1
 * 
 * Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 * CopyrightVersion 1.0
 */
package javasoft.sqe.tests.api.javax.help.event.EventListenerList;
import java.io.PrintWriter;
import com.sun.help.jck.harness.FooListener;
import com.sun.help.jck.harness.XyzListener;
import javax.help.event.EventListenerList;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.EventListenerList
 *
 * @author Meena C
 */

public class GetListenerCountTest extends MultiTest {
    
    public GetListenerCountTest() {
        
    }
    
    public static void main(String argv[]) {
        GetListenerCountTest test = new GetListenerCountTest();
        Status s = test.run(argv, new PrintWriter(System.out) ,
        	new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
    	
        String apiTested = "getListenerCount() : " 
        + "\nTestCase :Construct EventListenerList and call getListenerCount() " 
        + "without adding a listener." 
        + "\nExpected Result : Shd return zero." 
        + "\nObtained Result : ";
        
        try {
            EventListenerList eventListenerList = new EventListenerList();
            int cnt = eventListenerList.getListenerCount();
            if(cnt == 0) {
                return Status.passed(apiTested + "Got correct Count : Count = " 
                	+ cnt + "\n");
            } else {
                return Status.failed(apiTested + "Did not get correct Count : " 
                	+ "Count  = " + cnt + "\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
    
    public Status testCase2() {
    	
        String apiTested = "getListenerCount() : " 
        + "\nTestCase :Construct EventListenerList and call getListenerCount() " 
        + "after adding a listener." 
        + "\nExpected Result : Shd return one." 
        + "\nObtained Result : ";
        
        try {
            EventListenerList eventListenerList = new EventListenerList();
            FooListener l = new FooListener();
            int cntBefore = eventListenerList.getListenerCount();
            eventListenerList.add(FooListener.class, l);
            int cntAfter = eventListenerList.getListenerCount();
            if(cntBefore == 0 && cntAfter == 1) {
                return Status.passed(apiTested + "Got correct Count : " 
                	+ "Count Before = " + cntBefore 
                	+ " , Count After = " + cntAfter + "\n");
            } else {
                return Status.failed(apiTested + "Did not get correct Count : " 
                	+"Count Before = " + cntBefore 
                	+ " , Count After = " + cntAfter + "\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
    
    public Status testCase3() {
    	
        String apiTested = "getListenerCount() : " 
        + "\nTestCase : Construct EventListenerList and call getListenerCount() " 
        + "after adding two listeners." 
        + "\nExpected Result : Shd return two." 
        + "\nObtained Result : ";
        
        try {
            EventListenerList eventListenerList = new EventListenerList();
            FooListener l = new FooListener();
            XyzListener l2 = new XyzListener();
            int cntBefore = eventListenerList.getListenerCount();
            eventListenerList.add(FooListener.class, l);
            eventListenerList.add(XyzListener.class, l2);
            int cntAfter = eventListenerList.getListenerCount();
            if(cntBefore == 0 && cntAfter == 2) {
                return Status.passed(apiTested + "Got correct Count : " 
                	+ "Count Before = " + cntBefore 
                	+ " , Count After = " + cntAfter + "\n");
            } else {
                return Status.failed(apiTested + "Did not get correct Count : " 
                	+ "Count Before = " + cntBefore 
                	+ " , Count After = " + cntAfter + "\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
    
    public Status testCase4() {
    	
        String apiTested = "getListenerCount() : " 
        + "\nTestCase : Construct EventListenerList , add two listeners then"
        + " remove one listener and call getListenerCount() " 
        + "\nExpected Result : Shd return one." 
        + "\nObtained Result : ";
        
        try {
            EventListenerList eventListenerList = new EventListenerList();
            FooListener l = new FooListener();
            XyzListener l2 = new XyzListener();
            int cntBefore = eventListenerList.getListenerCount();
            eventListenerList.add(FooListener.class, l);
            eventListenerList.add(XyzListener.class, l2);
            eventListenerList.remove(FooListener.class, l);            
            int cntAfter = eventListenerList.getListenerCount();
            if(cntBefore == 0 && cntAfter == 1) {
                return Status.passed(apiTested + "Got correct Count : " 
                	+ "Count Before = " + cntBefore 
                	+ " , Count After = " + cntAfter + "\n");
            } else {
                return Status.failed(apiTested + "Did not get correct Count : " 
                	+ "Count Before = " + cntBefore 
                	+ " , Count After = " + cntAfter + "\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }    
    
    public Status testCase5() {
    	
        String apiTested = "getListenerCount(java.lang.Class t) : " 
        + "\nTestCase :Construct EventListenerList and call getListenerCount() " 
        + "without adding a listener." 
        + "\nExpected Result : Shd return zero." 
        + "\nObtained Result : ";
        
        try {
            EventListenerList eventListenerList = new EventListenerList();
            int cnt = eventListenerList.getListenerCount(FooListener.class);
            if(cnt == 0) {
                return Status.passed(apiTested + " Got correct Count : Count = " 
                	+ cnt + "\n");
            } else {
                return Status.failed(apiTested + "Did not get correct Count : " 
                	+ "Count  = " + cnt + "\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
    
    public Status testCase6() {
    	
        String apiTested = "getListenerCount(java.lang.Class t) : " 
        + "\nTestCase :Construct EventListenerList and call getListenerCount() " 
        + "after adding a listener." 
        + "\nExpected Result : Shd return one." 
        + "\nObtained Result : ";
        
        try {
            EventListenerList eventListenerList = new EventListenerList();
            FooListener l = new FooListener();
            int cntBefore = eventListenerList.getListenerCount(FooListener.class);
            eventListenerList.add(FooListener.class, l);
            int cntAfter = eventListenerList.getListenerCount(FooListener.class);
            if(cntBefore == 0 && cntAfter == 1) {
                return Status.passed(apiTested + "Got correct Count : " 
                + "Count Before = " + cntBefore 
                + " , Count After = " + cntAfter + "\n");
            } else {
                return Status.failed(apiTested + "Did not get correct Count : " 
                	+ "Count Before = " + cntBefore 
                	+ " , Count After = " + cntAfter + "\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e);
        }
    }
    
    public Status testCase7() {
    	
        String apiTested = "getListenerCount(java.lang.Class t)  : " 
        + "\nTestCase :Construct EventListenerList and call getListenerCount() " 
        + "after adding two listeners." 
        + "\nExpected Result : Shd return two." 
        + "\nObtained Result : ";
        
        int cntBefore = 0, cntAfter = 0;
        try {
            EventListenerList eventListenerList = new EventListenerList();
            FooListener l = new FooListener();
            FooListener l2 = new FooListener();
            XyzListener l3 = new XyzListener();
            cntBefore = eventListenerList.getListenerCount(FooListener.class);
            eventListenerList.add(FooListener.class, l);
            eventListenerList.add(FooListener.class, l2);
            eventListenerList.add(XyzListener.class, l3);
            cntAfter = eventListenerList.getListenerCount(FooListener.class);
            if(cntBefore == 0 && cntAfter == 2) {
                return Status.passed(apiTested + "Got correct Count : " 
                	+ "Count Before = " + cntBefore 
                	+ " , Count After = " + cntAfter + "\n");
            } else {
                return Status.failed(apiTested + "Did not get correct Count : " 
                	+ "Count Before = " + cntBefore 
                	+ " , Count After = " + cntAfter + "\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
    
    public Status testCase8() {
    	
        String apiTested = "getListenerCount(java.lang.Class t)  : " 
        + "\nTestCase :Construct EventListenerList and call getListenerCount(" 
        + " Class t) with a null for t." 
        + "\nExpected Result : Shd return zero." 
        + "\nObtained Result : ";
        
        int cnt = 0;
        try {
            EventListenerList eventListenerList = new EventListenerList();
            cnt = eventListenerList.getListenerCount(null);
            if(cnt == 0) {
                return Status.passed(apiTested + "Got correct Count : Count  = " 
                	+ cnt + "\n");
            } else {
                return Status.failed(apiTested + "Did not get correct Count : " 
                	+ "Count  = " + cnt + "\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
    
}
