/*
 * @(#)GetListenerListTest.java	1.1 99/03/02
 * 
 * Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 * CopyrightVersion 1.0
 */
package javasoft.sqe.tests.api.javax.help.event.EventListenerList;
import java.io.PrintWriter;
import com.sun.help.jck.harness.FooListener;
import com.sun.help.jck.harness.XyzListener;
import javax.help.event.EventListenerList;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.EventListenerList
 *
 * @author Meena C
 */

public class GetListenerListTest extends MultiTest {
    
    public GetListenerListTest() {
        
    }
    
    public static void main(String argv[]) {
        GetListenerListTest test = new GetListenerListTest();
        Status s = test.run(argv, new PrintWriter(System.out) ,
        	new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
    	
        String apiTested = "getListenerList() : " 
        + "\nTestCase :Construct EventListenerList and call getListenerList() " 
        + "without adding a listener." 
        + "\nExpected Result : Shd return an Object array of zero length." 
        + "\nObtained Result : ";
        
        try {
            EventListenerList eventListenerList = new EventListenerList();
            Object evtList[] = eventListenerList.getListenerList();
            int len = evtList.length;
            if(len == 0) {
                return Status.passed(apiTested + "Returned an Object array of " 
                	+ "zero length\n");
            } else {
                return Status.failed(apiTested + "Did not return Object array " 
                	+ "of zero length : length = " + len + "\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
    
    public Status testCase2() {
        String apiTested = "getListenerList() : " 
        + "\nTestCase : Construct EventListenerList and call getListenerList() " 
        + "after adding a listener." 
        + "\nExpected Result : Shd return Object array of the listener added." 
        + "\nObtained Result : ";
        
        try {
            EventListenerList eventListenerList = new EventListenerList();
            FooListener l = new FooListener();
            eventListenerList.add(FooListener.class, l);
            Object evtList[] = eventListenerList.getListenerList();
            int len = evtList.length;
            if(len == 2) {
                if((evtList[0].equals(FooListener.class)) && 
                   (evtList[1].equals(l))) {
                    return Status.passed(apiTested + "Returned Object array of " 
                    	+ "the listener added.\n");
                } else {
                    return Status.failed(apiTested + "Did not return Object " 
                    	+ "array of the listener added.\n");
                }
            }
            return Status.failed(apiTested + "Did not get correct count of " 
            	+ "EventListenerList : length = " + len + "\n");
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
    
    public Status testCase3() {
    	
        String apiTested = "getListenerList() : " 
        + "\nTestCase : Construct EventListenerList and call getListenerList() " 
        + "after addingtwo listeners." 
        + "\nExpected Result : Shd return Object array of the listeners added." 
        + "\nObtained Result : ";
        
        try {
            EventListenerList eventListenerList = new EventListenerList();
            FooListener l = new FooListener();
            XyzListener l2 = new XyzListener();
            int cntBefore = eventListenerList.getListenerCount();
            eventListenerList.add(FooListener.class, l);
            eventListenerList.add(XyzListener.class, l2);
            Object evtList[] = eventListenerList.getListenerList();
            int len = evtList.length;
            if(len == 4) {
                if((evtList[0].equals(FooListener.class)) && 
                   (evtList[2].equals(XyzListener.class))) {
                    if((evtList[1].equals(l)) && (evtList[3].equals(l2))) {
                        return Status.passed(apiTested +"Returned Object array " 
                        	+ "of the listeners added\n");
                    } else {
                        return Status.failed(apiTested +"Did not return Object " 
                        	+ "array of the listeners added\n");
                    }
                } else {
                    return Status.failed(apiTested + "Did not get correct " 
                    	+ "Listener Type\n");
                }
            }
            return Status.failed(apiTested + "Did not get correct count of " 
            	+ "EventListenerList : length = " + len + "\n");
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
}
