/*
 * @(#)RemoveTest.java	1.1 99/03/02
 * 
 * Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES. 
 * 
 * CopyrightVersion 1.0
 */
package javasoft.sqe.tests.api.javax.help.event.EventListenerList;
import java.io.PrintWriter;
import com.sun.help.jck.harness.FooListener;
import com.sun.help.jck.harness.XyzListener;
import javax.help.event.EventListenerList;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.EventListenerList
 *
 * @author Meena C
 */

public class RemoveTest extends MultiTest {
    
    public RemoveTest() {
        
    }
    
    public static void main(String argv[]) {
        RemoveTest test = new RemoveTest();
        Status s = test.run(argv, new PrintWriter(System.out) , 
        	new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
    	
        String apiTested ="remove(java.lang.Class t,java.util.EventListener l):" 
        + "\nTestCase :Construct EventListenerList object and call remove with " 
        + "valid values for Class and EventListener after adding listener." 
        + "Check the listener count." 
        + "\nExpected Result : Listener count shd be zero." 
        + "\nObtained Result : ";
        
        try {
            EventListenerList eventListenerList = new EventListenerList();
            FooListener l = new FooListener();
            eventListenerList.add(FooListener.class, l);
            int cntBefore = eventListenerList.getListenerCount();
            eventListenerList.remove(FooListener.class, l);
            int cntAfter = eventListenerList.getListenerCount();
            if(cntBefore == 1 && cntAfter == 0) {
                return Status.passed(apiTested+"Removed from EventListenerList." 
                	+ "Got correct listener count.\nCount Before = " 
                	+ cntBefore + " , Count After = " + cntAfter + "\n");
            } else {
                return Status.failed(apiTested + "Did not get correct listener " 
                	+ "count.\nCount Before = " + cntBefore 
                	+ " , Count After = " + cntAfter + "\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
    
    public Status testCase2() {
        
        String apiTested="remove(java.lang.Class t,java.util.EventListener l) :" 
        + "\nTestCase : Construct EventListenerList object and call remove " 
        + "with valid values for Class and EventListener after adding listener." 
        + "Check the listener count for the Listener Class." 
        + "\nExpected Result : Listener count shd be zero." 
        + "\nObtained Result : ";
        
        try {
            EventListenerList eventListenerList = new EventListenerList();
            FooListener l = new FooListener();
            eventListenerList.add(FooListener.class, l);
            int cntBefore=eventListenerList.getListenerCount(FooListener.class);
            eventListenerList.remove(FooListener.class, l);
            int cntAfter=eventListenerList.getListenerCount(FooListener.class);
            if(cntBefore == 1 && cntAfter == 0) {
                return Status.passed(apiTested + "Removed correct class from " 
                	+ "EventListenerList.Got correct listener count." 
                	+ "\nCount Before = " + cntBefore + " , Count After = " 
                	+ cntAfter + "\n");
            } else {
                return Status.failed(apiTested + "Did not get correct listener " 
                	+ "count.\nCount Before = " + cntBefore 
                	+ " , Count After = " + cntAfter + "\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
    
    public Status testCase3() {
    	
        String apiTested="remove(java.lang.Class t,java.util.EventListener l) :" 
        + "\nTestCase :Construct EventListenerList object and call remove " 
        + "with valid value for Class and null for EventListener after " 
        + "adding listener. " 
        + "\nExpected Result : IllegalArgumentException shd be thrown." 
        + "\nObtained Result : ";
        
        try {
            EventListenerList eventListenerList = new EventListenerList();
            FooListener l = new FooListener();
            eventListenerList.add(FooListener.class, l);
            FooListener l2 = null;
            int cntBefore = eventListenerList.getListenerCount();
            eventListenerList.remove(FooListener.class, l2);
            return Status.failed(apiTested + "Did not Get " 
            	+ "IllegalArgumentException\n");
        } catch(IllegalArgumentException npe) {
            return Status.passed(apiTested + "Got IllegalArgumentException.\n");
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
    
    public Status testCase4() {
    	
        String apiTested ="remove(java.lang.Class t,java.util.EventListener l):" 
        + "\nTestCase :Construct EventListenerList object and call remove with " 
        + "null for Class and valid value for EventListener. " 
        + "\nExpected Result : IllegalArgumentException shd be thrown." 
        + "\nObtained Result : ";
        
        try {
            EventListenerList eventListenerList = new EventListenerList();
            FooListener l = new FooListener();
            eventListenerList.add(FooListener.class, l);
            int cntBefore = eventListenerList.getListenerCount();
            eventListenerList.remove(null, l);
            return Status.failed(apiTested + "Did not Get " 
            	+ "IllegalArgumentException\n");
        } catch(IllegalArgumentException iae) {
            return Status.passed(apiTested + "Got IllegalArgumentException.\n");
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
    
    public Status testCase5() {
    	
        String apiTested ="remove(java.lang.Class t,java.util.EventListener l):" 
        + "\nTestCase :Construct EventListenerList object and call remove with " 
        + "different type of Class than that of the EventListener. " 
        + "\nExpected Result : IllegalArgumentException shd be thrown." 
        + "\nObtained Result : ";
        
        try {
            EventListenerList eventListenerList = new EventListenerList();
            FooListener l = new FooListener();
            XyzListener l2 = new XyzListener();
            eventListenerList.add(FooListener.class, l);
            int cntBefore=eventListenerList.getListenerCount(FooListener.class);
            eventListenerList.remove(FooListener.class, l2);
            return Status.failed(apiTested + "Did not Get " 
            	+ "IllegalArgumentException.\n");
        } catch(IllegalArgumentException npe) {
            return Status.passed(apiTested + "Got IllegalArgumentException.\n");
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
    
    public Status testCase6() {
    	
        String apiTested ="remove(java.lang.Class t,java.util.EventListener l):" 
        + "\nTestCase :Construct EventListenerList object and call remove with " 
        + "same Class type given in add but a different EventListener object " 
        + "than that given in add.Check listener count." 
        + "\nExpected Result : Listener count shd be one." 
        + "\nObtained Result : ";
        
        int cntBefore = 0, cntAfter = 0;
        try {
            EventListenerList eventListenerList = new EventListenerList();
            FooListener l = new FooListener();
            FooListener l2 = new FooListener();
            eventListenerList.add(FooListener.class, l);
            cntBefore = eventListenerList.getListenerCount(FooListener.class);
            eventListenerList.remove(FooListener.class, l2);
            cntAfter = eventListenerList.getListenerCount(FooListener.class);
            if(cntBefore == 1 && cntAfter == 1) {
                return Status.passed(apiTested + "Did not remove from " 
                	+ "EventListenerList.Got correct listener count." 
                	+ "\nCount Before = " + cntBefore + " , Count After = " 
                	+ cntAfter + "\n");
            } else {
                return Status.failed(apiTested + "Did not get correct listener " 
                	+ "count.\nCount Before = " + cntBefore 
                	+ " , Count After = " + cntAfter + "\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
    
    public Status testCase7() {
    	
        String apiTested ="remove(java.lang.Class t,java.util.EventListener l):" 
        + "\nTestCase :Construct EventListenerList object and call remove with " 
        + "valid values but without adding a listener.Check the listener count." 
        + "\nExpected Result : Listener Count shd be zero." 
        + "\nObtained Result : ";
        
        try {
            EventListenerList eventListenerList = new EventListenerList();
            FooListener l = new FooListener();
            int cntBefore=eventListenerList.getListenerCount(FooListener.class);
            eventListenerList.remove(FooListener.class, l);
            int cntAfter=eventListenerList.getListenerCount(FooListener.class);
            if(cntBefore == 0 && cntAfter == 0) {
                return Status.passed(apiTested + "Did not remove from " 
                + "EventListenerList.Got correct listener count." 
                + "\nCount Before = " + cntBefore + " , Count After = " 
                + cntAfter + "\n");
            } else {
                return Status.failed(apiTested + "Did not get correct listener " 
                	+ "count.\nCount Before = " + cntBefore 
                	+ " , Count After = " + cntAfter + "\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
}

