/*
 * @(#)ToStringTest.java	1.1 99/03/02
 * 
 * Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 * CopyrightVersion 1.0
 */
package javasoft.sqe.tests.api.javax.help.event.EventListenerList;
import java.io.PrintWriter;
import com.sun.help.jck.harness.FooListener;
import com.sun.help.jck.harness.XyzListener;
import javax.help.event.EventListenerList;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.EventListenerList
 *
 * @author Meena C
 */

public class ToStringTest extends MultiTest {
    
    public ToStringTest() {
        
    }
    
    public static void main(String argv[]) {
        ToStringTest test = new ToStringTest();
        Status s = test.run(argv, new PrintWriter(System.out) ,
        	new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
    	
        String apiTested = " : EventListenerList.toString() : " 
        + "\nTestCase : Construct EventListenerList object and call toString() " 
        + "without adding a listener" 
        + "\nExpected Result :Shd return the expected string." 
        + "\nObtained Result : ";
        
        try {
            EventListenerList eventListenerList = new EventListenerList();
            Object evtList[] = eventListenerList.getListenerList();
            String str = eventListenerList.toString();
            String checkStr = "EventListenerList: " + evtList.length / 2 
            	+ " listeners: ";
            for(int i = 0;i <= evtList.length - 2;i += 2) {
                checkStr += " type " + ((Class)evtList[i]).getName() 
                	+ " listener " + evtList[i + 1];
            }
            if(checkStr.equals(str)) {
                return Status.passed(apiTested + "Got Expected string." 
                	+ "\nExpected Str : " + checkStr + "\nGot str : " 
                	+ str + "\n");
            } else {
                return Status.failed(apiTested + "Did not get expected string." 
                	+ "\nExpected Str : " + checkStr + "\nGot str : " 
                	+ str + "\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
    
    public Status testCase2() {
    	
        String apiTested = " : EventListenerList.toString() : " 
        + "\nTestCase : Construct EventListenerList object and call toString() " 
        + "after adding one listener" 
        + "\nExpected Result :Shd return the expected string." 
        + "\nObtained Result : ";
        
        try {
            EventListenerList eventListenerList = new EventListenerList();
            FooListener l = new FooListener();
            eventListenerList.add(FooListener.class, l);
            Object evtList[] = eventListenerList.getListenerList();
            String str = eventListenerList.toString();
            String checkStr = "EventListenerList: " + evtList.length / 2 
            	+ " listeners: ";
            for(int i = 0;i <= evtList.length - 2;i += 2) {
                checkStr += " type " + ((Class)evtList[i]).getName() 
                	+ " listener " + evtList[i + 1];
            }
            if(checkStr.equals(str)) {
                return Status.passed(apiTested + "Got Expected string." 
                	+ "\nExpected Str : " + checkStr + " \nGot str : " 
                	+ str + "\n");
            } else {
                return Status.failed(apiTested + "Did not get expected str." 
                	+ "\nExpected Str : " + checkStr + "\nGot str : " 
                	+ str + "\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
    
    public Status testCase3() {
    	
        String apiTested = " : EventListenerList.toString() : " 
        + "\nTestCase : Construct EventListenerList object and call toString() " 
        + "after adding two listeners" 
        + "\nExpected Result :Shd return the expected string." 
        + "\nObtained Result : ";
        
        try {
            EventListenerList eventListenerList = new EventListenerList();
            FooListener l = new FooListener();
            XyzListener l2 = new XyzListener();
            eventListenerList.add(FooListener.class, l);
            eventListenerList.add(XyzListener.class, l2);
            Object evtList[] = eventListenerList.getListenerList();
            String str = eventListenerList.toString();
            String checkStr = "EventListenerList: " + evtList.length / 2 
            	+ " listeners: ";
            for(int i = 0;i <= evtList.length - 2;i += 2) {
                checkStr += " type " + ((Class)evtList[i]).getName() 
                	+ " listener " + evtList[i + 1];
            }
            if(checkStr.equals(str)) {
                return Status.passed(apiTested + "Got Expected string." 
                	+ "\nCheck Str : " + checkStr + "\nGot str : " 
                	+ str + "\n");
            } else {
                return Status.failed(apiTested + "Did not get expected string." 
                	+ "\nCheck Str : " + checkStr + "\nGot str : " 
			+ str + "\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
}
