/*
 * Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 *
 * CopyrightVersion 1.0
 */

/*
 * TestCases summary:
 * testCase1 ... HelpHistoryModelEvent(source, previous, next).isPrevious() --> HelpHistoryModelEvent(source, false, true).isPrevious()
 * testCase2 ... HelpHistoryModelEvent(source, previous, next).isPrevious() --> HelpHistoryModelEvent(source, true, false).isPrevious()
 */

package javasoft.sqe.tests.api.javax.help.event.HelpHistoryModelEvent;

import java.io.PrintWriter;

import java.net.URL;

import javax.help.event.HelpHistoryModelEvent;

import com.sun.javatest.Status;
import com.sun.javatest.lib.MultiTest;

/**
 * Tests for javax.help.event.HelpHistoryModelEvent ... isPrevious()
 *
 * @author Patrik Knakal
 *
 * @since JH2.0
 */
public class IsPreviousTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");

    public IsPreviousTest() {
    }

    public static void main(String argv[]) {
        IsPreviousTest test = new IsPreviousTest();
        Status s = test.run(argv, new PrintWriter(System.out), new PrintWriter(System.err));
        s.exit();
    }


    /**
     * Method test: <code>boolaen isPrevious()</code>
     *
     * @author Patrik Knakal
     *
     * @since JH2.0
     */
    public Status testCase1() {
        String apiTested = "boolean isPrevious(): "
            + "TestCase: '(new HelpHistoryModelEvent(source, false, true)).isPrevious()' "
            + "ExpectedResult: 'false' "
            + "ObtainedResult: ";

        try {
            //creating source Object instance ... start
            Object source = new Object();
            //creating source Object instance ... end

            //setting boolean values ... start
            boolean previous = false;
            boolean next     = true;
            //setting boolean values ... end

            //create HelpHistoryModelEvent object by tested constructor ... start
            HelpHistoryModelEvent helpHistoryModelEvent = new HelpHistoryModelEvent(source, previous, next);
            //create HelpHistoryModelEvent object by tested constructor ... end

            if (helpHistoryModelEvent.isPrevious() ) {
                return Status.failed(apiTested + "Did not get 'false': " + helpHistoryModelEvent.isPrevious() );
            } else {
                return Status.passed(apiTested + "Got 'flase'");
            }

        } catch(Exception exc) {
            exc.printStackTrace();
            return Status.failed(apiTested + "Got Exception: " + exc);
        }
    }


    /**
     * Method test: <code>boolaen isPrevious()</code>
     *
     * @author Patrik Knakal
     *
     * @since JH2.0
     */
    public Status testCase2() {
        String apiTested = "boolean isPrevious(): "
            + "TestCase: '(new HelpHistoryModelEvent(source, true, false)).isPrevious()' "
            + "ExpectedResult: 'true' "
            + "ObtainedResult: ";

        try {
            //creating source Object instance ... start
            Object source = new Object();
            //creating source Object instance ... end

            //setting boolean values ... start
            boolean previous = true;
            boolean next     = false;
            //setting boolean values ... end

            //create HelpHistoryModelEvent object by tested constructor ... start
            HelpHistoryModelEvent helpHistoryModelEvent = new HelpHistoryModelEvent(source, previous, next);
            //create HelpHistoryModelEvent object by tested constructor ... end

            if (helpHistoryModelEvent.isPrevious() ) {
                return Status.passed(apiTested + "Got 'true'");
            } else {
                return Status.failed(apiTested + "Did not get 'true': " + helpHistoryModelEvent.isPrevious() );
            }

        } catch(Exception exc) {
            exc.printStackTrace();
            return Status.failed(apiTested + "Got Exception: " + exc);
        }
    }

}
