/*
 * @(#)GetPos0Test.java	1.2 01/08/07
 * 
 * Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 * CopyrightVersion 1.0
 */
package javasoft.sqe.tests.api.javax.help.event.HelpModelEvent;
import java.io.PrintWriter;
import java.net.URL;
import javax.help.HelpSet;
import javax.help.Map.ID;
import javax.help.event.HelpModelEvent;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.event.event.HelpModelEvent
 *
 * @author Meena C
 */

public class GetPos0Test extends MultiTest {
    
    public GetPos0Test() {
        
    }
    
    public static void main(String argv[]) {
        GetPos0Test test = new GetPos0Test();
        Status s = test.run(argv, new PrintWriter(System.out) ,
        	new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
    	
        String apiTested = "getPos0() : " 
        + "\nTestCase : Construct HelpModelEvent object with Max value " 
        + "for pos0 and pos1 and then call getPos0" 
        + "\nExpected Result :Shd return given Pos0." 
        + "\nObtained Result : ";
        
        try {
            Object source = new Object();
            int pos0 = Integer.MAX_VALUE;
            int pos1 = Integer.MAX_VALUE;
            HelpModelEvent helpModelEvent =new HelpModelEvent(source,pos0,pos1);
            int gotPos0 = helpModelEvent.getPos0();
            if(gotPos0 == pos0) {
                return Status.passed(apiTested + "Returned given Pos0 : " 
                	+ "Given Pos0 = " + pos0 + " , Got pos0 = " 
                	+ gotPos0 + "\n");
            } else {
                return Status.failed(apiTested + "Did not return given Pos0 : " 
                	+ "Given Pos0 = " + pos0 + " , Got pos0 = " 
                	+ gotPos0 + "\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
    
    public Status testCase2() {
    	
        String apiTested = "getPos0() : " 
        + "\nTestCase : Construct HelpModelEvent object with zero value " 
        + "for pos0 and pos1 and then call getPos0" 
        + "\nExpected Result :Shd return given Pos0." 
        + "\nObtained Result : ";
        
        try {
            Object source = new Object();
            int pos0 = 0;
            int pos1 = 0;
            HelpModelEvent helpModelEvent =new HelpModelEvent(source,pos0,pos1);
            int gotPos0 = helpModelEvent.getPos0();
            if(gotPos0 == pos0) {
                return Status.passed(apiTested + "Returned given Pos0 : " 
                	+ "Given Pos0 = " + pos0 + " , Got pos0 = " 
                	+ gotPos0 + "\n");
            } else {
                return Status.failed(apiTested + "Did not return given Pos0 : " 
                	+ "Given Pos0 = " + pos0 + " , Got pos0 = " 
                	+ gotPos0 + "\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
    
    public Status testCase3() {
    	
        String apiTested = "getPos0() : " 
        + "\nTestCase : Construct HelpModelEvent object with Min value " 
        + "for pos0 and pos1 and then call getPos0" 
        + "\nExpected Result :Shd return given Pos0." 
        + "\nObtained Result : ";
        
        try {
            Object source = new Object();
            int pos0 = Integer.MIN_VALUE;
            int pos1 = Integer.MIN_VALUE;
            HelpModelEvent helpModelEvent =new HelpModelEvent(source,pos0,pos1);
            int gotPos0 = helpModelEvent.getPos0();
            if(gotPos0 == pos0) {
                return Status.passed(apiTested + "Returned given Pos0 : " 
                	+ "Given Pos0 = " + pos0 + " , Got pos0 = " 
                	+ gotPos0 + "\n");
            } else {
                return Status.failed(apiTested + "Did not return given Pos0 : " 
                	+ "Given Pos0 = " + pos0 + " , Got pos0 = " 
                	+ gotPos0 + "\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
}
