/*
 * @(#)HelpModelEventTest.java	1.6 01/09/21
 *
 * Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 *
 * CopyrightVersion 1.0
 */

/*
 * TestCases summary:
 * testCase1  ... HelpModelEvent(source, pos0, pos1) --> HelpModelEvent(source, pos0, pos1)
 * testCase2  ... HelpModelEvent(source, pos0, pos1) --> HelpModelEvent(null, pos0, pos1)
 * testCase3  ... HelpModelEvent(source, pos0, pos1) --> HelpModelEvent(source, Integert.MAX_VALUE, Integert.MAX_VALUE)
 * testCase4  ... HelpModelEvent(source, pos0, pos1) --> HelpModelEvent(source, Integert.MIN_VALUE, Integert.MIN_VALUE)
 *
 * testCase5  ... HelpModelEvent(source, id, url) --> HelpModelEvent(source, id, null)
 * testCase6  ... HelpModelEvent(source, id, url) --> HelpModelEvent(source, null, url)
 * testCase7  ... HelpModelEvent(source, id, url) --> HelpModelEvent(null, id, url)
 * testCase17 ... HelpModelEvent(source, id, url) --> HelpModelEvent(source, null, null)
 * testCase18 ... HelpModelEvent(source, id, url) --> HelpModelEvent(source, id, url)
 *
 * testCase8  ... HelpModelEvent(source, id, url, historyName, navigator) --> HelpModelEvent(null, id, url, historyName, navigator)
 * testCase9  ... HelpModelEvent(source, id, url, historyName, navigator) --> HelpModelEvent(source, null, url, historyName, navigator)
 * testCase10 ... HelpModelEvent(source, id, url, historyName, navigator) --> HelpModelEvent(source, id, null, historyName, navigator)
 * testCase11 ... HelpModelEvent(source, id, url, historyName, navigator) --> HelpModelEvent(source, null, url, null, navigator)
 * testCase12 ... HelpModelEvent(source, id, url, historyName, navigator) --> HelpModelEvent(source, id, null, null, navigator)
 * testCase13 ... HelpModelEvent(source, id, url, historyName, navigator) --> HelpModelEvent(source, null, url, historyName, null)
 * testCase14 ... HelpModelEvent(source, id, url, historyName, navigator) --> HelpModelEvent(source, id, null, historyName, null)
 * testCase15 ... HelpModelEvent(source, id, url, historyName, navigator) --> HelpModelEvent(source, null, url, null, null)
 * testCase16 ... HelpModelEvent(source, id, url, historyName, navigator) --> HelpModelEvent(source, id, null, null, null)
 * testCase19 ... HelpModelEvent(source, id, url, historyName, navigator) --> HelpModelEvent(source, id, url, historyName, navigator)
 * testCase20 ... HelpModelEvent(source, id, url, historyName, navigator) --> HelpModelEvent(source, null, null, historyName, navigator)
 * testCase21 ... HelpModelEvent(source, id, url, historyName, navigator) --> HelpModelEvent(source, id, url, null, null)
 * testCase22 ... HelpModelEvent(source, id, url, historyName, navigator) --> HelpModelEvent(source, id, url, historyName, null)
 * testCase23 ... HelpModelEvent(source, id, url, historyName, navigator) --> HelpModelEvent(source, id, url, null, navigator)
 */

package javasoft.sqe.tests.api.javax.help.event.HelpModelEvent;

import java.io.PrintWriter;

import java.net.URL;

import java.util.Locale;
import java.util.Hashtable;

import javax.help.HelpSet;
import javax.help.Map.ID;
import javax.help.NavigatorView;
import javax.help.JHelpNavigator;
import javax.help.DefaultHelpModel;

import javax.help.event.HelpModelEvent;

import javax.swing.UIDefaults;
import javax.swing.UIManager;

import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.event.HelpModelEvent ... HelpModelEvent(...)
 *
 * @author Meena C
 * @author Patrik Knakal
 */

public class HelpModelEventTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");

    public HelpModelEventTest() {
    }

    public static void main(String argv[]) {
        HelpModelEventTest test = new HelpModelEventTest();
        Status s = test.run(argv, new PrintWriter(System.out) ,
        	new PrintWriter(System.err));
        s.exit();
    }

    public Status testCase1() {
        String apiTested = "HelpModelEvent(java.lang.Object source , int pos0 ,"
        + " int pos1 ) : "
        + "\nTestCase : Construct HelpModelEvent with valid values for source ,"
        + " pos0 and pos1"
        + "\nExpected Result : Shd construct HelpModelEvent object with given "
        + "values."
        + "\nObtained Result : ";

        try {
            Object source = new Object();
            int pos0 = 0;
            int pos1 = 10;
            HelpModelEvent helpModelEvent =new HelpModelEvent(source,pos0,pos1);
            Object gotSource = helpModelEvent.getSource();
            int gotPos0 = helpModelEvent.getPos0();
            int gotPos1 = helpModelEvent.getPos1();
            if(helpModelEvent instanceof HelpModelEvent) {
                if(gotSource.equals(source)) {
                    if(gotPos0 == pos0) {
                        if(gotPos1 == pos1) {
                            return Status.passed(apiTested + "Constructed "
                            	+ "HelpModelEvent object with given values\n");
                        } else {
                            return Status.failed(apiTested + "Did not Construct"
                            	+ " HelpModelEvent object with given Pos1."
                            	+ "\nGiven Pos1 :" + pos1 + " Got Pos1 : "
                            	+ gotPos1 + "\n");
                        }
                    } else {
                        return Status.failed(apiTested + "Did not Construct"
                        	+ " HelpModelEvent object with given Pos0."
                        	+ "\nGiven Pos1 :" + pos0 + " Got Pos0 : "
                        	+ gotPos0 + "\n");
                    }
                } else {
                    return Status.failed(apiTested + "Did not Construct "
                    + "HelpModelEvent object with given source\nGiven source :"
                    + source + " Got source : " + gotSource + "\n");
                }
            } else {
                return Status.failed(apiTested + "Did not Construct "
                	+ "HelpModelEvent object\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }

    public Status testCase2() {

        String apiTested = "HelpModelEvent(java.lang.Object source , int pos0,"
        + " int pos1 ) : "
        + "\nTestCase : Construct HelpModelEvent with null for source and "
        + "valid values for pos0 and pos1"
        + "\nExpected Result : IllegalArgumentException shd be thrown."
        + "\nObtained Result : ";

        try {
            Object source = null;
            int pos0 = 10;
            int pos1 = 20;
            HelpModelEvent helpModelEvent =new HelpModelEvent(source,pos0,pos1);
            return Status.failed(apiTested + "Did not get "
            	+ "IllegalArgumentException\n");
        } catch(IllegalArgumentException iae) {
            return Status.passed(apiTested + "Got IllegalArgumentException\n");
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }

    public Status testCase3() {

        String apiTested = "HelpModelEvent(java.lang.Object source , int pos0,"
        + "int pos1 ) : "
        + "\nTestCase : Construct HelpModelEvent with valid value for source "
        + "and Max value for pos0 and pos1"
        + "\nExpected Result : Shd construct HelpModelEvent object with given "
        + "values."
        + "\nObtained Result : ";

        try {
            Object source = new Object();
            int pos0 = Integer.MAX_VALUE;
            int pos1 = Integer.MAX_VALUE;
            HelpModelEvent helpModelEvent =new HelpModelEvent(source,pos0,pos1);
            Object gotSource = helpModelEvent.getSource();
            int gotPos0 = helpModelEvent.getPos0();
            int gotPos1 = helpModelEvent.getPos1();
            if(helpModelEvent instanceof HelpModelEvent) {
                if(gotSource == source) {
                    if(gotPos0 == pos0) {
                        if(gotPos1 == pos1) {
                            return Status.passed(apiTested + "Constructed "
                            	+ "HelpModelEvent object with given values\n");
                        } else {
                            return Status.failed(apiTested + "Did not Construct"
                            	+ " HelpModelEvent object with specified Pos1"
                            	+ "\nGiven Pos1 :" + pos1 + " Got Pos1 : "
                            	+ gotPos1 + "\n");
                        }
                    } else {
                        return Status.failed(apiTested + "Did not Construct "
                        	+ "HelpModelEvent object with specified Pos0"
                        	+ "\nGiven Pos1 :" + pos0 + " Got Pos0 : "
                        	+ gotPos0 + "\n");
                    }
                } else {
                    return Status.failed(apiTested + "Did not Construct "
                    	+ "HelpModelEvent object with specified source"
                    	+ "\nGiven source :" + source + " Got source : "
                    	+ gotSource + "\n");
                }
            } else {
                return Status.failed(apiTested + "Did not Construct "
                	+ "HelpModelEvent object\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }

    public Status testCase4() {

        String apiTested = "HelpModelEvent(java.lang.Object source ,int pos0,"
        + " int pos1 ) : "
        + "\nTestCase : Construct HelpModelEvent with valid value for source"
        + " and Min value for pos0 and pos1"
        + "\nExpected Result : Shd construct HelpModelEvent object with given"
        + " values."
        + "\nObtained Result : ";

        try {
            Object source = new Object();
            int pos0 = Integer.MIN_VALUE;
            int pos1 = Integer.MIN_VALUE;
            HelpModelEvent helpModelEvent =new HelpModelEvent(source,pos0,pos1);
            Object gotSource = helpModelEvent.getSource();
            int gotPos0 = helpModelEvent.getPos0();
            int gotPos1 = helpModelEvent.getPos1();
            if(helpModelEvent instanceof HelpModelEvent) {
                if(gotSource == source) {
                    if(gotPos0 == pos0) {
                        if(gotPos1 == pos1) {
                            return Status.passed(apiTested + "Constructed "
                            	+ "HelpModelEvent object with given values\n");
                        } else {
                            return Status.failed(apiTested + "Did not Construct"
                            	+ " HelpModelEvent object with specified Pos1"
                            	+ "\nGiven Pos1 :" + pos1 + " Got Pos1 : "
                            	+ gotPos1 + "\n");
                        }
                    } else {
                        return Status.failed(apiTested + "Did not Construct "
                        	+ "HelpModelEvent object with specified Pos0"
                        	+ "\nGiven Pos1 :" + pos0 + " Got Pos0 : "
                        	+ gotPos0 + "\n");
                    }
                } else {
                    return Status.failed(apiTested + "Did not Construct "
                    + "HelpModelEvent object with specified source"
                    + "\nGiven source :" + source + " Got source : "
                    + gotSource + "\n");
                }
            } else {
                return Status.failed(apiTested + "Did not Construct "
                	+ "HelpModelEvent object\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }

    public Status testCase5() {

        String apiTested = "HelpModelEvent(java.lang.Object source, Map.ID id,"
        + " URL url ) :  "
        + "\nTestCase : Construct HelpModelEvent with valid values for source"
        + " and id and null for url"
        + "\nExpected Result : Shd construct HelpModelEvent object with given"
        + " values."
        + "\nObtained Result : ";

        try {
            Object source = new Object();
            ClassLoader cl = this.getClass().getClassLoader();
            URL hsUrl = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(cl, hsUrl);
            String id = "hol_intro";
            ID mapID = ID.create(id, hs);
            URL url = null;
            HelpModelEvent helpModelEvent =new HelpModelEvent(source,mapID,url);
            Object gotSource = helpModelEvent.getSource();
            ID gotMapID = helpModelEvent.getID();
            URL gotURL = helpModelEvent.getURL();
            if(helpModelEvent instanceof HelpModelEvent) {
                if(gotSource.equals(source)) {
                    if(gotMapID.equals(mapID)) {
                        if(gotURL == url) {
                            return Status.passed(apiTested + "Constructed "
                            	+ "HelpModelEvent object with valid values "
                            	+ "for source and id and null for url\n");
                        } else {
                            return Status.failed(apiTested + "Did not Construct"
                            	+ " HelpModelEvent object with null URL"
                            	+ "\nGiven URL :" + url + " Got Pos1 : "
                            	+ gotURL + "\n");
                        }
                    } else {
                        return Status.failed(apiTested + "Did not Construct "
                        	+ "HelpModelEvent object with given mapID"
                        	+ "\nGiven mapID :" + mapID + " Got Pos0 : "
                        	+ gotMapID + "\n");
                    }
                } else {
                    return Status.failed(apiTested + "Did not Construct "
                    	+ "HelpModelEvent object with given source"
                    	+ "\nGiven source :" + source + " Got source : "
                    	+ gotSource + "\n");
                }
            } else {
                return Status.failed(apiTested + "Did not Construct "
                	+ "HelpModelEvent object\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e);
        }
    }

    public Status testCase6() {

        String apiTested = "HelpModelEvent(java.lang.Object source, Map.ID id,"
        + " URL url ) : "
        + "\nTestCase : Construct HelpModelEvent with valid values for "
        + "source and url and null for id"
        + "\nExpected Result : Shd construct HelpModelEvent object with given"
        + " values."
        + "\nObtained Result : ";

        try {
            Object source = new Object();
            ClassLoader cl = this.getClass().getClassLoader();
            URL hsUrl = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(cl, hsUrl);
            String id = "hol_intro";
            ID tempID = ID.create(id, hs);
            URL url = (hs.getCombinedMap()).getURLFromID(tempID);
            ID mapID = null;
            HelpModelEvent helpModelEvent =new HelpModelEvent(source,mapID,url);
            Object gotSource = helpModelEvent.getSource();
            ID gotMapID = helpModelEvent.getID();
            URL gotURL = helpModelEvent.getURL();
            if(helpModelEvent instanceof HelpModelEvent) {
                if(gotSource.equals(source)) {
                    if(gotMapID == mapID) {
                        if(gotURL.equals(url)) {
                            return Status.passed(apiTested + "Constructed "
                            	+ "HelpModelEvent object with valid values "
                            	+ "for source and url and null for id\n");
                        } else {
                            return Status.failed(apiTested + "Did not Construct"
                            	+" HelpModelEvent object with given URL"
                            	+ "\nGiven URL :" + url + " Got Pos1 : "
                            	+ gotURL + "\n");
                        }
                    } else {
                        return Status.failed(apiTested + "Did not Construct "
                        	+ "HelpModelEvent object with null mapID"
                        	+ "\nGiven mapID :" + mapID + " Got Pos0 : "
                        	+ gotMapID + "\n");
                    }
                } else {
                    return Status.failed(apiTested + "Did not Construct "
                    	+ "HelpModelEvent object with given source"
                    	+ "\nGiven source :" + source + " Got source : "
                    	+ gotSource + "\n");
                }
            } else {
                return Status.failed(apiTested + "Did not Construct "
                	+ "HelpModelEvent object\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }

    public Status testCase7() {

        String apiTested = "HelpModelEvent(java.lang.Object source, Map.ID id,"
        + " URL url ) : "
        + "\nTestCase : Construct HelpModelEvent with null for source and "
	+ "valid values for url and id "
        + "\nExpected Result : IllegalArgumentException shd be thrown."
        + "\nObtained Result : ";

        try {
            Object source = null;
            ClassLoader cl = this.getClass().getClassLoader();
            URL hsUrl = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(cl, hsUrl);
            String id = "hol_intro";
            ID tempID = ID.create(id, hs);
            URL url = (hs.getCombinedMap()).getURLFromID(tempID);
            ID mapID = ID.create(id, hs);
            HelpModelEvent helpModelEvent =new HelpModelEvent(source,mapID,url);
            return Status.failed(apiTested + "Did not get "
            	+ "IllegalArgumentException\n");
        } catch(IllegalArgumentException iae) {
            return Status.passed(apiTested + "Got IllegalArgumentException\n");
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }


    /**
     * Constructor test: <code>HelpModeEvent(java.lang.Object source, javax.help.Map.ID id, java.net.URL url, java.lang.String historyName, javax.help.JHelpNavigator navigator)</code>
     *
     * @author Patrik Knakal
     *
     * @since JH2.0
     *
     * @param <code>source</code>      <code>null</code> value
     * @param <code>id</code>          valid value
     * @param <code>url</code>         valid value
     * @param <code>historyName</code> valid value
     * @param <code>navigator</code>   valid value
     */
    public Status testCase8() {
        String apiTested = "HelpModeEvent(java.lang.Object source, javax.help.Map.ID id, java.net.URL url, java.lang.String historyName, javax.help.JHelpNavigator navigator): "
            + "TestCase: Construct with: 'source == null; id == valid; url == valid; historyName == valid; navigator == valid' "
            + "ExpectedResult: 'java.lang.IllegalArgumentException' "
            + "ObtainedResult: ";

        try {
            //creating source Object instance ... start
            Object source = null;
            //creating source Object instance ... end

            //creating HelpSet object ... start
            ClassLoader cl = this.getClass().getClassLoader();
            URL hsurl      = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs     = new HelpSet(cl, hsurl);
            //creating HelpSet object ... end

            //creating Map.ID object ... start
            String id = "hol_intro";
            ID mapID  = ID.create(id, hs);
            //creating Map.ID object ... end

            //creating temporary Map.ID object for getting URL object ... start
            ID tmpID  = ID.create(id, hs);
            //creating temporary Map.ID object for getting URL object ... end

            //seting a name for bookmark ... start
            String historyName = "holidays";
            //seting a name for bookmark ... end

            //construct URL for HelpModelEvent construction ... start
            URL url = (hs.getCombinedMap() ).getURLFromID(tmpID);
            //construct URL for HelpModelEvent construction ... end

            // //cretaing JHelpNavigator object ... start
            Hashtable hashtab = new Hashtable();
            hashtab.put("data", "HolidayTOC.xml");

            NavigatorView navigator = NavigatorView.create(hs, "TOC", "Holidays", Locale.getDefault(), "javax.help.TOCView", hashtab);

            //initializing UI objects ... start
            UIDefaults table        = UIManager.getLookAndFeelDefaults();
            Object[] uiDefaults     = {"HelpNavigatorUI", "com.sun.help.jck.harness.TestNavigatorUI"};
            table.putDefaults(uiDefaults);
            //initializing UI objects ... end

            JHelpNavigator jhnavigator = new JHelpNavigator(navigator, new DefaultHelpModel(navigator.getHelpSet()) );
            // //cretaing JHelpNavigator object ... end

            //create HelpModelEvent by tested constructor ... start
            HelpModelEvent helpModelEvent = new HelpModelEvent(source, mapID, url, historyName, jhnavigator);
            //create HelpModelEvent by tested constructor ... end

            return Status.failed(apiTested + "Did not get 'java.lang.IllegalArgumentException'");
        } catch(IllegalArgumentException exc) {
            return Status.passed(apiTested + "Got 'java.lang.IllegalArgumentException'");
        } catch(Exception exc) {
            exc.printStackTrace();
            return Status.failed(apiTested + "Got Exception: " + exc);
        }
    }


    /**
     * Constructor test: <code>HelpModeEvent(java.lang.Object source, javax.help.Map.ID id, java.net.URL url, java.lang.String historyName, javax.help.JHelpNavigator navigator)</code>
     *
     * @author Patrik Knakal
     *
     * @since JH2.0
     *
     * @param <code>source</code>      valid value
     * @param <code>id</code>          <code>null</code> value
     * @param <code>url</code>         valid value
     * @param <code>historyName</code> valid value
     * @param <code>navigator</code>   valid value
     */
    public Status testCase9() {
        String apiTested = "HelpModeEvent(java.lang.Object source, javax.help.Map.ID id, java.net.URL url, java.lang.String historyName, javax.help.JHelpNavigator navigator): "
            + "TestCase: Construct with: 'source == valid; id == null; url == valid; historyName == valid; navigator == valid' "
            + "ExpectedResult: HelpModelEvent object with given values "
            + "ObtainedResult: ";

        try {
            //creating source Object instance ... start
            Object source = new Object();
            //creating source Object instance ... end

            //creating HelpSet object ... start
            ClassLoader cl = this.getClass().getClassLoader();
            URL hsurl      = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs     = new HelpSet(cl, hsurl);
            //creating HelpSet object ... end

            //creating Map.ID object ... start
            String id = "hol_intro";
            ID mapID  = null;
            //creating Map.ID object ... end

            //creating temporary Map.ID object for getting URL object ... start
            ID tmpID  = ID.create(id, hs);
            //creating temporary Map.ID object for getting URL object ... end

            //seting a name for bookmark ... start
            String historyName = "holidays";
            //seting a name for bookmark ... end

            //construct URL for HelpModelEvent construction ... start
            URL url = (hs.getCombinedMap() ).getURLFromID(tmpID);
            //construct URL for HelpModelEvent construction ... end

            // //cretaing JHelpNavigator object ... start
            Hashtable hashtab = new Hashtable();
            hashtab.put("data", "HolidayTOC.xml");

            NavigatorView navigator = NavigatorView.create(hs, "TOC", "Holidays", Locale.getDefault(), "javax.help.TOCView", hashtab);

            //initializing UI objects ... start
            UIDefaults table        = UIManager.getLookAndFeelDefaults();
            Object[] uiDefaults     = {"HelpNavigatorUI", "com.sun.help.jck.harness.TestNavigatorUI"};
            table.putDefaults(uiDefaults);
            //initializing UI objects ... end

            JHelpNavigator jhnavigator = new JHelpNavigator(navigator, new DefaultHelpModel(navigator.getHelpSet()) );
            // //cretaing JHelpNavigator object ... end

            //create HelpModelEvent by tested constructor ... start
            HelpModelEvent helpModelEvent = new HelpModelEvent(source, mapID, url, historyName, jhnavigator);
            //create HelpModelEvent by tested constructor ... end

            if (helpModelEvent instanceof HelpModelEvent) { //is instance of HelpModelEvent class
                if (source.equals(helpModelEvent.getSource()) ) { //source object is correct
                    if (mapID == helpModelEvent.getID() ) { //id object is correct
                        if (url.equals(helpModelEvent.getURL()) ) { //url object is correct
                            if (historyName.equals(helpModelEvent.getHistoryName()) ) { //historyName object is correct
                                if (jhnavigator.equals(helpModelEvent.getNavigator()) ) { //jhnavigator object is correct
                                    return Status.passed(apiTested + "OK");
                                } else { //jhnavigator object is not correct
                                    return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'navigator' object: original: " + jhnavigator + " obtained: " + helpModelEvent.getNavigator() );
                                }
                            } else { //historyName object is not correct
                                return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'historyName' object: original: " + historyName + " obtained: " + helpModelEvent.getHistoryName() );
                            }
                        } else { //url object is not correct
                            return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'url' object: original: " + url + " obtained: " + helpModelEvent.getURL() );
                        }
                    } else { //id object is not correct
                        return Status.failed(apiTested + "Did not construct HelpModelEvent object with null 'id' object: original: " + mapID + " obtained: " + helpModelEvent.getID() );
                    }
                } else { //source object is not correct
                    return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'source' object: original: " + source + " obtained: " + helpModelEvent.getSource() );
                }
            } else { //is not instance of HelpModelEvent class
                return Status.failed(apiTested + "Did not construct HelpModelEvent object");
            }

        } catch(Exception exc) {
            exc.printStackTrace();
            return Status.failed(apiTested + "Got Exception: " + exc);
        }
    }


    /**
     * Constructor test: <code>HelpModeEvent(java.lang.Object source, javax.help.Map.ID id, java.net.URL url, java.lang.String historyName, javax.help.JHelpNavigator navigator)</code>
     *
     * @author Patrik Knakal
     *
     * @since JH2.0
     *
     * @param <code>source</code>      valid value
     * @param <code>id</code>          valid value
     * @param <code>url</code>         <code>null</code> value
     * @param <code>historyName</code> valid value
     * @param <code>navigator</code>   valid value
     */
    public Status testCase10() {
        String apiTested = "HelpModeEvent(java.lang.Object source, javax.help.Map.ID id, java.net.URL url, java.lang.String historyName, javax.help.JHelpNavigator navigator): "
            + "TestCase: Construct with: 'source == valid; id == valid; url == null; historyName == valid; navigator == valid' "
            + "ExpectedResult: HelpModelEvent object with given values "
            + "ObtainedResult: ";

        try {
            //creating source Object instance ... start
            Object source = new Object();
            //creating source Object instance ... end

            //creating HelpSet object ... start
            ClassLoader cl = this.getClass().getClassLoader();
            URL hsurl      = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs     = new HelpSet(cl, hsurl);
            //creating HelpSet object ... end

            //creating Map.ID object ... start
            String id = "hol_intro";
            ID mapID  = ID.create(id, hs);
            //creating Map.ID object ... end

            //seting a name for bookmark ... start
            String historyName = "holidays";
            //seting a name for bookmark ... end

            //construct URL for HelpModelEvent construction ... start
            URL url = null;
            //construct URL for HelpModelEvent construction ... end

            // //cretaing JHelpNavigator object ... start
            Hashtable hashtab = new Hashtable();
            hashtab.put("data", "HolidayTOC.xml");

            NavigatorView navigator = NavigatorView.create(hs, "TOC", "Holidays", Locale.getDefault(), "javax.help.TOCView", hashtab);

            //initializing UI objects ... start
            UIDefaults table        = UIManager.getLookAndFeelDefaults();
            Object[] uiDefaults     = {"HelpNavigatorUI", "com.sun.help.jck.harness.TestNavigatorUI"};
            table.putDefaults(uiDefaults);
            //initializing UI objects ... end

            JHelpNavigator jhnavigator = new JHelpNavigator(navigator, new DefaultHelpModel(navigator.getHelpSet()) );
            // //cretaing JHelpNavigator object ... end

            //create HelpModelEvent by tested constructor ... start
            HelpModelEvent helpModelEvent = new HelpModelEvent(source, mapID, url, historyName, jhnavigator);
            //create HelpModelEvent by tested constructor ... end

            if (helpModelEvent instanceof HelpModelEvent) { //is instance of HelpModelEvent class
                if (source.equals(helpModelEvent.getSource()) ) { //source object is correct
                    if (mapID.equals(helpModelEvent.getID()) ) { //id object is correct
                        if (url == helpModelEvent.getURL() ) { //url object is correct
                            if (historyName.equals(helpModelEvent.getHistoryName()) ) { //historyName object is correct
                                if (jhnavigator.equals(helpModelEvent.getNavigator()) ) { //jhnavigator object is correct
                                    return Status.passed(apiTested + "OK");
                                } else { //jhnavigator object is not correct
                                    return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'navigator' object: original: " + jhnavigator + " obtained: " + helpModelEvent.getNavigator() );
                                }
                            } else { //historyName object is not correct
                                return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'historyName' object: original: " + historyName + " obtained: " + helpModelEvent.getHistoryName() );
                            }
                        } else { //url object is not correct
                            return Status.failed(apiTested + "Did not construct HelpModelEvent object with null 'url' object: original: " + url + " obtained: " + helpModelEvent.getURL() );
                        }
                    } else { //id object is not correct
                        return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'id' object: original: " + mapID + " obtained: " + helpModelEvent.getID() );
                    }
                } else { //source object is not correct
                    return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'source' object: original: " + source + " obtained: " + helpModelEvent.getSource() );
                }
            } else { //is not instance of HelpModelEvent class
                return Status.failed(apiTested + "Did not construct HelpModelEvent object");
            }

        } catch(Exception exc) {
            exc.printStackTrace();
            return Status.failed(apiTested + "Got Exception: " + exc);
        }
    }


    /**
     * Constructor test: <code>HelpModeEvent(java.lang.Object source, javax.help.Map.ID id, java.net.URL url, java.lang.String historyName, javax.help.JHelpNavigator navigator)</code>
     *
     * @author Patrik Knakal
     *
     * @since JH2.0
     *
     * @param <code>source</code>      valid value
     * @param <code>id</code>          <code>null</code> value
     * @param <code>url</code>         valid value
     * @param <code>historyName</code> <code>null</code> value
     * @param <code>navigator</code>   valid value
     */
    public Status testCase11() {
        String apiTested = "HelpModeEvent(java.lang.Object source, javax.help.Map.ID id, java.net.URL url, java.lang.String historyName, javax.help.JHelpNavigator navigator): "
            + "TestCase: Construct with: 'source == valid; id == null; url == valid; historyName == null; navigator == valid' "
            + "ExpectedResult: HelpModelEvent object with given values "
            + "ObtainedResult: ";

        try {
            //creating source Object instance ... start
            Object source = new Object();
            //creating source Object instance ... end

            //creating HelpSet object ... start
            ClassLoader cl = this.getClass().getClassLoader();
            URL hsurl      = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs     = new HelpSet(cl, hsurl);
            //creating HelpSet object ... end

            //creating Map.ID object ... start
            String id = "hol_intro";
            ID mapID  = null;
            //creating Map.ID object ... end

            //creating temporary Map.ID object for getting URL object ... start
            ID tmpID  = ID.create(id, hs);
            //creating temporary Map.ID object for getting URL object ... end

            //seting a name for bookmark ... start
            String historyName = null;
            //seting a name for bookmark ... end

            //construct URL for HelpModelEvent construction ... start
            URL url = (hs.getCombinedMap() ).getURLFromID(tmpID);
            //construct URL for HelpModelEvent construction ... end

            // //cretaing JHelpNavigator object ... start
            Hashtable hashtab = new Hashtable();
            hashtab.put("data", "HolidayTOC.xml");

            NavigatorView navigator = NavigatorView.create(hs, "TOC", "Holidays", Locale.getDefault(), "javax.help.TOCView", hashtab);

            //initializing UI objects ... start
            UIDefaults table        = UIManager.getLookAndFeelDefaults();
            Object[] uiDefaults     = {"HelpNavigatorUI", "com.sun.help.jck.harness.TestNavigatorUI"};
            table.putDefaults(uiDefaults);
            //initializing UI objects ... end

            JHelpNavigator jhnavigator = new JHelpNavigator(navigator, new DefaultHelpModel(navigator.getHelpSet()) );
            // //cretaing JHelpNavigator object ... end

            //create HelpModelEvent by tested constructor ... start
            HelpModelEvent helpModelEvent = new HelpModelEvent(source, mapID, url, historyName, jhnavigator);
            //create HelpModelEvent by tested constructor ... end

            if (helpModelEvent instanceof HelpModelEvent) { //is instance of HelpModelEvent class
                if (source.equals(helpModelEvent.getSource()) ) { //source object is correct
                    if (mapID == helpModelEvent.getID() ) { //id object is correct
                        if (url.equals(helpModelEvent.getURL()) ) { //url object is correct
                            if (historyName == helpModelEvent.getHistoryName() ) { //historyName object is correct
                                if (jhnavigator.equals(helpModelEvent.getNavigator()) ) { //jhnavigator object is correct
                                    return Status.passed(apiTested + "OK");
                                } else { //jhnavigator object is not correct
                                    return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'navigator' object: original: " + jhnavigator + " obtained: " + helpModelEvent.getNavigator() );
                                }
                            } else { //historyName object is not correct
                                return Status.failed(apiTested + "Did not construct HelpModelEvent object with null 'historyName' object: original: " + historyName + " obtained: " + helpModelEvent.getHistoryName() );
                            }
                        } else { //url object is not correct
                            return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'url' object: original: " + url + " obtained: " + helpModelEvent.getURL() );
                        }
                    } else { //id object is not correct
                        return Status.failed(apiTested + "Did not construct HelpModelEvent object with null 'id' object: original: " + mapID + " obtained: " + helpModelEvent.getID() );
                    }
                } else { //source object is not correct
                    return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'source' object: original: " + source + " obtained: " + helpModelEvent.getSource() );
                }
            } else { //is not instance of HelpModelEvent class
                return Status.failed(apiTested + "Did not construct HelpModelEvent object");
            }

        } catch(Exception exc) {
            exc.printStackTrace();
            return Status.failed(apiTested + "Got Exception: " + exc);
        }
    }


    /**
     * Constructor test: <code>HelpModeEvent(java.lang.Object source, javax.help.Map.ID id, java.net.URL url, java.lang.String historyName, javax.help.JHelpNavigator navigator)</code>
     *
     * @author Patrik Knakal
     *
     * @since JH2.0
     *
     * @param <code>source</code>      valid value
     * @param <code>id</code>          valid value
     * @param <code>url</code>         <code>null</code> value
     * @param <code>historyName</code> <code>null</code> value
     * @param <code>navigator</code>   valid value
     */
    public Status testCase12() {
        String apiTested = "HelpModeEvent(java.lang.Object source, javax.help.Map.ID id, java.net.URL url, java.lang.String historyName, javax.help.JHelpNavigator navigator): "
            + "TestCase: Construct with: 'source == valid; id == valid; url == null; historyName == null; navigator == valid' "
            + "ExpectedResult: HelpModelEvent object with given values "
            + "ObtainedResult: ";

        try {
            //creating source Object instance ... start
            Object source = new Object();
            //creating source Object instance ... end

            //creating HelpSet object ... start
            ClassLoader cl = this.getClass().getClassLoader();
            URL hsurl      = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs     = new HelpSet(cl, hsurl);
            //creating HelpSet object ... end

            //creating Map.ID object ... start
            String id = "hol_intro";
            ID mapID  = ID.create(id, hs);
            //creating Map.ID object ... end

            //seting a name for bookmark ... start
            String historyName = null;
            //seting a name for bookmark ... end

            //construct URL for HelpModelEvent construction ... start
            URL url = null;
            //construct URL for HelpModelEvent construction ... end

            // //cretaing JHelpNavigator object ... start
            Hashtable hashtab = new Hashtable();
            hashtab.put("data", "HolidayTOC.xml");

            NavigatorView navigator = NavigatorView.create(hs, "TOC", "Holidays", Locale.getDefault(), "javax.help.TOCView", hashtab);

            //initializing UI objects ... start
            UIDefaults table        = UIManager.getLookAndFeelDefaults();
            Object[] uiDefaults     = {"HelpNavigatorUI", "com.sun.help.jck.harness.TestNavigatorUI"};
            table.putDefaults(uiDefaults);
            //initializing UI objects ... end

            JHelpNavigator jhnavigator = new JHelpNavigator(navigator, new DefaultHelpModel(navigator.getHelpSet()) );
            // //cretaing JHelpNavigator object ... end

            //create HelpModelEvent by tested constructor ... start
            HelpModelEvent helpModelEvent = new HelpModelEvent(source, mapID, url, historyName, jhnavigator);
            //create HelpModelEvent by tested constructor ... end

            if (helpModelEvent instanceof HelpModelEvent) { //is instance of HelpModelEvent class
                if (source.equals(helpModelEvent.getSource()) ) { //source object is correct
                    if (mapID.equals(helpModelEvent.getID()) ) { //id object is correct
                        if (url == helpModelEvent.getURL() ) { //url object is correct
                            if (historyName == helpModelEvent.getHistoryName() ) { //historyName object is correct
                                if (jhnavigator.equals(helpModelEvent.getNavigator()) ) { //jhnavigator object is correct
                                    return Status.passed(apiTested + "OK");
                                } else { //jhnavigator object is not correct
                                    return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'navigator' object: original: " + jhnavigator + " obtained: " + helpModelEvent.getNavigator() );
                                }
                            } else { //historyName object is not correct
                                return Status.failed(apiTested + "Did not construct HelpModelEvent object with null 'historyName' object: original: " + historyName + " obtained: " + helpModelEvent.getHistoryName() );
                            }
                        } else { //url object is not correct
                            return Status.failed(apiTested + "Did not construct HelpModelEvent object with null 'url' object: original: " + url + " obtained: " + helpModelEvent.getURL() );
                        }
                    } else { //id object is not correct
                        return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'id' object: original: " + mapID + " obtained: " + helpModelEvent.getID() );
                    }
                } else { //source object is not correct
                    return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'source' object: original: " + source + " obtained: " + helpModelEvent.getSource() );
                }
            } else { //is not instance of HelpModelEvent class
                return Status.failed(apiTested + "Did not construct HelpModelEvent object");
            }

        } catch(Exception exc) {
            exc.printStackTrace();
            return Status.failed(apiTested + "Got Exception: " + exc);
        }
    }


    /**
     * Constructor test: <code>HelpModeEvent(java.lang.Object source, javax.help.Map.ID id, java.net.URL url, java.lang.String historyName, javax.help.JHelpNavigator navigator)</code>
     *
     * @author Patrik Knakal
     *
     * @since JH2.0
     *
     * @param <code>source</code>      valid value
     * @param <code>id</code>          <code>null</code> value
     * @param <code>url</code>         valid value
     * @param <code>historyName</code> valid value
     * @param <code>navigator</code>   <code>null</code> value
     */
    public Status testCase13() {
        String apiTested = "HelpModeEvent(java.lang.Object source, javax.help.Map.ID id, java.net.URL url, java.lang.String historyName, javax.help.JHelpNavigator navigator): "
            + "TestCase: Construct with: 'source == valid; id == null; url == valid; historyName == valid; navigator == null' "
            + "ExpectedResult: HelpModelEvent object with given values "
            + "ObtainedResult: ";

        try {
            //creating source Object instance ... start
            Object source = new Object();
            //creating source Object instance ... end

            //creating HelpSet object ... start
            ClassLoader cl = this.getClass().getClassLoader();
            URL hsurl      = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs     = new HelpSet(cl, hsurl);
            //creating HelpSet object ... end

            //creating Map.ID object ... start
            String id = "hol_intro";
            ID mapID  = null;
            //creating Map.ID object ... end

            //creating temporary Map.ID object for getting URL object ... start
            ID tmpID  = ID.create(id, hs);
            //creating temporary Map.ID object for getting URL object ... end

            //seting a name for bookmark ... start
            String historyName = "holidays";
            //seting a name for bookmark ... end

            //construct URL for HelpModelEvent construction ... start
            URL url = (hs.getCombinedMap() ).getURLFromID(tmpID);
            //construct URL for HelpModelEvent construction ... end

            //cretaing JHelpNavigator object ... start
            JHelpNavigator jhnavigator = null;
            //cretaing JHelpNavigator object ... end

            //create HelpModelEvent by tested constructor ... start
            HelpModelEvent helpModelEvent = new HelpModelEvent(source, mapID, url, historyName, jhnavigator);
            //create HelpModelEvent by tested constructor ... end

            if (helpModelEvent instanceof HelpModelEvent) { //is instance of HelpModelEvent class
                if (source.equals(helpModelEvent.getSource()) ) { //source object is correct
                    if (mapID == helpModelEvent.getID() ) { //id object is correct
                        if (url.equals(helpModelEvent.getURL()) ) { //url object is correct
                            if (historyName.equals(helpModelEvent.getHistoryName()) ) { //historyName object is correct
                                if (jhnavigator == helpModelEvent.getNavigator() ) { //jhnavigator object is correct
                                    return Status.passed(apiTested + "OK");
                                } else { //jhnavigator object is not correct
                                    return Status.failed(apiTested + "Did not construct HelpModelEvent object with null 'navigator' object: original: " + jhnavigator + " obtained: " + helpModelEvent.getNavigator() );
                                }
                            } else { //historyName object is not correct
                                return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'historyName' object: original: " + historyName + " obtained: " + helpModelEvent.getHistoryName() );
                            }
                        } else { //url object is not correct
                            return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'url' object: original: " + url + " obtained: " + helpModelEvent.getURL() );
                        }
                    } else { //id object is not correct
                        return Status.failed(apiTested + "Did not construct HelpModelEvent object with null 'id' object: original: " + mapID + " obtained: " + helpModelEvent.getID() );
                    }
                } else { //source object is not correct
                    return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'source' object: original: " + source + " obtained: " + helpModelEvent.getSource() );
                }
            } else { //is not instance of HelpModelEvent class
                return Status.failed(apiTested + "Did not construct HelpModelEvent object");
            }

        } catch(Exception exc) {
            exc.printStackTrace();
            return Status.failed(apiTested + "Got Exception: " + exc);
        }
    }


    /**
     * Constructor test: <code>HelpModeEvent(java.lang.Object source, javax.help.Map.ID id, java.net.URL url, java.lang.String historyName, javax.help.JHelpNavigator navigator)</code>
     *
     * @author Patrik Knakal
     *
     * @since JH2.0
     *
     * @param <code>source</code>      valid value
     * @param <code>id</code>          valid value
     * @param <code>url</code>         <code>null</code> value
     * @param <code>historyName</code> valid value
     * @param <code>navigator</code>   <code>null</code> value
     */
    public Status testCase14() {
        String apiTested = "HelpModeEvent(java.lang.Object source, javax.help.Map.ID id, java.net.URL url, java.lang.String historyName, javax.help.JHelpNavigator navigator): "
            + "TestCase: Construct with: 'source == valid; id == valid; url == null; historyName == valid; navigator == null' "
            + "ExpectedResult: HelpModelEvent object with given values "
            + "ObtainedResult: ";

        try {
            //creating source Object instance ... start
            Object source = new Object();
            //creating source Object instance ... end

            //creating HelpSet object ... start
            ClassLoader cl = this.getClass().getClassLoader();
            URL hsurl      = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs     = new HelpSet(cl, hsurl);
            //creating HelpSet object ... end

            //creating Map.ID object ... start
            String id = "hol_intro";
            ID mapID  = ID.create(id, hs);
            //creating Map.ID object ... end

            //seting a name for bookmark ... start
            String historyName = "holidays";
            //seting a name for bookmark ... end

            //construct URL for HelpModelEvent construction ... start
            URL url = null;
            //construct URL for HelpModelEvent construction ... end

            //cretaing JHelpNavigator object ... start
            JHelpNavigator jhnavigator = null;
            //cretaing JHelpNavigator object ... end

            //create HelpModelEvent by tested constructor ... start
            HelpModelEvent helpModelEvent = new HelpModelEvent(source, mapID, url, historyName, jhnavigator);
            //create HelpModelEvent by tested constructor ... end

            if (helpModelEvent instanceof HelpModelEvent) { //is instance of HelpModelEvent class
                if (source.equals(helpModelEvent.getSource()) ) { //source object is correct
                    if (mapID.equals(helpModelEvent.getID()) ) { //id object is correct
                        if (url == helpModelEvent.getURL() ) { //url object is correct
                            if (historyName.equals(helpModelEvent.getHistoryName()) ) { //historyName object is correct
                                if (jhnavigator == helpModelEvent.getNavigator() ) { //jhnavigator object is correct
                                    return Status.passed(apiTested + "OK");
                                } else { //jhnavigator object is not correct
                                    return Status.failed(apiTested + "Did not construct HelpModelEvent object with null 'navigator' object: original: " + jhnavigator + " obtained: " + helpModelEvent.getNavigator() );
                                }
                            } else { //historyName object is not correct
                                return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'historyName' object: original: " + historyName + " obtained: " + helpModelEvent.getHistoryName() );
                            }
                        } else { //url object is not correct
                            return Status.failed(apiTested + "Did not construct HelpModelEvent object with null 'url' object: original: " + url + " obtained: " + helpModelEvent.getURL() );
                        }
                    } else { //id object is not correct
                        return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'id' object: original: " + mapID + " obtained: " + helpModelEvent.getID() );
                    }
                } else { //source object is not correct
                    return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'source' object: original: " + source + " obtained: " + helpModelEvent.getSource() );
                }
            } else { //is not instance of HelpModelEvent class
                return Status.failed(apiTested + "Did not construct HelpModelEvent object");
            }

        } catch(Exception exc) {
            exc.printStackTrace();
            return Status.failed(apiTested + "Got Exception: " + exc);
        }
    }


    /**
     * Constructor test: <code>HelpModeEvent(java.lang.Object source, javax.help.Map.ID id, java.net.URL url, java.lang.String historyName, javax.help.JHelpNavigator navigator)</code>
     *
     * @author Patrik Knakal
     *
     * @since JH2.0
     *
     * @param <code>source</code>      valid value
     * @param <code>id</code>          <code>null</code> value
     * @param <code>url</code>         valid value
     * @param <code>historyName</code> <code>null</code> value
     * @param <code>navigator</code>   <code>null</code> value
     */
    public Status testCase15() {
        String apiTested = "HelpModeEvent(java.lang.Object source, javax.help.Map.ID id, java.net.URL url, java.lang.String historyName, javax.help.JHelpNavigator navigator): "
            + "TestCase: Construct with: 'source == valid; id == null; url == valid; historyName == null; navigator == null' "
            + "ExpectedResult: HelpModelEvent object with given values "
            + "ObtainedResult: ";

        try {
            //creating source Object instance ... start
            Object source = new Object();
            //creating source Object instance ... end

            //creating HelpSet object ... start
            ClassLoader cl = this.getClass().getClassLoader();
            URL hsurl      = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs     = new HelpSet(cl, hsurl);
            //creating HelpSet object ... end

            //creating Map.ID object ... start
            String id = "hol_intro";
            ID mapID  = null;
            //creating Map.ID object ... end

            //creating temporary Map.ID object for getting URL object ... start
            ID tmpID  = ID.create(id, hs);
            //creating temporary Map.ID object for getting URL object ... end

            //seting a name for bookmark ... start
            String historyName = null;
            //seting a name for bookmark ... end

            //construct URL for HelpModelEvent construction ... start
            URL url = (hs.getCombinedMap() ).getURLFromID(tmpID);
            //construct URL for HelpModelEvent construction ... end

            //cretaing JHelpNavigator object ... start
            JHelpNavigator jhnavigator = null;
            //cretaing JHelpNavigator object ... end

            //create HelpModelEvent by tested constructor ... start
            HelpModelEvent helpModelEvent = new HelpModelEvent(source, mapID, url, historyName, jhnavigator);
            //create HelpModelEvent by tested constructor ... end

            if (helpModelEvent instanceof HelpModelEvent) { //is instance of HelpModelEvent class
                if (source.equals(helpModelEvent.getSource()) ) { //source object is correct
                    if (mapID == helpModelEvent.getID() ) { //id object is correct
                        if (url.equals(helpModelEvent.getURL()) ) { //url object is correct
                            if (historyName == helpModelEvent.getHistoryName() ) { //historyName object is correct
                                if (jhnavigator == helpModelEvent.getNavigator() ) { //jhnavigator object is correct
                                    return Status.passed(apiTested + "OK");
                                } else { //jhnavigator object is not correct
                                    return Status.failed(apiTested + "Did not construct HelpModelEvent object with null 'navigator' object: original: " + jhnavigator + " obtained: " + helpModelEvent.getNavigator() );
                                }
                            } else { //historyName object is not correct
                                return Status.failed(apiTested + "Did not construct HelpModelEvent object with null 'historyName' object: original: " + historyName + " obtained: " + helpModelEvent.getHistoryName() );
                            }
                        } else { //url object is not correct
                            return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'url' object: original: " + url + " obtained: " + helpModelEvent.getURL() );
                        }
                    } else { //id object is not correct
                        return Status.failed(apiTested + "Did not construct HelpModelEvent object with null 'id' object: original: " + mapID + " obtained: " + helpModelEvent.getID() );
                    }
                } else { //source object is not correct
                    return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'source' object: original: " + source + " obtained: " + helpModelEvent.getSource() );
                }
            } else { //is not instance of HelpModelEvent class
                return Status.failed(apiTested + "Did not construct HelpModelEvent object");
            }

        } catch(Exception exc) {
            exc.printStackTrace();
            return Status.failed(apiTested + "Got Exception: " + exc);
        }
    }


    /**
     * Constructor test: <code>HelpModeEvent(java.lang.Object source, javax.help.Map.ID id, java.net.URL url, java.lang.String historyName, javax.help.JHelpNavigator navigator)</code>
     *
     * @author Patrik Knakal
     *
     * @since JH2.0
     *
     * @param <code>source</code>      valid value
     * @param <code>id</code>          valid value
     * @param <code>url</code>         <code>null</code> value
     * @param <code>historyName</code> <code>null</code> value
     * @param <code>navigator</code>   <code>null</code> value
     */
    public Status testCase16() {
        String apiTested = "HelpModeEvent(java.lang.Object source, javax.help.Map.ID id, java.net.URL url, java.lang.String historyName, javax.help.JHelpNavigator navigator): "
            + "TestCase: Construct with: 'source == valid; id == valid; url == null; historyName == null; navigator == null' "
            + "ExpectedResult: HelpModelEvent object with given values "
            + "ObtainedResult: ";

        try {
            //creating source Object instance ... start
            Object source = new Object();
            //creating source Object instance ... end

            //creating HelpSet object ... start
            ClassLoader cl = this.getClass().getClassLoader();
            URL hsurl      = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs     = new HelpSet(cl, hsurl);
            //creating HelpSet object ... end

            //creating Map.ID object ... start
            String id = "hol_intro";
            ID mapID  = ID.create(id, hs);
            //creating Map.ID object ... end

            //seting a name for bookmark ... start
            String historyName = null;
            //seting a name for bookmark ... end

            //construct URL for HelpModelEvent construction ... start
            URL url = null;
            //construct URL for HelpModelEvent construction ... end

            //cretaing JHelpNavigator object ... start
            JHelpNavigator jhnavigator = null;
            //cretaing JHelpNavigator object ... end

            //create HelpModelEvent by tested constructor ... start
            HelpModelEvent helpModelEvent = new HelpModelEvent(source, mapID, url, historyName, jhnavigator);
            //create HelpModelEvent by tested constructor ... end

            if (helpModelEvent instanceof HelpModelEvent) { //is instance of HelpModelEvent class
                if (source.equals(helpModelEvent.getSource()) ) { //source object is correct
                    if (mapID.equals(helpModelEvent.getID()) ) { //id object is correct
                        if (url == helpModelEvent.getURL() ) { //url object is correct
                            if (historyName == helpModelEvent.getHistoryName() ) { //historyName object is correct
                                if (jhnavigator == helpModelEvent.getNavigator() ) { //jhnavigator object is correct
                                    return Status.passed(apiTested + "OK");
                                } else { //jhnavigator object is not correct
                                    return Status.failed(apiTested + "Did not construct HelpModelEvent object with null 'navigator' object: original: " + jhnavigator + " obtained: " + helpModelEvent.getNavigator() );
                                }
                            } else { //historyName object is not correct
                                return Status.failed(apiTested + "Did not construct HelpModelEvent object with null 'historyName' object: original: " + historyName + " obtained: " + helpModelEvent.getHistoryName() );
                            }
                        } else { //url object is not correct
                            return Status.failed(apiTested + "Did not construct HelpModelEvent object with null 'url' object: original: " + url + " obtained: " + helpModelEvent.getURL() );
                        }
                    } else { //id object is not correct
                        return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'id' object: original: " + mapID + " obtained: " + helpModelEvent.getID() );
                    }
                } else { //source object is not correct
                    return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'source' object: original: " + source + " obtained: " + helpModelEvent.getSource() );
                }
            } else { //is not instance of HelpModelEvent class
                return Status.failed(apiTested + "Did not construct HelpModelEvent object");
            }

        } catch(Exception exc) {
            exc.printStackTrace();
            return Status.failed(apiTested + "Got Exception: " + exc);
        }
    }


    /**
     * Constructor test: <code>HelpModeEvent(java.lang.Object source, javax.help.Map.ID id, java.net.URL url)</code>
     *
     * @author Patrik Knakal
     *
     * @since JH2.0
     *
     * @param <code>source</code>      valid value
     * @param <code>id</code>          <code>null</code> value
     * @param <code>url</code>         <code>null</code> value
     */
    public Status testCase17() {
        String apiTested = "HelpModelEvent(java.lang.Object source, javax.help.Map.ID id, java.net.URL url): "
            + "TestCase: Construct with: 'source == valid, id == null, url == null' "
            + "ExpectedResult: 'java.lang.IllegalArgumentException' "
            + "ObtainedResult: ";

        try {
            //sreate input object ... start
            Object source = new Object();
            URL url = null;
            ID mapID = null;
            //sreate input object ... end

            //create HelpModelEvent by tested constructor ... start
            HelpModelEvent helpModelEvent = new HelpModelEvent(source, mapID, url);
            //create HelpModelEvent by tested constructor ... end

            return Status.failed(apiTested + "Did not get 'java.lang.IllegalArgumentException'");
        } catch(IllegalArgumentException iae) {
            return Status.passed(apiTested + "Got 'java.lang.IllegalArgumentException'");
        } catch(Exception exc) {
            exc.printStackTrace();
            return Status.failed(apiTested + "Got Exception : " + exc);
        }
    }


    /**
     * Constructor test: <code>HelpModeEvent(java.lang.Object source, javax.help.Map.ID id, java.net.URL url)</code>
     *
     * @author Patrik Knakal
     *
     * @since JH2.0
     *
     * @param <code>source</code>      valid value
     * @param <code>id</code>          valid value
     * @param <code>url</code>         valid value
     */
    public Status testCase18() {
        String apiTested = "HelpModeEvent(java.lang.Object source, javax.help.Map.ID id, java.net.URL url): "
            + "TestCase: Construct with: 'source == valid; id == valid; url == valid' "
            + "ExpectedResult: "
            + "ObtainedResult: ";

        try {
            //creating source Object instance ... start
            Object source = new Object();
            //creating source Object instance ... end

            //creating HelpSet object ... start
            ClassLoader cl = this.getClass().getClassLoader();
            URL hsurl      = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs     = new HelpSet(cl, hsurl);
            //creating HelpSet object ... end

            //creating Map.ID object ... start
            String id = "hol_intro";
            ID mapID  = ID.create(id, hs);
            //creating Map.ID object ... end

            //creating temporary Map.ID object for getting URL object ... start
            ID tmpID  = ID.create(id, hs);
            //creating temporary Map.ID object for getting URL object ... end

            //construct URL for HelpModelEvent construction ... start
            URL url = (hs.getCombinedMap() ).getURLFromID(tmpID);
            //construct URL for HelpModelEvent construction ... end

            //create HelpModelEvent by tested constructor ... start
            HelpModelEvent helpModelEvent = new HelpModelEvent(source, mapID, url);
            //create HelpModelEvent by tested constructor ... end

            if (helpModelEvent instanceof HelpModelEvent) { //is instance of HelpModelEvent class
                if (source.equals(helpModelEvent.getSource()) ) { //source object is correct
                    if (mapID.equals(helpModelEvent.getID()) ) { //id object is correct
                        if (url.equals(helpModelEvent.getURL()) ) { //url object is correct
                            return Status.passed(apiTested + "OK");
                        } else { //url object is not correct
                            return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'url' object: original: " + url + " obtained: " + helpModelEvent.getURL() );
                        }
                    } else { //id object is not correct
                        return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'id' object: original: " + mapID + " obtained: " + helpModelEvent.getID() );
                    }
                } else { //source object is not correct
                    return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'source' object: original: " + source + " obtained: " + helpModelEvent.getSource() );
                }
            } else { //is not instance of HelpModelEvent class
                return Status.failed(apiTested + "Did not construct HelpModelEvent object");
            }

        } catch(Exception exc) {
            exc.printStackTrace();
            return Status.failed(apiTested + "Got Exception: " + exc);
        }
    }


    /**
     * Constructor test: <code>HelpModeEvent(java.lang.Object source, javax.help.Map.ID id, java.net.URL url, java.lang.String historyName, javax.help.JHelpNavigator navigator)</code>
     *
     * @author Patrik Knakal
     *
     * @since JH2.0
     *
     * @param <code>source</code>      valid value
     * @param <code>id</code>          valid value
     * @param <code>url</code>         valid value
     * @param <code>historyName</code> valid value
     * @param <code>navigator</code>   valid value
     */
    public Status testCase19() {
        String apiTested = "HelpModeEvent(java.lang.Object source, javax.help.Map.ID id, java.net.URL url, java.lang.String historyName, javax.help.JHelpNavigator navigator): "
            + "TestCase: Construct with: 'source == valid; id == valid; url == valid; historyName == valid; navigator == valid' "
            + "ExpectedResult: HelpModelEvent object with given values "
            + "ObtainedResult: ";

        try {
            //creating source Object instance ... start
            Object source = new Object();
            //creating source Object instance ... end

            //creating HelpSet object ... start
            ClassLoader cl = this.getClass().getClassLoader();
            URL hsurl      = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs     = new HelpSet(cl, hsurl);
            //creating HelpSet object ... end

            //creating Map.ID object ... start
            String id = "hol_intro";
            ID mapID  = ID.create(id, hs);
            //creating Map.ID object ... end

            //creating temporary Map.ID object for getting URL object ... start
            ID tmpID  = ID.create(id, hs);
            //creating temporary Map.ID object for getting URL object ... end

            //seting a name for bookmark ... start
            String historyName = "holidays";
            //seting a name for bookmark ... end

            //construct URL for HelpModelEvent construction ... start
            URL url = (hs.getCombinedMap() ).getURLFromID(tmpID);
            //construct URL for HelpModelEvent construction ... end

            // //cretaing JHelpNavigator object ... start
            Hashtable hashtab = new Hashtable();
            hashtab.put("data", "HolidayTOC.xml");

            NavigatorView navigator = NavigatorView.create(hs, "TOC", "Holidays", Locale.getDefault(), "javax.help.TOCView", hashtab);

            //initializing UI objects ... start
            UIDefaults table        = UIManager.getLookAndFeelDefaults();
            Object[] uiDefaults     = {"HelpNavigatorUI", "com.sun.help.jck.harness.TestNavigatorUI"};
            table.putDefaults(uiDefaults);
            //initializing UI objects ... end

            JHelpNavigator jhnavigator = new JHelpNavigator(navigator, new DefaultHelpModel(navigator.getHelpSet()) );
            // //cretaing JHelpNavigator object ... end

            //create HelpModelEvent by tested constructor ... start
            HelpModelEvent helpModelEvent = new HelpModelEvent(source, mapID, url, historyName, jhnavigator);
            //create HelpModelEvent by tested constructor ... end

            if (helpModelEvent instanceof HelpModelEvent) { //is instance of HelpModelEvent class
                if (source.equals(helpModelEvent.getSource()) ) { //source object is correct
                    if (mapID.equals(helpModelEvent.getID()) ) { //id object is correct
                        if (url.equals(helpModelEvent.getURL()) ) { //url object is correct
                            if (historyName.equals(helpModelEvent.getHistoryName()) ) { //historyName object is correct
                                if (jhnavigator.equals(helpModelEvent.getNavigator()) ) { //jhnavigator object is correct
                                    return Status.passed(apiTested + "OK");
                                } else { //jhnavigator object is not correct
                                    return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'navigator' object: original: " + jhnavigator + " obtained: " + helpModelEvent.getNavigator() );
                                }
                            } else { //historyName object is not correct
                                return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'historyName' object: original: " + historyName + " obtained: " + helpModelEvent.getHistoryName() );
                            }
                        } else { //url object is not correct
                            return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'url' object: original: " + url + " obtained: " + helpModelEvent.getURL() );
                        }
                    } else { //id object is not correct
                        return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'id' object: original: " + mapID + " obtained: " + helpModelEvent.getID() );
                    }
                } else { //source object is not correct
                    return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'source' object: original: " + source + " obtained: " + helpModelEvent.getSource() );
                }
            } else { //is not instance of HelpModelEvent class
                return Status.failed(apiTested + "Did not construct HelpModelEvent object");
            }

        } catch(Exception exc) {
            exc.printStackTrace();
            return Status.failed(apiTested + "Got Exception: " + exc);
        }
    }


    /**
     * Constructor test: <code>HelpModeEvent(java.lang.Object source, javax.help.Map.ID id, java.net.URL url, java.lang.String historyName, javax.help.JHelpNavigator navigator)</code>
     *
     * @author Patrik Knakal
     *
     * @since JH2.0
     *
     * @param <code>source</code>      valid value
     * @param <code>id</code>          <code>null</code> value
     * @param <code>url</code>         <code>null</code> value
     * @param <code>historyName</code> valid value
     * @param <code>navigator</code>   valid value
     */
    public Status testCase20() {
        String apiTested = "HelpModeEvent(java.lang.Object source, javax.help.Map.ID id, java.net.URL url, java.lang.String historyName, javax.help.JHelpNavigator navigator): "
            + "TestCase: Construct with: 'source == valid; id == null; url == null; historyName == valid; navigator == valid' "
            + "ExpectedResult: 'java.lang.IllegalArgumentException' "
            + "ObtainedResult: ";

        try {
            //creating source Object instance ... start
            Object source = new Object();
            //creating source Object instance ... end

            //creating HelpSet object ... start
            ClassLoader cl = this.getClass().getClassLoader();
            URL hsurl      = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs     = new HelpSet(cl, hsurl);
            //creating HelpSet object ... end

            //creating Map.ID object ... start
            ID mapID = null;
            //creating Map.ID object ... end

            //seting a name for bookmark ... start
            String historyName = "holidays";
            //seting a name for bookmark ... end

            //construct URL for HelpModelEvent construction ... start
            URL url = null;
            //construct URL for HelpModelEvent construction ... end

            // //cretaing JHelpNavigator object ... start
            Hashtable hashtab = new Hashtable();
            hashtab.put("data", "HolidayTOC.xml");

            NavigatorView navigator = NavigatorView.create(hs, "TOC", "Holidays", Locale.getDefault(), "javax.help.TOCView", hashtab);

            //initializing UI objects ... start
            UIDefaults table        = UIManager.getLookAndFeelDefaults();
            Object[] uiDefaults     = {"HelpNavigatorUI", "com.sun.help.jck.harness.TestNavigatorUI"};
            table.putDefaults(uiDefaults);
            //initializing UI objects ... end

            JHelpNavigator jhnavigator = new JHelpNavigator(navigator, new DefaultHelpModel(navigator.getHelpSet()) );
            // //cretaing JHelpNavigator object ... end

            //create HelpModelEvent by tested constructor ... start
            HelpModelEvent helpModelEvent = new HelpModelEvent(source, mapID, url, historyName, jhnavigator);
            //create HelpModelEvent by tested constructor ... end

            return Status.failed(apiTested + "Did not get 'java.lang.IllegalArgumentException'");
        } catch(IllegalArgumentException exc) {
            return Status.passed(apiTested + "Got 'java.lang.IllegalArgumentException'");
        } catch(Exception exc) {
            exc.printStackTrace();
            return Status.failed(apiTested + "Got Exception: " + exc);
        }
    }


    /**
     * Constructor test: <code>HelpModeEvent(java.lang.Object source, javax.help.Map.ID id, java.net.URL url, java.lang.String historyName, javax.help.JHelpNavigator navigator)</code>
     *
     * @author Patrik Knakal
     *
     * @since JH2.0
     *
     * @param <code>source</code>      valid value
     * @param <code>id</code>          valid value
     * @param <code>url</code>         valid value
     * @param <code>historyName</code> <code>null</code> value
     * @param <code>navigator</code>   <code>null</code> value
     */
    public Status testCase21() {
        String apiTested = "HelpModeEvent(java.lang.Object source, javax.help.Map.ID id, java.net.URL url, java.lang.String historyName, javax.help.JHelpNavigator navigator): "
            + "TestCase: Construct with: 'source == valid; id == valid; url == valid; historyName == null; navigator == null' "
            + "ExpectedResult: HelpModelEvent object with given values "
            + "ObtainedResult: ";

        try {
            //creating source Object instance ... start
            Object source = new Object();
            //creating source Object instance ... end

            //creating HelpSet object ... start
            ClassLoader cl = this.getClass().getClassLoader();
            URL hsurl      = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs     = new HelpSet(cl, hsurl);
            //creating HelpSet object ... end

            //creating Map.ID object ... start
            String id = "hol_intro";
            ID mapID  = ID.create(id, hs);
            //creating Map.ID object ... end

            //creating temporary Map.ID object for getting URL object ... start
            ID tmpID  = ID.create(id, hs);
            //creating temporary Map.ID object for getting URL object ... end

            //seting a name for bookmark ... start
            String historyName = null;
            //seting a name for bookmark ... end

            //construct URL for HelpModelEvent construction ... start
            URL url = (hs.getCombinedMap() ).getURLFromID(tmpID);
            //construct URL for HelpModelEvent construction ... end

            //cretaing JHelpNavigator object ... start
            JHelpNavigator jhnavigator = null;
            //cretaing JHelpNavigator object ... end

            //create HelpModelEvent by tested constructor ... start
            HelpModelEvent helpModelEvent = new HelpModelEvent(source, mapID, url, historyName, jhnavigator);
            //create HelpModelEvent by tested constructor ... end

            if (helpModelEvent instanceof HelpModelEvent) { //is instance of HelpModelEvent class
                if (source.equals(helpModelEvent.getSource()) ) { //source object is correct
                    if (mapID.equals(helpModelEvent.getID()) ) { //id object is correct
                        if (url.equals(helpModelEvent.getURL()) ) { //url object is correct
                            if (historyName == helpModelEvent.getHistoryName() ) { //historyName object is correct
                                if (jhnavigator == helpModelEvent.getNavigator() ) { //jhnavigator object is correct
                                    return Status.passed(apiTested + "OK");
                                } else { //jhnavigator object is not correct
                                    return Status.failed(apiTested + "Did not construct HelpModelEvent object with null 'navigator' object: original: " + jhnavigator + " obtained: " + helpModelEvent.getNavigator() );
                                }
                            } else { //historyName object is not correct
                                return Status.failed(apiTested + "Did not construct HelpModelEvent object with null 'historyName' object: original: " + historyName + " obtained: " + helpModelEvent.getHistoryName() );
                            }
                        } else { //url object is not correct
                            return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'url' object: original: " + url + " obtained: " + helpModelEvent.getURL() );
                        }
                    } else { //id object is not correct
                        return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'id' object: original: " + mapID + " obtained: " + helpModelEvent.getID() );
                    }
                } else { //source object is not correct
                    return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'source' object: original: " + source + " obtained: " + helpModelEvent.getSource() );
                }
            } else { //is not instance of HelpModelEvent class
                return Status.failed(apiTested + "Did not construct HelpModelEvent object");
            }

        } catch(Exception exc) {
            exc.printStackTrace();
            return Status.failed(apiTested + "Got Exception: " + exc);
        }
    }


    /**
     * Constructor test: <code>HelpModeEvent(java.lang.Object source, javax.help.Map.ID id, java.net.URL url, java.lang.String historyName, javax.help.JHelpNavigator navigator)</code>
     *
     * @author Patrik Knakal
     *
     * @since JH2.0
     *
     * @param <code>source</code>      valid value
     * @param <code>id</code>          valid value
     * @param <code>url</code>         valid value
     * @param <code>historyName</code> valid value
     * @param <code>navigator</code>   <code>null</code> value
     */
    public Status testCase22() {
        String apiTested = "HelpModeEvent(java.lang.Object source, javax.help.Map.ID id, java.net.URL url, java.lang.String historyName, javax.help.JHelpNavigator navigator): "
            + "TestCase: Construct with: 'source == valid; id == valid; url == valid; historyName == valid; navigator == null' "
            + "ExpectedResult: HelpModelEvent object with given values "
            + "ObtainedResult: ";

        try {
            //creating source Object instance ... start
            Object source = new Object();
            //creating source Object instance ... end

            //creating HelpSet object ... start
            ClassLoader cl = this.getClass().getClassLoader();
            URL hsurl      = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs     = new HelpSet(cl, hsurl);
            //creating HelpSet object ... end

            //creating Map.ID object ... start
            String id = "hol_intro";
            ID mapID  = ID.create(id, hs);
            //creating Map.ID object ... end

            //creating temporary Map.ID object for getting URL object ... start
            ID tmpID  = ID.create(id, hs);
            //creating temporary Map.ID object for getting URL object ... end

            //seting a name for bookmark ... start
            String historyName = "holidays";
            //seting a name for bookmark ... end

            //construct URL for HelpModelEvent construction ... start
            URL url = (hs.getCombinedMap() ).getURLFromID(tmpID);
            //construct URL for HelpModelEvent construction ... end

            //cretaing JHelpNavigator object ... start
            JHelpNavigator jhnavigator = null;
            //cretaing JHelpNavigator object ... end

            //create HelpModelEvent by tested constructor ... start
            HelpModelEvent helpModelEvent = new HelpModelEvent(source, mapID, url, historyName, jhnavigator);
            //create HelpModelEvent by tested constructor ... end

            if (helpModelEvent instanceof HelpModelEvent) { //is instance of HelpModelEvent class
                if (source.equals(helpModelEvent.getSource()) ) { //source object is correct
                    if (mapID.equals(helpModelEvent.getID()) ) { //id object is correct
                        if (url.equals(helpModelEvent.getURL()) ) { //url object is correct
                            if (historyName.equals(helpModelEvent.getHistoryName()) ) { //historyName object is correct
                                if (jhnavigator == helpModelEvent.getNavigator() ) { //jhnavigator object is correct
                                    return Status.passed(apiTested + "OK");
                                } else { //jhnavigator object is not correct
                                    return Status.failed(apiTested + "Did not construct HelpModelEvent object with null 'navigator' object: original: " + jhnavigator + " obtained: " + helpModelEvent.getNavigator() );
                                }
                            } else { //historyName object is not correct
                                return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'historyName' object: original: " + historyName + " obtained: " + helpModelEvent.getHistoryName() );
                            }
                        } else { //url object is not correct
                            return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'url' object: original: " + url + " obtained: " + helpModelEvent.getURL() );
                        }
                    } else { //id object is not correct
                        return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'id' object: original: " + mapID + " obtained: " + helpModelEvent.getID() );
                    }
                } else { //source object is not correct
                    return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'source' object: original: " + source + " obtained: " + helpModelEvent.getSource() );
                }
            } else { //is not instance of HelpModelEvent class
                return Status.failed(apiTested + "Did not construct HelpModelEvent object");
            }

        } catch(Exception exc) {
            exc.printStackTrace();
            return Status.failed(apiTested + "Got Exception: " + exc);
        }
    }


    /**
     * Constructor test: <code>HelpModeEvent(java.lang.Object source, javax.help.Map.ID id, java.net.URL url, java.lang.String historyName, javax.help.JHelpNavigator navigator)</code>
     *
     * @author Patrik Knakal
     *
     * @since JH2.0
     *
     * @param <code>source</code>      valid value
     * @param <code>id</code>          valid value
     * @param <code>url</code>         valid value
     * @param <code>historyName</code> <code>null</code> value
     * @param <code>navigator</code>   valid value
     */
    public Status testCase23() {
        String apiTested = "HelpModeEvent(java.lang.Object source, javax.help.Map.ID id, java.net.URL url, java.lang.String historyName, javax.help.JHelpNavigator navigator): "
            + "TestCase: Construct with: 'source == valid; id == valid; url == valid; historyName == null; navigator == valid' "
            + "ExpectedResult: HelpModelEvent object with given values "
            + "ObtainedResult: ";

        try {
            //creating source Object instance ... start
            Object source = new Object();
            //creating source Object instance ... end

            //creating HelpSet object ... start
            ClassLoader cl = this.getClass().getClassLoader();
            URL hsurl      = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs     = new HelpSet(cl, hsurl);
            //creating HelpSet object ... end

            //creating Map.ID object ... start
            String id = "hol_intro";
            ID mapID  = ID.create(id, hs);
            //creating Map.ID object ... end

            //creating temporary Map.ID object for getting URL object ... start
            ID tmpID  = ID.create(id, hs);
            //creating temporary Map.ID object for getting URL object ... end

            //seting a name for bookmark ... start
            String historyName = null;
            //seting a name for bookmark ... end

            //construct URL for HelpModelEvent construction ... start
            URL url = (hs.getCombinedMap() ).getURLFromID(tmpID);
            //construct URL for HelpModelEvent construction ... end

            // //cretaing JHelpNavigator object ... start
            Hashtable hashtab = new Hashtable();
            hashtab.put("data", "HolidayTOC.xml");

            NavigatorView navigator = NavigatorView.create(hs, "TOC", "Holidays", Locale.getDefault(), "javax.help.TOCView", hashtab);

            //initializing UI objects ... start
            UIDefaults table        = UIManager.getLookAndFeelDefaults();
            Object[] uiDefaults     = {"HelpNavigatorUI", "com.sun.help.jck.harness.TestNavigatorUI"};
            table.putDefaults(uiDefaults);
            //initializing UI objects ... end

            JHelpNavigator jhnavigator = new JHelpNavigator(navigator, new DefaultHelpModel(navigator.getHelpSet()) );
            // //cretaing JHelpNavigator object ... end

            //create HelpModelEvent by tested constructor ... start
            HelpModelEvent helpModelEvent = new HelpModelEvent(source, mapID, url, historyName, jhnavigator);
            //create HelpModelEvent by tested constructor ... end

            if (helpModelEvent instanceof HelpModelEvent) { //is instance of HelpModelEvent class
                if (source.equals(helpModelEvent.getSource()) ) { //source object is correct
                    if (mapID.equals(helpModelEvent.getID()) ) { //id object is correct
                        if (url.equals(helpModelEvent.getURL()) ) { //url object is correct
                            if (historyName == helpModelEvent.getHistoryName() ) { //historyName object is correct
                                if (jhnavigator.equals(helpModelEvent.getNavigator()) ) { //jhnavigator object is correct
                                    return Status.passed(apiTested + "OK");
                                } else { //jhnavigator object is not correct
                                    return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'navigator' object: original: " + jhnavigator + " obtained: " + helpModelEvent.getNavigator() );
                                }
                            } else { //historyName object is not correct
                                return Status.failed(apiTested + "Did not construct HelpModelEvent object with null 'historyName' object: original: " + historyName + " obtained: " + helpModelEvent.getHistoryName() );
                            }
                        } else { //url object is not correct
                            return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'url' object: original: " + url + " obtained: " + helpModelEvent.getURL() );
                        }
                    } else { //id object is not correct
                        return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'id' object: original: " + mapID + " obtained: " + helpModelEvent.getID() );
                    }
                } else { //source object is not correct
                    return Status.failed(apiTested + "Did not construct HelpModelEvent object with correct 'source' object: original: " + source + " obtained: " + helpModelEvent.getSource() );
                }
            } else { //is not instance of HelpModelEvent class
                return Status.failed(apiTested + "Did not construct HelpModelEvent object");
            }

        } catch(Exception exc) {
            exc.printStackTrace();
            return Status.failed(apiTested + "Got Exception: " + exc);
        }
    }

}
