/*
* @(#)HelpSetEventTest.java	1.1 99/03/02
* 
* Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.event.HelpSetEvent;
import java.io.PrintWriter;
import javax.help.HelpSet;
import java.lang.ClassLoader;
import java.lang.Class;
import java.net.URL;
import java.awt.Button;
import javax.help.event.HelpSetEvent;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;
/**
* Tests for javax.help.HelpSet 
* Constructor Test
* Create a HelpSetEvent
*
* @author Sudhakar.Adini
*/
public class HelpSetEventTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public HelpSetEventTest() {
        
    }
    
    public static void main(String argv[]) {
        HelpSetEventTest test = new HelpSetEventTest();
        Status s = test.run(argv, new PrintWriter(System.out), 
                   new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        String apiTested = "Constructor: HelpSetEvent(java.lang.Object source,"
        + "HelpSet helpset,int action)" + "\nTestCase :"
        + "call HelpSetEvent(java.lang.Object source, "
        + "HelpSet helpset, int HelpSetEvent.HELPSET_ADDED) " 
        + "\nExpected Result :It should construct the HelpSetEvent object " 
        + "\nObtained Result : ";
        try {
            ClassLoader l = this.getClass().getClassLoader();
            URL url1 = new URL("file", null, HSLOC
                     + "/holidays/HolidayHistory.hs");
            HelpSet hs1 = new HelpSet(l, url1);
            Button source = new Button("OK");
            int action = HelpSetEvent.HELPSET_ADDED;
            HelpSetEvent ev = new HelpSetEvent(source, hs1, action);
            HelpSet hs2 = ev.getHelpSet();
            int action1 = ev.getAction();
            if((ev instanceof HelpSetEvent)&&(hs2==hs1)&&(action1==action)) {
                return Status.passed(apiTested + "Okay");
            }
            else {
                return Status.failed(apiTested + "Did not Construct "
                + "Helpset object");
            }
        }
        catch(Exception e) {
            return Status.failed(apiTested + "Got Exception: " + e.toString());
        }
    } 
    
    public Status testCase2() {
        String apiTested = "Constructor: HelpSetEvent(java.lang.Object source,"
        + "HelpSet helpset,int action)" 
        + "\nTestCase :call HelpSetEvent(java.lang.Object source, "
        + "HelpSet helpset,int HelpSetEvent.HELPSET_REMOVED) " 
        + "\nExpected Result :It should construct the "
        + "HelpSetEvent object " + "\nObtained Result : ";
        try {
            ClassLoader l = this.getClass().getClassLoader();
            URL url1 = new URL("file", null, HSLOC 
                     + "/holidays/HolidayHistory.hs");
            HelpSet hs1 = new HelpSet(l, url1);
            Button source = new Button("OK");
            int action = HelpSetEvent.HELPSET_REMOVED;
            HelpSetEvent ev = new HelpSetEvent(source, hs1, action);
            HelpSet hs2 = ev.getHelpSet();
            int action1 = ev.getAction();
            if((ev instanceof HelpSetEvent)&&(hs2==hs1)&&(action1==action))
                return Status.passed(apiTested + "Okay");
           	else
				return Status.failed(apiTested + "Failed");
        }
        catch(Exception e) {
            return Status.failed(apiTested + "Got Exception: " + e.toString());
        }
        
    } 
    
    public Status testCase3() {
        String apiTested = "Constructor: HelpSetEvent(java.lang.Object source,"
        + "HelpSet helpset,int action)" 
        + "\nTestCase :call HelpSetEvent(null,HelpSet helpset,int action) " 
        + "\nExpected Result :It should throw IllegalArgumentException " 
        + "\nObtained Result:";
        try {
            ClassLoader l = this.getClass().getClassLoader();
            URL url1 = new URL("file", null, HSLOC 
                     + "/holidays/HolidayHistory.hs");
            HelpSet hs1 = new HelpSet(l, url1);
            Button source = null;
            int action = HelpSetEvent.HELPSET_ADDED;
            HelpSetEvent ev = new HelpSetEvent(source, hs1, action);
			return Status.failed(apiTested + "No Exception raised");
        }
        catch(Exception e) {
            if(e instanceof IllegalArgumentException) {
                return Status.passed(apiTested + "Got:" + e.toString());
            }
            else {
                return Status.failed(apiTested + "Got:" + e.toString());
            }
        }
        
    } 
    
    public Status testCase4() {
        String apiTested = "Constructor: HelpSetEvent(java.lang.Object source,"
        + "HelpSet helpset,int action)" + "\nTestCase :call "
        + "HelpSetEvent(java.lang.Object source,null, int action) " 
        + "\nExpected Result :It should throw NullPointerException " 
        + "\nObtained Result : ";
        try {
            ClassLoader l = this.getClass().getClassLoader();
            URL url1 = new URL("file", null, HSLOC 
                     + "/holidays/HolidayHistory.hs");
            HelpSet hs1 = null;
            Button source = new Button("source");
            int action = HelpSetEvent.HELPSET_ADDED;
            HelpSetEvent ev = new HelpSetEvent(source, hs1, action);            
            return Status.failed(apiTested + " No Exception raised ");                       
        }
        catch(Exception e) {
            if(e instanceof NullPointerException){
                return Status.passed(apiTested + "Got:" + e.toString());
            }
            else {
                return Status.failed(apiTested + "Got:" + e.toString());
            }
        }
        
    } 
    public Status testCase5() {
        String apiTested = "Constructor: HelpSetEvent(java.lang.Object source,"
        + "HelpSet helpset,int action)" 
        + "\nTestCase :call HelpSetEvent(java.lang.Object source,null, "
        + "int Integer.MAX_VALUE) " 
        + "\nExpected Result :It should throw IllegalArgumentException " 
        + "\nObtained Result : ";
        try {
            ClassLoader l = this.getClass().getClassLoader();
            URL url1 = new URL("file", null, HSLOC 
                     + "/holidays/HolidayHistory.hs");
            HelpSet hs1 = new HelpSet(l, url1);
            Button source = new Button("source");
            int action = Integer.MAX_VALUE;
            HelpSetEvent ev = new HelpSetEvent(source, hs1, action);
            return Status.failed(apiTested + " No Exception raised ");
        }
        catch(Exception e) {
            if(e instanceof IllegalArgumentException) {
                return Status.passed(apiTested + "Got:" + e.toString());
            }
            else {
                return Status.failed(apiTested + "Got:" + e.toString());
            }
        }        
    } 
    
    public Status testCase6() {
        String apiTested = "Constructor: HelpSetEvent(java.lang.Object source,"
        + "HelpSet helpset,int action)" + "\nTestCase :call "
        + "HelpSetEvent(java.lang.Object source,null, int Integer.MIN_VALUE) " 
        + "\nExpected Result :It should throw IllegalArgumentException "  
        + "\nObtained Result : ";
        try {
            ClassLoader l = this.getClass().getClassLoader();
            URL url1 = new URL("file", null, HSLOC 
                     + "/holidays/HolidayHistory.hs");
            HelpSet hs1 = new HelpSet(l, url1);
            Button source = new Button("source");
            int action = Integer.MIN_VALUE;
            HelpSetEvent ev = new HelpSetEvent(source, hs1, action);
            return Status.failed(apiTested + " No Exception raised ");
        }
        catch(Exception e) {
            if(e instanceof IllegalArgumentException) {
                return Status.passed(apiTested + "Got:" + e.toString());
            }
            else {
                return Status.failed(apiTested + "Got:" + e.toString());
            }
        }       
    } 
}	
