
/*
* @(#)ToStringTest.java	1.2 01/08/07
* 
* Copyright (c) 1997-1998 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.event.HelpSetEvent;
import java.io.PrintWriter;
import javax.help.HelpSet;
import java.lang.ClassLoader;
import java.lang.Class;
import java.net.URL;
import java.awt.Button;
import javax.help.event.HelpSetEvent;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.event.HelpSetEvent
 *
 * Method:toString() Test
 * @author Sudhakar.Adini
 */

public class ToStringTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public ToStringTest() {
        
    }
    
    public static void main(String argv[]) {
        ToStringTest test = new ToStringTest();
        Status s = test.run(argv, new PrintWriter(System.out), 
                   new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        String apiTested = "Method:toString()" + "\nTestCase :call toString() " 
        + "\nExpected Result :It should return the string " 
        + "\nObtained Result : ";
        try {
            ClassLoader l = this.getClass().getClassLoader();
            URL url1 = new URL("file", null, HSLOC + 
                       "/holidays/HolidayHistory.hs");
            HelpSet hs1 = new HelpSet(l, url1);
            Button source = new Button("OK");
            int action = HelpSetEvent.HELPSET_ADDED;
            HelpSetEvent ev = new HelpSetEvent(source, hs1, action);
            String s1 = ev.toString();
            String s2 = "HelpSetEvent(" + source + ", " + hs1 + "; added";
            if(s1.equals(s2)) {
                return Status.passed(apiTested + "Okay");
            }
            else {
                return Status.failed(apiTested + "Did not return the string");
            }
        }
        catch(Exception e) {
            return Status.failed(apiTested + "Got Exception: " + e.toString());
        }
    } 		
    
    public Status testCase2() {
        String apiTested = "Method:toString()" + "\nTestCase :call toString() " 
        + "\nExpected Result :It should return the string " 
        + "\nObtained Result : ";
        try {
            ClassLoader l = this.getClass().getClassLoader();
            URL url1 = new URL("file", null, HSLOC + 
                       "/holidays/HolidayHistory.hs");
            HelpSet hs1 = new HelpSet(l, url1);
            Button source = new Button("OK");
            int action = HelpSetEvent.HELPSET_REMOVED;
            HelpSetEvent ev = new HelpSetEvent(source, hs1, action);
            String s1 = ev.toString();
            String s2 = "HelpSetEvent(" + source + ", " + hs1 + "; removed";
            if(s1.equals(s2)) {
                return Status.passed(apiTested + "Okay");
            }
            else {
                return Status.failed(apiTested + "Did not return the string");
            }
        }
        catch(Exception e) {
            return Status.failed(apiTested + "Got Exception: " + e.toString());
        }
    }
}
