/*
 * @(#)TextHelpModelEventTest.java	1.1 99/03/02
 * 
 * Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 * CopyrightVersion 1.0
 */
package javasoft.sqe.tests.api.javax.help.event.TextHelpModelEvent;
import java.io.PrintWriter;
import java.net.URL;
import javax.help.HelpSet;
import javax.help.Map.ID;
import javax.help.event.TextHelpModelEvent;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.event.event.TextHelpModelEvent
 *
 * @author Meena C
 */

public class TextHelpModelEventTest extends MultiTest {
        
    public TextHelpModelEventTest() {
        
    }
    
    public static void main(String argv[]) {
        TextHelpModelEventTest test = new TextHelpModelEventTest();
        Status s = test.run(argv, new PrintWriter(System.out) ,
        	new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
    	
        String apiTested = "TextHelpModelEvent(java.lang.Object source ) : " 
        + "\nTestCase : Construct TextHelpModelEvent with valid value " 
        + "for source" 
        + "\nExpected Result : Shd construct TextHelpModelEvent Object." 
        + "\nObtained Result : ";
        
        try {
            Object source = new Object();
            TextHelpModelEvent textHelpModelEvent =
            		new TextHelpModelEvent(source);
            Object gotSource = textHelpModelEvent.getSource();
            if(textHelpModelEvent instanceof TextHelpModelEvent) {
                if(gotSource.equals(source)) {
                    return Status.passed(apiTested + "Constructed " 
                    	+ "TextHelpModelEvent object with specified value.\n");
                } else {
                    return Status.failed(apiTested + "Did not Construct " 
                    	+ "TextHelpModelEvent object with specified source." 
                    	+ "\nGiven source :" + source + "\nGot source : " 
                    	+ gotSource + "\n");
                }
            } else {
                return Status.failed(apiTested + "Did not Construct " 
                	+ "TextHelpModelEvent object.\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
    
    public Status testCase2() {
    	
        String apiTested = "TextHelpModelEvent(java.lang.Object source ) : " 
        + "\nTestCase : Construct TextHelpModelEvent with null for source" 
        + "\nExpected Result :IllegalArgumentException shd be thrown." 
        + "\nObtained Result : ";
        
        try {
            Object source = null;
            TextHelpModelEvent textHelpModelEvent = 
            		new TextHelpModelEvent(source);
            return Status.failed(apiTested + "Did not get " 
            	+ "IllegalArgumentException\n");
        } catch(IllegalArgumentException iae) {
            return Status.passed(apiTested + "Got IllegalArgumentException\n");
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
}
