/*
 * @(#)HelpContentViewerUITest.java	1.2 01/08/07
 * 
 * Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 * CopyrightVersion 1.0
 */
package javasoft.sqe.tests.api.javax.help.plaf.HelpContentViewerUI;
import java.io.PrintWriter;
import java.net.URL;
import javax.help.plaf.basic.BasicContentViewerUI;
import javax.help.HelpSet;
import javax.help.JHelpContentViewer;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;
import javax.help.plaf.HelpContentViewerUI;

/**
 * Tests for javax.help.plaf.HelpContentViewerUI
 *
 * @author Ben John
 */

public class HelpContentViewerUITest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public HelpContentViewerUITest() {
        
    }
    
    public static void main(String argv[]) {
        HelpContentViewerUITest test = new HelpContentViewerUITest();
        Status s = test.run(argv, new PrintWriter(System.out) ,
        	new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
    	
        String apiTested = "HelpContentViewerUI() : " ;
        
        
        try {
            ClassLoader cl = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(cl, url);
            JHelpContentViewer jhelpContViewer = new JHelpContentViewer(hs);
			HelpContentViewerUI helpContViewerUI = 
            	new BasicContentViewerUI(jhelpContViewer);
            if(helpContViewerUI instanceof HelpContentViewerUI) {
                return Status.passed(apiTested + "Constructed " 
                	+ "HelpContentViewerUI.\n");
            } else {
                return Status.failed(apiTested + "Did not Construct " 
                	+ "HelpContentViewerUI.\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
    
}
