/*
 * @(#)MergeTest.java	1.1 99/03/15
 * 
 * Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 * CopyrightVersion 1.0
 */
package javasoft.sqe.tests.api.javax.help.plaf.HelpNavigatorUI;
import java.io.PrintWriter;
import java.net.URL;
import java.util.Locale;
import java.util.Hashtable;
import javax.help.plaf.basic.BasicIndexNavigatorUI;
import javax.help.JHelpIndexNavigator;
import javax.help.plaf.HelpNavigatorUI;
import javax.help.HelpSet;
import javax.help.NavigatorView;
import javax.help.DefaultHelpModel;
import javax.help.JHelpSearchNavigator;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.plaf.HelpNavigatorUI
 *
 * @author Ben John.
 */

public class MergeTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public MergeTest() {
        
    }
    
    public static void main(String argv[]) {
        MergeTest test = new MergeTest();
        Status s = test.run(argv, new PrintWriter(System.out) ,
        	new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
    	
        String apiTested = "merge(navigatorView b) : " ;
        
        try {
            ClassLoader cl = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(cl, url);
            Hashtable htab = new Hashtable();
            htab.put("data", "JavaHelpSearch");
            NavigatorView nav = NavigatorView.create(hs, "myview", "mylabel",
            		 Locale.getDefault(), "javax.help.IndexView", htab);
            DefaultHelpModel defaultHelpModel = new DefaultHelpModel(hs);
            JHelpIndexNavigator jhelpIndexNav = new JHelpIndexNavigator(nav);
            HelpNavigatorUI indexSearchNavUI =
            		(HelpNavigatorUI) jhelpIndexNav.getUI();
			indexSearchNavUI.merge(nav);
			indexSearchNavUI.remove(nav);			
            return Status.passed(apiTested + "Okay");
            
        } catch(Exception e) {
	           return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
	
	public Status testCase2() {
	    	
	        String apiTested = "merge(navigatorView b) : " ;
	        
	        try {
	            ClassLoader cl = this.getClass().getClassLoader();
	            URL url = new URL("file", null, HSLOC+"/holidays/HolidayHistory.hs");
	            HelpSet hs = new HelpSet(cl, url);
	            Hashtable htab = new Hashtable();
	            htab.put("data", "JavaHelpSearch");
	            NavigatorView nav = NavigatorView.create(hs, "myview", "mylabel",
	            		 Locale.getDefault(), "javax.help.IndexView", htab);
	            DefaultHelpModel defaultHelpModel = new DefaultHelpModel(hs);
	            JHelpIndexNavigator jhelpIndexNav = new JHelpIndexNavigator(nav);
	            HelpNavigatorUI indexSearchNavUI =
	            		(HelpNavigatorUI) jhelpIndexNav.getUI();
				indexSearchNavUI.merge(null);
				indexSearchNavUI.remove(null);			
	            return Status.failed(apiTested + "Exception not raised for null");
				} 
			catch(NullPointerException ee) {
				return Status.passed(apiTested +" null parameter"+ee);
			}
			
			catch(Exception e) {
			    return Status.failed(apiTested + "Got Exception : " + e + "\n");
	        }
	    }
}
