
/*
* 
* @(#)AddNavigatorTest.java	1.1 99/03/15
* Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.plaf.HelpUI;

import java.io.PrintWriter;
import javax.help.FlatMap;
import javax.help.HelpSet;
import javax.help.Map;
import javax.help.plaf.basic.BasicHelpUI;
import javax.help.plaf.HelpUI;
import javax.help.JHelp;
import javax.help.JHelpNavigator;
import javax.help.NavigatorView;
import javax.swing.UIDefaults;
import javax.help.DefaultHelpModel;
import javax.swing.UIManager;
import java.util.Locale;
import java.util.Enumeration;
import java.util.Hashtable;
import javax.swing.*;
import java.net.URL;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.plaf.HelpUI
 *
 
 * @author Ben John.
 */

public class AddNavigatorTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public AddNavigatorTest() {
        
    }
    
    public static void main(String argv[]) {
        AddNavigatorTest test = new AddNavigatorTest();
        Status s = test.run(argv, new PrintWriter(System.out), 
                   new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        String apiTested = "Method \" addNavigator(JHelpNavigator jh) \" ";
        HelpSet hs = null;
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            hs = new HelpSet(loader, url);
            Hashtable htab = new Hashtable();
            htab.put("data", "HolidayTOC.xml");
            NavigatorView nav = NavigatorView.create(hs, "myview", "mylabel", 
                                Locale.getDefault(), "javax.help.TOCView", htab);
            UIDefaults table = UIManager.getLookAndFeelDefaults();
            Object[] uiDefaults =  {
                "HelpNavigatorUI", "com.sun.help.jck.harness.TestNavigatorUI"
            };
            table.putDefaults(uiDefaults);
            JHelpNavigator jhn = new JHelpNavigator(nav, 
                                 new DefaultHelpModel(nav.getHelpSet()));
            JHelp jh = new JHelp(hs);
            HelpUI bas = new BasicHelpUI(jh);
            JComponent jc = (JComponent)jh;
            bas.installUI(jc);
            bas.addNavigator(jhn);
     		bas.removeNavigator(jhn);       
		    return Status.passed(apiTested + "Okay");
        }
        catch(Exception ee) {
            ee.printStackTrace();
            return Status.failed(apiTested + "Exception Raised" + ee);
        }
    } //testCase1 finished

    public Status testCase2() {
        String apiTested = "Method \" addNavigator(JHelpNavigator jh) \" ";
        HelpSet hs = null;
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            hs = new HelpSet(loader, url);
            Hashtable htab = new Hashtable();
            htab.put("data", "HolidayTOC.xml");
            NavigatorView nav = NavigatorView.create(hs, "myview", "mylabel", 
                                Locale.getDefault(), "javax.help.TOCView", htab);
            UIDefaults table = UIManager.getLookAndFeelDefaults();
            Object[] uiDefaults =  {
                "HelpNavigatorUI", "com.sun.help.jck.harness.TestNavigatorUI"
            };
            table.putDefaults(uiDefaults);
            JHelpNavigator jhn = new JHelpNavigator(nav, 
                                 new DefaultHelpModel(nav.getHelpSet()));
            JHelp jh = new JHelp(hs);
            HelpUI bas = new BasicHelpUI(jh);
            JComponent jc = (JComponent)jh;
            bas.installUI(jc);
            bas.addNavigator(null);
     		return Status.failed(apiTested + "Exception not raised for null");
			
        }
		catch(NullPointerException ne) {
			return Status.passed(apiTested + "Exception Raised for null "
						+ ne);
		}
        catch(Exception ee) {
            ee.printStackTrace();
            return Status.failed(apiTested + "Exception Raised" + ee);
        }
    } //testCase1 finished

}
