
/*
* 
* @(#)SetCurrentNavigatorTest.java	1.1 99/03/15
* Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/

package javasoft.sqe.tests.api.javax.help.plaf.HelpUI;

import java.io.PrintWriter;
import javax.help.FlatMap;
import javax.help.HelpSet;
import javax.help.Map;
import javax.help.plaf.basic.BasicHelpUI;
import javax.help.plaf.HelpUI;
import javax.help.JHelpNavigator;
import javax.help.JHelp;
import java.net.URL;
import javax.swing.UIDefaults;
import javax.swing.UIManager;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.plaf.HelpUI
 *
 
 * @author Ben John.
 */

public class SetCurrentNavigatorTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public SetCurrentNavigatorTest() {
        
    }
    
    public static void main(String argv[]) {
        SetCurrentNavigatorTest test = new SetCurrentNavigatorTest();
        Status s = test.run(argv, new PrintWriter(System.out), 
                   new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        String apiTested = "Method \" setCurrentNavigator(JHelpNavigator jh) \" ";
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(loader, url);
            JHelp jh = new JHelp(hs);
            HelpUI bas = (HelpUI) jh.getUI();
			UIDefaults table = UIManager.getLookAndFeelDefaults();
            Object[] uiDefaults =  {
                "HelpNavigatorUI", "com.sun.help.jck.harness.TestNavigatorUI"
            };
            table.putDefaults(uiDefaults);
			JHelpNavigator jhNav = bas.getCurrentNavigator();
			bas.setCurrentNavigator(jhNav);
			
			JHelpNavigator jhNavi = bas.getCurrentNavigator();
            if(jhNav == jhNavi) {
                return Status.passed(apiTested + "Okay");
            }
            else {
                return Status.failed(apiTested + "Did not return valid object");
            }
        }
        catch(Exception ee) {
            return Status.failed(apiTested + "Exception Raised" + ee);
        }
    } //testCase1 finished


    public Status testCase2() {
        String apiTested = "Method \" setCurrentNavigator(JHelpNavigator jh) \" ";
        try {
            ClassLoader loader = this.getClass().getClassLoader();
            URL url = new URL("file", null, HSLOC + "/holidays/HolidayHistory.hs");
            HelpSet hs = new HelpSet(loader, url);
            JHelp jh = new JHelp(hs);
            HelpUI bas = (HelpUI) jh.getUI();
			UIDefaults table = UIManager.getLookAndFeelDefaults();
            Object[] uiDefaults =  {
                "HelpNavigatorUI", "com.sun.help.jck.harness.TestNavigatorUI"
            };
            table.putDefaults(uiDefaults);
			JHelpNavigator jhNav = null;
			bas.setCurrentNavigator(jhNav);
			return Status.failed(apiTested + "Did not return valid object");
           }
		catch(IllegalArgumentException e1) {
		    return Status.passed(apiTested + "Exception raised for null parameter "
					+ e1); 
		}
        catch(Exception ee) {
			return Status.failed(apiTested + "Exception Raised" + ee);
        }
    } //testCase2 finished
    
}
