
/*
* @(#)ConfigFileTest.java	1.1 99/03/02
* 
* Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.search.ConfigFile;
import javax.help.HelpSet;
import javax.help.JHelp;
import javax.swing.JComponent;
import javax.help.DefaultHelpModel;
import javax.help.search.ConfigFile;
import java.util.Locale;
import java.util.Vector;
import java.util.Enumeration;
import java.net.URL;
import java.io.File;
import java.io.PrintWriter;
import java.util.Hashtable;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.search.ConfigFile
 * Constructor Test
 * Create a ConfigFile
 *
 * @author Sudhakar.Adini
 */

public class ConfigFileTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public ConfigFileTest() {
        
    }
    
    public static void main(String argv[]) {
        ConfigFileTest test = new ConfigFileTest();
        Status s = test.run(argv, new PrintWriter(System.out), 
                   new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        String apiTested = " Constructor: ConfigFile(String configFile, "
        + "Vector files,boolean noStopWords)" 
        + "\nTestCase : Call ConfigFile() with flase for noStopWords " 
        + "\nExpected Result :It should construct the ConfigFile object  " 
        + "\nObtained Result : ";
        try {
            
            String configFile = HSLOC + "/holidays/Config.txt";
			String file1=
			"c:/ws_javahelp/javahelp/src/javahelp/hs/holidays/hol/jacko.html";
			String file2=
			"c:/ws_javahelp/javahelp/src/javahelp/hs/holidays/hol/fool.html";			
            Vector files = new Vector();
			files.addElement(file1);
			files.addElement(file2);
			boolean check1=false;
			boolean check2=false;
            boolean noStopWords = false;
            ConfigFile con = new ConfigFile(configFile, files, noStopWords);
            Vector v1 = con.getFiles();
			String words[]={"popular","customs", "influence",
			"mixture", "sacred", "secular"};
            String ss[] =  {
			"c:/ws_javahelp/javahelp/src/javahelp/hs/holidays/hol/jacko.html",
			"c:/ws_javahelp/javahelp/src/javahelp/hs/holidays/hol/fool.html",
            "c:/ws_javahelp/javahelp/src/javahelp/hs/holidays/hol/hol.html", 
            "c:/ws_javahelp/javahelp/src/javahelp/hs/holidays/hol/hall.html"
            };           
            if(v1.size() > 0) {
                for(int i = 0;i < v1.size();i++) {				
                    if(v1.elementAt(i).equals(ss[i])) {
					 
                    } else {
                        return Status.failed("failed1");
                    }
                }
				check1=true;               				
            }
            else {
                return Status.failed(apiTested + "failed2");
            }
            Enumeration en = con.getStopWords();
            while(en.hasMoreElements()) {
                String word = (String)en.nextElement();
                for (int i=0; i < words.length ; i++)
                    if (word.equals(words[i])) {
                        check2 = true;
                        break;
                    }
            }
			if(con instanceof ConfigFile&&check1&&check2)
				return Status.passed(apiTested + "okay");
			else
				return Status.failed(apiTested+"Failed");			
        }
        catch(Exception e) {
            return Status.failed(apiTested + "Got Exception: " + e.toString());
        }
    } 
    
    public Status testCase2() {
        String apiTested = " Constructor: ConfigFile(String configFile, "
        + "Vector files,boolean noStopWords)" 
        + "\nTestCase : Call ConfigFile() with true for noStopWords " 
        + "\nExpected Result :It should construct the ConfigFile object  " 
        + "\nObtained Result : ";
        try {
            
            String configFile = HSLOC + "/holidays/Config.txt";
			String file1=
			"c:/ws_javahelp/javahelp/src/javahelp/hs/holidays/hol/jacko.html";
			String file2=
			"c:/ws_javahelp/javahelp/src/javahelp/hs/holidays/hol/fool.html";			
            Vector files = new Vector();
			files.addElement(file1);
			files.addElement(file2);
			boolean check1=false;
			boolean check2=true;
            boolean noStopWords = true;
            ConfigFile con = new ConfigFile(configFile, files, noStopWords);           
            Vector v1 = con.getFiles();
			String words[]={"popular","customs", "influence",
			"mixture", "sacred", "secular"};
            String ss[] =  {
			"c:/ws_javahelp/javahelp/src/javahelp/hs/holidays/hol/jacko.html",
			"c:/ws_javahelp/javahelp/src/javahelp/hs/holidays/hol/fool.html",
            "c:/ws_javahelp/javahelp/src/javahelp/hs/holidays/hol/hol.html", 
            "c:/ws_javahelp/javahelp/src/javahelp/hs/holidays/hol/hall.html"
            };
            if(v1.size() > 0) {
                for(int i = 0;i < v1.size();i++) {				
                    if(v1.elementAt(i).equals(ss[i])) { 					
                    }
                    else {
                        return Status.failed("failed");
                    }
                }
		check1=true;
            }
            else {
		return Status.failed(apiTested + "failed2");
            }
            Enumeration en = con.getStopWords();
	    if (en.hasMoreElements()) {
		check2 = false;
	    }
            while(en.hasMoreElements()) {
                String word = (String)en.nextElement();
            }
	    if(con instanceof ConfigFile && check1 && check2) {
		return Status.passed(apiTested + "okay");
	    } else {
		return Status.failed(apiTested+"Failed"); 
	    }
        }
        catch(Exception e) {
            return Status.failed(apiTested + "GotException: "+e.toString());
        }			
          
    } 
    
    public Status testCase3() {
        String apiTested = " Constructor: ConfigFile(String configFile, "
        + "Vector files,boolean noStopWords)" 
        + "\nTestCase : Call ConfigFile()  by passing null for configFile "
        + "and proper values for files,noStopWords " 
        + "\nExpected Result :It should construct the ConfigFile object   " 
        + "\nObtained Result : ";
        try {
            
            String configFile = null;
			String file1=
			"c:/ws_javahelp/javahelp/src/javahelp/hs/holidays/hol/jacko.html";
			String file2=
			"c:/ws_javahelp/javahelp/src/javahelp/hs/holidays/hol/fool.html";			
            Vector files = new Vector();
			files.addElement(file1);
			files.addElement(file2);
			boolean check1=false;
			boolean check2=false;
            boolean noStopWords = true;
            ConfigFile con = new ConfigFile(configFile, files, noStopWords);
            Vector v1 = con.getFiles();
			String words[]={"popular","customs", "influence",
			"mixture", "sacred", "secular"};
            String ss[] =  {
			"c:/ws_javahelp/javahelp/src/javahelp/hs/holidays/hol/jacko.html",
			"c:/ws_javahelp/javahelp/src/javahelp/hs/holidays/hol/fool.html"};
            if(v1.size() > 0) {
                for(int i = 0;i < v1.size();i++) {				
                    if(v1.elementAt(i).equals(ss[i])) {
					
                    }
                    else {
                        return Status.failed("failed1");
                    }
                }
				check1=true;
            }
            else {
                return Status.failed(apiTested + "failed2");
            }
            Enumeration en = con.getStopWords();			
			if(en.hasMoreElements()) {			
            check2 = true;                 
            }
			if(con instanceof ConfigFile&&check1&&!check2)
				return Status.passed(apiTested + "okay");
			else
				return Status.failed(apiTested+"Failed");			
        }
        catch(Exception e) {
            return Status.failed(apiTested + "Got Exception: " + e.toString());
        }						
           
    }	
    
    public Status testCase4() {
        String apiTested = " Constructor: ConfigFile(String configFile, "
        + "Vector files,boolean noStopWords)" 
        + "\nTestCase : Call ConfigFile()  by passing null for files and "
        + "proper values for configFile,noStopWords " 
        + "\nExpected Result :It should throw the NullPointerException  " 
        + "\nObtained Result : ";
        try {
            
            String configFile = HSLOC + "/holidays/Config.txt";
            Vector files = null; 
            boolean noStopWords = false;
            ConfigFile con = new ConfigFile(configFile, files, noStopWords);
            return Status.failed(apiTested +"No Exception raised");
            }        
        catch(Exception e) {
        if(e instanceof NullPointerException)
        	return Status.passed(apiTested + "Got Exception: " + e.toString());
        else 	
        	return Status.failed(apiTested + "Got Exception: " + e.toString());
        }
    }	
}
