
/*
* @(#)GetFilesTest.java	1.2 99/03/19
* 
* Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.search.ConfigFile;
import javax.help.HelpSet;
import javax.help.JHelp;
import javax.swing.JComponent;
import javax.help.DefaultHelpModel;
import javax.help.search.ConfigFile;
import java.util.Locale;
import java.util.Vector;
import java.util.Enumeration;
import java.net.URL;
import java.io.PrintWriter;
import java.util.Hashtable;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.search.ConfigFile
 * Method getFiles()Test
 *
 * @author Sudhakar.Adini
 */

public class GetFilesTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public GetFilesTest() {
        
    }
    
    public static void main(String argv[]) {
        GetFilesTest test = new GetFilesTest();
        Status s = test.run(argv, new PrintWriter(System.out), 
                   new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        String apiTested = " Constructor: ConfigFile(String configFile, "
        + "Vector files,boolean noStopWords)" 
        + "\nTestCase : Call getFiles() " 
        + "\nExpected Result :It should return the vector containing "
        + "the list of files  " 
        + "\nObtained Result : ";
        try {
            String configFile = HSLOC + "/holidays/Config.txt";
            Vector files = new Vector();
            boolean noStopWords = false;
            ConfigFile con = new ConfigFile(configFile, files, noStopWords);
            Vector v1 = con.getFiles();
            String ss[] =  {
                "c:/ws_javahelp/javahelp/src/javahelp/hs/holidays/hol/hol.html", 
                "c:/ws_javahelp/javahelp/src/javahelp/hs/holidays/hol/hall.html"
            };
            if(v1.size() > 0) {
                for(int i = 0;i < v1.size();i++) {
                    if(v1.elementAt(i).equals(ss[i])) {
                        //System.out.println("File" + i + "=" + v1.elementAt(i));
                    }
                    else {
                        return Status.failed("failed1");
                    }
                }
                return Status.passed(apiTested + "okay");
            }
            else {
                return Status.failed(apiTested + "failed2");
            }
        }
        catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e.toString());
        }
    } 
}
