
/*
* 
* 
* @(#)SearchQueryTest.java	1.1 99/03/02 Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
* 
* This software is the confidential and proprietary information of Sun
* Microsystems, Inc. ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Sun.
* 
* SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
* SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
* IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
* SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
* THIS SOFTWARE OR ITS DERIVATIVES.
* 
* CopyrightVersion 1.0
*/
package javasoft.sqe.tests.api.javax.help.search.SearchQuery;

import javax.help.search.SearchEngine;
import javax.help.search.SearchQuery;
import javax.help.HelpSet;
import javax.help.Map;
import java.util.Hashtable;
import java.util.Locale;
import java.util.Vector;
import java.net.URL;
import java.io.PrintWriter;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.search.SearchQuery;
 
 * @author ChellaKumaran
 */

class MySearchEngine extends SearchEngine {
    
    public MySearchEngine() {
        super();
    }
    
    public MySearchEngine(java.net.URL base1, java.util.Hashtable params1) {
        super(base1, params1);
    }
    
    public javax.help.search.SearchQuery createQuery() 
    throws IllegalStateException {
        return null;
    }
}

class MySearchQuery extends SearchQuery {
    
    public MySearchQuery(SearchEngine ss) {
        super(ss);
    }
    
    public boolean isActive() {
        return false;
    }
}

public class SearchQueryTest extends MultiTest {
    public static String HSLOC = System.getProperty("HS_LOC");
    
    public SearchQueryTest() { //constructor
        
    }
    
    public static void main(String argv[]) {
        SearchQueryTest test = new SearchQueryTest();
        Status s = test.run(argv, new PrintWriter(System.out), 
                   new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
        String apiTested = "Method \" SearchQuery(SearchEngine hs)  \" ";
        try {
            MySearchEngine searchEngine = new MySearchEngine();
            MySearchQuery searchQuery = new MySearchQuery(searchEngine);
            if(searchQuery instanceof MySearchQuery) {
                return Status.passed(apiTested + "Okay");
            }
            else {
                return Status.failed(apiTested + "Did not Construct valid object");
            }
        }
        catch(Exception ee) {
            return Status.failed(apiTested + "Exception raised: " + ee);
        }
    }
    
    public Status testCase2() {
        String apiTested = "Method \" SearchQuery(SearchEngine hs)  \" ";
        try {
            MySearchEngine searchEngine = null;
            MySearchQuery searchQuery = new MySearchQuery(searchEngine);
            if(searchQuery instanceof MySearchQuery) {
                return Status.passed(apiTested + "Okay for null searchEngine");
            }
            else {
                return Status.failed(apiTested 
                + "Did not Construct valid object for null parameter");
            }
        }
        catch(Exception ee) {
            return Status.failed(apiTested 
            + "Exception raised for null parameter " + ee);
        }
    }
}
