/*
 * %W% %E%
 * 
 * Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 * CopyrightVersion 1.0
 */
package com.sun.help.jck.harness;
import javax.help.plaf.HelpNavigatorUI;
import javax.help.NavigatorView;
import javax.swing.JComponent;
import javax.swing.plaf.ComponentUI;
import javax.help.plaf.basic.BasicHelpUI;
import java.awt.Dimension;
import javax.help.HelpModel;
import javax.swing.JTextArea;
import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.help.JHelpNavigator;
import javax.help.HelpSet;
import javax.help.DefaultHelpModel;
import java.util.Hashtable;
import java.net.URL;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.BufferedReader;

/**
 * Helper class extending javax.help.plaf.HelpNavigatorUI
 *
 * @author Meena C
 */

public class TestNavigatorUI extends HelpNavigatorUI {
    protected JHelpNavigator nav;
    protected JTextArea text;
    
    public static ComponentUI createUI(JComponent x) {
        return new TestNavigatorUI((JHelpNavigator)x);
    }
    
    public TestNavigatorUI(JHelpNavigator b) {
        setIcon(BasicHelpUI.getIcon(BasicHelpUI.class, "images/toc.gif"));
    }
    
    public void installUI(JComponent c) {
        nav = (JHelpNavigator)c;
        text = new JTextArea();
        NavigatorView view = nav.getNavigatorView();
        HelpModel model = nav.getModel();
        HelpSet hs = null;
        if(model != null) {
            hs = model.getHelpSet();
        }
        Hashtable params = null;
        if(view != null) {
            params = view.getParameters();
        }
        if(params == null || (params != null && !params.containsKey("data"))) {
            
        
        // just continue on
        } else {
            try {
                if(hs != null) {
                    URL url = new URL(hs.getHelpSetURL(),
                             (String)params.get("data"));
                                       
                    /* url connection is opened and the stream contents
                     * are dumped into a text object 
                     */
                    InputStream in = url.openStream();
                    InputStreamReader reader = new InputStreamReader(in);
                    BufferedReader br = new BufferedReader(reader);
                    String str = null;
                    while((str = br.readLine()) != null) {
                        text.append(str);
                        text.append("\n");
                    }
		br.close();
                }
            } catch(Exception ex) {
            }
        }
        JScrollPane sp = new JScrollPane();
        sp.getViewport().add(text);
        nav.add("Center", sp);
        
    }
    
    public void uninstallUI(JComponent c) {
        nav.removeAll();
        nav = null;
    }
    
    public Dimension getPreferredSize(JComponent c) {
        return new Dimension(300, 200);
    }
    
    public Dimension getMinimumSize(JComponent c) {
        return new Dimension(300, 200);
    }
    
    public Dimension getMaximumSize(JComponent c) {
        return new Dimension(Short.MAX_VALUE, Short.MAX_VALUE);
    }
    
    public void merge(NavigatorView view) {
    }
    
    public void remove(NavigatorView view) {
    }
}
