/*
 * Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 *
 * CopyrightVersion 1.0
 */

package javax.help;

import java.beans.PropertyChangeEvent;
import java.beans.PropertyChangeListener;

import javax.help.AbstractHelpAction;

/**
 * Used in the testCases for testing AbstractHelpAction class
 *
 * @author Patrik Knakal
 *
 * @since JH2.0
 */
public class FooAbstractHelpAction extends AbstractHelpAction {

    public FooAbstractHelpAction(Object control, String name) {
        super(control, name);
    }

    public void firePropertyChange(String propertyName, Object oldValue, Object newValue) {
        super.firePropertyChange(propertyName, oldValue, newValue);
    }


    /**
     * The helper class for testing a firePropertyChange(...)
     *
     * @author Patrik Knakal
     *
     * @since JH2.0
     */
    public class FooPropertyChangeListener implements PropertyChangeListener {
        private PropertyChangeEvent event = null;

        public FooPropertyChangeListener() {
        }

        public void propertyChange(PropertyChangeEvent event) {
            this.event = event;
        }

        public PropertyChangeEvent getEvent() {
            return this.event;
        }

    }

}
